<?php
/**
 * @package    	Domus Organizer
 * @subpackage	Controllers
 * @author     	Davide Tampellini
 * @copyright 	Copyright (c)2011-2012 Davide Tampellini
 * @license 	GNU General Public License version 3, or later
 */

defined('_JEXEC') or die();

class DomusControllerUtilities extends FOFController
{
	function rebuildCSS()
	{
		$model = $this->getThisModel();
		if(!$model->rebuildCss())
		{
			$msg  = $model->getError();
			$type = 'error';
		}
		else $msg = JText::_('COM_DOMUS_REBUILD_CSS_DONE');

		$this->setRedirect('index.php?option=com_domus&view=utilities', $msg, $type);
	}

	function rebuildCustomers()
	{
		$model = $this->getModel('Customers', 'DomusModel');
		$model->batchCreateKeywords();

		$this->setRedirect('index.php?option=com_domus&view=utilities', JText::_('COM_DOMUS_CUST_REBUILD_DONE'));
	}

	function rebuildProperties()
	{
		$model = $this->getModel('Properties', 'DomusModel');
		$model->batchCreateKeywords();

		$this->setRedirect('index.php?option=com_domus&view=utilities', JText::_('COM_DOMUS_PROP_REBUILD_DONE'));
	}

	function sampleData()
	{
		$model = $this->getThisModel();
		$model->installSampleData();

		$model = $this->getModel('Customers', 'DomusModel');
		$model->batchCreateKeywords();

		$model = $this->getModel('Properties', 'DomusModel');
		$model->batchCreateKeywords();

		$this->setRedirect('index.php?option=com_domus&view=utilities', JText::_('COM_DOMUS_INSTALL_SAMPLE_DATA_DONE'));
	}

	function unlock()
	{
		$model = $this->getThisModel();
		$model->unlock();

		$this->setRedirect('index.php?option=com_domus&view=utilities', JText::_('COM_DOMUS_UNLOCK_DONE'));
	}
}