<?php
/**
 * @package    	Domus Organizer
 * @subpackage 	Models
 * @author     	Davide Tampellini
 * @copyright 	Copyright (c)2011-2012 Davide Tampellini
 * @license 	GNU General Public License version 3, or later
 */

defined('_JEXEC') or die();

class DomusModelUtilities extends FOFModel
{
	public function installSampleData()
	{
		$db = JFactory::getDbo();

		$lng = explode('-', JFactory::getConfig()->get('language'));
		$baseDir = JPATH_ROOT.'/administrator/components/com_domus/sql/dump/';
		$file 	 = $baseDir.'domus_dump.'.$lng[0].'.sql';

		//if there is no dump file for selected language, fallback to english one
		if(!file_exists($file)) $file = $baseDir.'domus_dump.en.sql';

		$dump 	 = file_get_contents($file);
		$queries = $db->splitSql($dump);

		foreach($queries as $query)
		{
			if(!$query) continue;
			$db->setQuery($query)->Query();
		}

		return true;
	}

	public function rebuildCss()
	{
		$files = JFolder::files(JPATH_ROOT.'/media/com_domus/css', '.*\.css', false, true);

		foreach($files as $file)
		{
			$contents = JFile::read($file);
			$contents = preg_replace('#behavior:\s?url\(.*/media#', 'behavior: url('.JURI::root().'media', $contents);

			if(!JFile::write($file, $contents))
			{
				$this->setError(JText::_('COM_DOMUS_REBUILD_CSS_ERROR_WRITE'));
				return false;
			}
		}

		return true;
	}

	public function unlock()
	{
		$db   = JFactory::getDbo();

		$query = FOFQueryAbstract::getNew($db)
					->update('#__domus_customers')
					->set('cu_locked_by = 0')
					->set('cu_locked_on = '.$db->quote($db->getNullDate()));
		$rc = $db->setQuery($query)->query();

		$query = FOFQueryAbstract::getNew($db)
					->update('#__domus_properties')
					->set('pr_locked_by = 0')
					->set('pr_locked_on = '.$db->quote($db->getNullDate()));
		$rc = $db->setQuery($query)->query();

		return true;
	}
}