CREATE TABLE IF NOT EXISTS `#__domus_agencies` (
  `id_agencies` int(11) NOT NULL AUTO_INCREMENT,
  `ag_name` varchar(255) NOT NULL,
  `ag_address` varchar(255) NOT NULL,
  `ag_zip_code` varchar(10) NOT NULL,
  `ag_id_districts` int(11) NOT NULL,
  `ag_id_towns` int(11) NOT NULL,
  `ag_telephone` varchar(30) NOT NULL,
  `ag_fax` varchar(20) NOT NULL,
  `ag_email` varchar(100) NOT NULL,
  PRIMARY KEY (`id_agencies`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 ;

CREATE TABLE IF NOT EXISTS `#__domus_attributes` (
  `id_attributes` int(11) NOT NULL AUTO_INCREMENT,
  `att_type` varchar(15) NOT NULL,
  `att_descr` varchar(255) NOT NULL,
  `att_ordering` tinyint(4) NOT NULL DEFAULT '0',
  `att_input` varchar(10) NOT NULL,
  PRIMARY KEY (`id_attributes`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `#__domus_categories` (
  `id_categories` int(11) NOT NULL AUTO_INCREMENT,
  `cat_name` varchar(255) NOT NULL DEFAULT '',
  `cat_alias` varchar(255) NOT NULL DEFAULT '',
  `cat_description` text NOT NULL,
  `cat_entries` int(11) NOT NULL DEFAULT '0',
  `cat_parent` int(11) NOT NULL DEFAULT '0',
  `ordering` tinyint(4) NOT NULL DEFAULT '0',
  `cat_image` varchar(255) NOT NULL DEFAULT '',
  `cat_published` tinyint(1) NOT NULL DEFAULT '1',
  PRIMARY KEY (`id_categories`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 ;

CREATE TABLE IF NOT EXISTS `#__domus_customers` (
  `id_customers` int(11) NOT NULL AUTO_INCREMENT,
  `cu_name` varchar(20) NOT NULL,
  `cu_surname` varchar(50) NOT NULL,
  `cu_type` varchar(1) NOT NULL,
  `cu_id_customer_groups` int(11) NOT NULL,
  `cu_company_name` varchar(255) NOT NULL,
  `cu_id_street_type` int(11) NOT NULL,
  `cu_street` varchar(255) NOT NULL,
  `cu_streetnr` varchar(5) NOT NULL,
  `cu_zipcode` varchar(5) NOT NULL,
  `cu_id_towns` int(11) NOT NULL,
  `cu_zone` int(11) NOT NULL,
  `cu_szone` int(11) NOT NULL,
  `cu_id_districts` int(11) NOT NULL,
  `cu_id_country` varchar(255) NOT NULL,
  `cu_telephone` varchar(20) NOT NULL,
  `cu_prefix` varchar(10) NOT NULL,
  `cu_mobile` varchar(20) NOT NULL,
  `cu_fax` varchar(20) NOT NULL,
  `cu_email` varchar(50) NOT NULL,
  `cu_sex` varchar(1) NOT NULL,
  `cu_date_birth` date NOT NULL,
  `cu_district_birth` int(11) NOT NULL,
  `cu_town_birth` int(11) NOT NULL,
  `cu_prev_number` varchar(16) NOT NULL,
  `cu_vat` varchar(16) NOT NULL,
  `cu_note` text NOT NULL,
  `cu_id_sources` int(11) NOT NULL,
  `created_by` int(11) NOT NULL,
  `modified_by` int(11) NOT NULL,
  `created_on` datetime NOT NULL,
  `modified_on` datetime NOT NULL,
  `cu_keywords` tinytext NOT NULL,
  `cu_locked_by` int(11) NOT NULL,
  `cu_locked_on` datetime NOT NULL,
  `cu_req_id_types` int(11) NOT NULL,
  `cu_req_max_price` int(11) NOT NULL,
  `cu_req_min_space` int(11) NOT NULL,
  `cu_req_max_floor` tinyint(3) unsigned NOT NULL,
  `cu_req_max_units` tinyint(3) unsigned NOT NULL,
  `cu_req_id_categories_1` int(11) NOT NULL,
  `cu_req_id_categories_2` int(11) NOT NULL,
  `cu_req_id_categories_3` int(11) NOT NULL,
  PRIMARY KEY (`id_customers`),
  FULLTEXT KEY `cu_keywords` (`cu_keywords`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 ;

CREATE TABLE IF NOT EXISTS `#__domus_customer_groups` (
  `id_customer_groups` int(11) NOT NULL AUTO_INCREMENT,
  `cg_descr` varchar(100) NOT NULL,
  PRIMARY KEY (`id_customer_groups`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 ;

CREATE TABLE IF NOT EXISTS `#__domus_cust_requests` (
  `req_id_customers` int(11) NOT NULL,
  `req_id_attributes` int(11) NOT NULL,
  PRIMARY KEY (`req_id_customers`,`req_id_attributes`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `#__domus_cust_rooms` (
  `id_cust_rooms` int(11) NOT NULL AUTO_INCREMENT,
  `cr_id_customers` int(11) NOT NULL,
  `cr_id_rooms` int(11) NOT NULL,
  `cr_quantity` tinyint(4) NOT NULL,
  PRIMARY KEY (`id_cust_rooms`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 ;

CREATE TABLE IF NOT EXISTS `#__domus_cust_towns` (
  `id_cust_towns` int(11) NOT NULL AUTO_INCREMENT,
  `ct_id_customers` int(11) NOT NULL,
  `ct_id_districts` int(11) NOT NULL,
  `ct_id_towns` int(11) NOT NULL,
  `ct_id_zones` int(11) NOT NULL,
  `ct_id_szones` int(11) NOT NULL,
  PRIMARY KEY (`id_cust_towns`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 ;

CREATE TABLE IF NOT EXISTS `#__domus_districts` (
  `id_districts` int(11) NOT NULL AUTO_INCREMENT,
  `di_descr` varchar(255) NOT NULL,
  `di_descr_short` varchar(15) NOT NULL,
  `di_id_regions` int(11) NOT NULL,
  PRIMARY KEY (`id_districts`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 ;

CREATE TABLE IF NOT EXISTS `#__domus_images` (
  `id_images` int(11) NOT NULL AUTO_INCREMENT,
  `img_id_properties` int(11) NOT NULL DEFAULT '0',
  `img_title` varchar(50) NOT NULL DEFAULT '',
  `img_descr` varchar(255) NOT NULL,
  `img_fname` varchar(255) NOT NULL,
  `img_type` varchar(5) NOT NULL DEFAULT '',
  `img_path` varchar(255) NOT NULL DEFAULT '',
  `ordering` tinyint(4) NOT NULL DEFAULT '0',
  `img_published` tinyint(1) DEFAULT '1',
  PRIMARY KEY (`id_images`),
  KEY `img_id_properties` (`img_id_properties`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ;

CREATE TABLE IF NOT EXISTS `#__domus_properties` (
  `id_properties` int(11) NOT NULL AUTO_INCREMENT,
  `pr_obj_id` varchar(25) NOT NULL DEFAULT '',
  `pr_id_yards` int(11) DEFAULT NULL,
  `pr_start_position` date DEFAULT NULL,
  `pr_end_position` date DEFAULT NULL,
  `pr_id_agencies` int(11) NOT NULL,
  `pr_id_categories` int(11) NOT NULL DEFAULT '0',
  `pr_id_types` int(11) NOT NULL,
  `pr_title` varchar(255) NOT NULL DEFAULT '',
  `pr_alias` varchar(255) NOT NULL DEFAULT '',
  `pr_descr` text NOT NULL,
  `pr_notes` text NOT NULL,
  `pr_rooms` smallint(4) NOT NULL DEFAULT '0',
  `pr_bedrooms` smallint(4) NOT NULL DEFAULT '0',
  `pr_wc` smallint(4) NOT NULL DEFAULT '0',
  `pr_space` decimal(10,2) NOT NULL DEFAULT '0.00',
  `pr_floor` tinyint(4) NOT NULL,
  `pr_floors_tot` tinyint(4) DEFAULT NULL,
  `pr_units` tinyint(4) NOT NULL,
  `pr_levels` tinyint(4) NOT NULL DEFAULT '1',
  `pr_monthly_exp` int(11) DEFAULT NULL,
  `pr_id_energy_class` int(11) NOT NULL DEFAULT '0',
  `pr_built` smallint(5) unsigned DEFAULT NULL,
  `pr_renovation` smallint(5) unsigned DEFAULT NULL,
  `pr_garden_sup` decimal(10,2) NOT NULL DEFAULT '0.00',
  `pr_price` int(11) unsigned NOT NULL DEFAULT '0',
  `pr_price_min` int(11) unsigned NOT NULL DEFAULT '0',
  `pr_negotiable` tinyint(1) NOT NULL DEFAULT '0',
  `pr_private_treaty` tinyint(1) NOT NULL DEFAULT '0',
  `pr_exclusive` tinyint(4) NOT NULL DEFAULT '0',
  `pr_id_street_type` int(11) NOT NULL,
  `pr_street` varchar(255) NOT NULL DEFAULT '',
  `pr_streetnr` varchar(5) NOT NULL DEFAULT '',
  `pr_internal_nr` varchar(5) DEFAULT NULL,
  `pr_zipcode` varchar(10) NOT NULL DEFAULT '',
  `pr_id_towns` int(11) NOT NULL DEFAULT '0',
  `pr_id_districts` int(11) NOT NULL DEFAULT '0',
  `pr_id_zones` int(11) NOT NULL,
  `pr_id_szones` int(11) NOT NULL,
  `pr_hits` int(6) NOT NULL DEFAULT '0',
  `pr_hot` tinyint(1) NOT NULL DEFAULT '0',
  `pr_home_page` tinyint(1) NOT NULL DEFAULT '0',
  `pr_mapcoords` tinytext NOT NULL,
  `pr_metadesc` varchar(255) NOT NULL DEFAULT '',
  `pr_metakey` varchar(255) NOT NULL DEFAULT '',
  `pr_keywords` tinytext,
  `created_on` datetime NOT NULL,
  `modified_on` datetime NOT NULL,
  `created_by` int(11) NOT NULL,
  `modified_by` int(11) DEFAULT NULL,
  `pr_publish_up` datetime NOT NULL,
  `pr_publish_down` datetime NOT NULL,
  `enabled` tinyint(1) NOT NULL DEFAULT '1',
  `pr_domus_published` tinyint(1) NOT NULL DEFAULT '1',
  `pr_locked_by` int(11) NOT NULL,
  `pr_locked_on` datetime NOT NULL,  
  PRIMARY KEY (`id_properties`),
  FULLTEXT KEY `pr_keywords` (`pr_keywords`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ;

CREATE TABLE IF NOT EXISTS `#__domus_prop_attributes` (
  `patt_id_properties` int(11) NOT NULL,
  `patt_id_attributes` int(11) NOT NULL,
  PRIMARY KEY (`patt_id_properties`,`patt_id_attributes`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `#__domus_prop_owners` (
  `pow_id_properties` int(11) NOT NULL,
  `pow_id_customers` int(11) NOT NULL,
  PRIMARY KEY (`pow_id_properties`,`pow_id_customers`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `#__domus_prop_rooms` (
  `id_prop_rooms` int(11) NOT NULL AUTO_INCREMENT,
  `pro_id_properties` int(11) NOT NULL,
  `pro_id_rooms` int(11) NOT NULL,
  `pro_size` decimal(6,2) NOT NULL,
  PRIMARY KEY (`id_prop_rooms`),
  KEY `pro_id_properties` (`pro_id_properties`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ;

CREATE TABLE IF NOT EXISTS `#__domus_rooms` (
  `id_rooms` int(11) NOT NULL AUTO_INCREMENT,
  `ro_group` varchar(20) NOT NULL DEFAULT 'DEFAULT',
  `ro_descr` varchar(100) NOT NULL,
  PRIMARY KEY (`id_rooms`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 ;

CREATE TABLE IF NOT EXISTS `#__domus_sources` (
  `id_sources` int(11) NOT NULL AUTO_INCREMENT,
  `so_descr` varchar(50) NOT NULL,
  PRIMARY KEY (`id_sources`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 ;

CREATE TABLE IF NOT EXISTS `#__domus_street_type` (
  `id_street_type` int(11) NOT NULL AUTO_INCREMENT,
  `st_descr` varchar(50) NOT NULL,
  PRIMARY KEY (`id_street_type`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 ;

CREATE TABLE IF NOT EXISTS `#__domus_szones` (
  `id_szones` int(11) NOT NULL AUTO_INCREMENT,
  `sz_descr` varchar(255) NOT NULL,
  `sz_id_zones` int(11) NOT NULL,
  PRIMARY KEY (`id_szones`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ;

CREATE TABLE IF NOT EXISTS `#__domus_towns` (
  `id_towns` int(11) NOT NULL AUTO_INCREMENT,
  `to_id_districts` int(11) NOT NULL,
  `to_descr` varchar(255) NOT NULL,
  PRIMARY KEY (`id_towns`),
  KEY `to_id_districts` (`to_id_districts`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 ;

CREATE TABLE IF NOT EXISTS `#__domus_types` (
  `id_types` int(11) NOT NULL AUTO_INCREMENT,
  `ty_name` varchar(255) NOT NULL,
  `ty_alias` varchar(255) NOT NULL,
  `ordering` tinyint(4) NOT NULL,
  `ty_published` tinyint(4) NOT NULL,
  PRIMARY KEY (`id_types`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 ;

CREATE TABLE IF NOT EXISTS `#__domus_users` (
  `id_users` int(11) NOT NULL AUTO_INCREMENT,
  `us_id_joomla` int(11) NOT NULL,
  `us_name` varchar(50) NOT NULL,
  `us_surname` varchar(100) NOT NULL,
  PRIMARY KEY (`id_users`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 ;

CREATE TABLE IF NOT EXISTS `#__domus_zones` (
  `id_zones` int(11) NOT NULL AUTO_INCREMENT,
  `zo_descr` varchar(255) NOT NULL,
  `zo_id_towns` int(11) NOT NULL,
  PRIMARY KEY (`id_zones`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ;