<?php
/**
 * @package    	Domus Organizer
 * @subpackage	Tables
 * @author     	Davide Tampellini
 * @copyright 	Copyright (c)2011-2012 Davide Tampellini
 * @license 	GNU General Public License version 3, or later
 */

defined('_JEXEC') or die();

class DomusTableAgency extends FOFTable
{
	function __construct($table, $key, $db)
	{
		//custom table_key name
		parent::__construct($table, 'id_agencies', $db);
	}

	function onBeforeStore($updateNulls)
	{
		$result = true;

		if(!$this->ag_name)
		{
			$this->setError(JText::_('COM_DOMUS_AGENCIES_NAME'));
			$result = false;
		}

		if(!$this->ag_address)
		{
			$this->setError(JText::_('COM_DOMUS_AGENCIES_ADDRESS'));
			$result = false;
		}

		if(!$this->ag_zip_code)
		{
			$this->setError(JText::_('COM_DOMUS_AGENCIES_ZIP'));
			$result = false;
		}

		if(!$this->ag_id_districts)
		{
			$this->setError(JText::_('COM_DOMUS_AGENCIES_DISTRICTS'));
			$result = false;
		}

		if(!$this->ag_id_towns)
		{
			$this->setError(JText::_('COM_DOMUS_AGENCIES_TOWNS'));
			$result = false;
		}

		if(!$this->ag_telephone)
		{
			$this->setError(JText::_('COM_DOMUS_AGENCIES_PHONE'));
			$result = false;
		}

		if(!$this->ag_email)
		{
			$this->setError(JText::_('COM_DOMUS_AGENCIES_EMAIL'));
			$result = false;
		}

		return parent::onBeforeStore($updateNulls) && $result;
	}
}