<?php
/**
 * @package    	Domus Organizer
 * @subpackage	Tables
 * @author     	Davide Tampellini
 * @copyright 	Copyright (c)2011-2012 Davide Tampellini
 * @license 	GNU General Public License version 3, or later
 */

defined('_JEXEC') or die();

class DomusTableCategory extends FOFTable
{
	function __construct($table, $key, $db)
	{
		//custom table_key name
		parent::__construct($table, 'id_categories', $db);

		$this->setColumnAlias('title'	, 'cat_name');
		$this->setColumnAlias('slug'	, 'cat_alias');
		$this->setColumnAlias('enabled'	, 'cat_published');
	}

	function onBeforeStore($updateNulls)
	{
		$result = true;

		if(!$this->cat_name)
		{
			$this->setError(JText::_('COM_DOMUS_ERR_CATS_NAME'));
			$result = false;
		}

		return parent::onBeforeStore($updateNulls) && $result;
	}

	function onBeforeDelete($oid)
	{
		$result = true;

		$db = JFactory::getDbo();

		$query = $db->getQuery(true)
					->select('pr_obj_id')
					->from('#__domus_properties')
					->where('pr_id_categories = '.$oid);
		$props = $db->setQuery($query)->loadColumn();

		if($props)
		{
			$this->setError(JText::_('COM_DOMUS_ERR_CATS_IN_USE').implode(', ', $props));
			$result = false;
		}

		$query = $db->getQuery(true)
					->select('COUNT(*)')
					->from('#__domus_categories')
					->where('cat_parent = '.$oid);
		$count = $db->setQuery($query)->loadResult();

		if($count)
		{
			$this->setError(JText::_('COM_DOMUS_ERR_CATS_IS_PARENT'));
			$result = false;
		}

		return parent::onBeforeDelete($oid) && $result;
	}
}