<?php
/**
 * @package    	Domus Organizer
 * @subpackage	Tables
 * @author     	Davide Tampellini
 * @copyright 	Copyright (c)2011-2012 Davide Tampellini
 * @license 	GNU General Public License version 3, or later
 */

defined('_JEXEC') or die();

class DomusTableCustomer extends FOFTable
{
	function __construct($table, $key, $db)
	{
		//custom table_key name
		parent::__construct($table, 'id_customers', $db);

		$this->setColumnAlias('locked_on', 'cu_locked_on');
		$this->setColumnAlias('locked_by', 'cu_locked_by');
	}

	function onBeforeStore($updateNulls)
	{
		$result = true;

		if(!$this->cu_surname && !$this->cu_company_name)
		{
			$this->setError(JText::_('COM_DOMUS_CUSTOMERS_SURNAME_COMPANY'));
			$result = false;
		}

		return parent::onBeforeStore($updateNulls) && $result;
	}

	function onAfterDelete($oid)
	{
		$db = JFactory::getDbo();

		//attribute requests
		$query = $db->getQuery(true)
			  ->delete('#__domus_cust_requests')
			  ->where('req_id_customers = '.$oid);
		$rc = $db->setQuery($query)->query();

		//room requests
		$query = $db->getQuery(true)
			  ->delete('#__domus_cust_rooms')
			  ->where('cr_id_customers = '.$oid);
		$rc = $db->setQuery($query)->query();

		//town requests
		$query = $db->getQuery(true)
			  ->delete('#__domus_cust_towns')
			  ->where('ct_id_customers = '.$oid);
		$rc = $db->setQuery($query)->query();

		//owner table
		$query = $db->getQuery(true)
			  ->delete('#__domus_prop_owners')
			  ->where('pow_id_customers = '.$oid);
		$rc = $db->setQuery($query)->query();

		return true;
	}
}