<?php
/**
 * @package    	Domus Organizer
 * @subpackage	Tables
 * @author     	Davide Tampellini
 * @copyright 	Copyright (c)2011-2012 Davide Tampellini
 * @license 	GNU General Public License version 3, or later
 */

defined('_JEXEC') or die();

class DomusTableDistrict extends FOFTable
{
	function __construct($table, $key, $db)
	{
		//custom table_key name
		parent::__construct($table, 'id_districts', $db);
	}

	function onBeforeStore($updateNulls)
	{
		$result = true;

		if(!$this->di_descr)
		{
			$this->setError(JText::_('COM_DOMUS_ERR_DISTRICT_DESCR'));
			$result = false;
		}

		if(!$this->di_descr_short)
		{
			$this->setError(JText::_('COM_DOMUS_ERR_DISTRICT_DESCR_SHORT'));
			$result = false;
		}

		return parent::onBeforeStore($updateNulls) && $result;
	}

	function onBeforeDelete($oid)
	{
		$joins[] = array('idfield' 	=> 'id_properties',
						 'idalias' 	=> 'properties',
						 'name' 	=> '#__domus_properties',
						 'joinfield'=> 'pr_id_districts',
						 'label'	=> 'PROPS');

		$joins[] = array('idfield' 	=> 'id_customers',
						 'idalias' 	=> 'customers',
						 'name' 	=> '#__domus_customers',
						 'joinfield'=> 'cu_id_districts',
						 'label'	=> 'CUSTS');

		$joins[] = array('idfield' 	=> 'id_cust_towns',
						 'idalias' 	=> 'custtowns',
						 'name' 	=> '#__domus_cust_towns',
						 'joinfield'=> 'ct_id_districts',
						 'label'	=> 'REQS');

		$joins[] = array('idfield' 	=> 'id_towns',
						 'idalias' 	=> 'towns',
						 'name' 	=> '#__domus_towns',
						 'joinfield'=> 'to_id_districts',
						 'label'	=> 'TOWNS');

		$result = $this->canDelete($oid, $joins);

		return parent::onBeforeDelete($oid) && $result;
	}
}