<?php
/**
 * @package    	Domus Organizer
 * @subpackage	Tables
 * @author     	Davide Tampellini
 * @copyright 	Copyright (c)2011-2012 Davide Tampellini
 * @license 	GNU General Public License version 3, or later
 */

defined('_JEXEC') or die();

class DomusTableImage extends FOFTable
{
	function __construct($table, $key, $db)
	{
		//custom table_key name
		parent::__construct($table, 'id_images', $db);
	}

	function onAfterDelete($oid)
	{
		//check if the image is used by another property, too
		$db = JFactory::getDbo();

		$query = $db->getQuery(true)
					->select('COUNT(*)')
					->from('#__domus_images')
					->where('img_path = '.$db->quote($this->img_path))
					->where('img_fname = '.$db->quote($this->img_fname))
					->where('img_type = '.$db->quote($this->img_type));
		$count = $db->setQuery($query)->loadResult();

		//uh oh... image is still used, abort!
		if($count) return;

		if(JFile::exists(JPATH_ROOT.'/'.$this->img_path.$this->img_fname.$this->img_type))
		{
			JFile::delete(JPATH_ROOT.'/'.$this->img_path.$this->img_fname.$this->img_type);
		}

		if(JFile::exists(JPATH_ROOT.'/'.$this->img_path.'thumbs/t_'.$this->img_fname.$this->img_type))
		{
			JFile::delete(JPATH_ROOT.'/'.$this->img_path.'thumbs/t_'.$this->img_fname.$this->img_type);
		}
	}
}