<?php
/**
 * @package    	Domus Organizer
 * @subpackage	Tables
 * @author     	Davide Tampellini
 * @copyright 	Copyright (c)2011-2012 Davide Tampellini
 * @license 	GNU General Public License version 3, or later
 */

defined('_JEXEC') or die();

class DomusTableRoomtype extends FOFTable
{
	function __construct($table, $key, $db)
	{
		//custom table_key name
		parent::__construct('#__domus_rooms', 'id_rooms', $db);
	}

	function onBeforeDelete($oid)
	{
		$result = true;

		$db = JFactory::getDbo();

		$query = $db->getQuery(true)
					->select('COUNT(*)')
					->from('#__domus_cust_rooms')
					->where('cr_id_rooms = '.$oid);
		$count = $db->setQuery($query)->loadResult();

		if($count)
		{
			$this->setError(JText::_('COM_DOMUS_ERR_ROOM_CUST_IN_USE'));
			$result = false;
		}

		$query = $db->getQuery(true)
					->select('COUNT(*)')
					->from('#__domus_prop_rooms')
					->where('pro_id_rooms = '.$oid);
		$count = $db->setQuery($query)->loadResult();

		if($count)
		{
			$this->setError(JText::_('COM_DOMUS_ERR_ROOM_PROP_IN_USE'));
			$result = false;
		}

		return parent::onBeforeDelete($oid) && $result;
	}
}