<?php
/**
 * @package    	Domus Organizer
 * @subpackage	Tables
 * @author     	Davide Tampellini
 * @copyright 	Copyright (c)2011-2012 Davide Tampellini
 * @license 	GNU General Public License version 3, or later
 */

defined('_JEXEC') or die();

class DomusTableStreettype extends FOFTable
{
	function __construct($table, $key, $db)
	{
		//custom table_key name
		parent::__construct('#__domus_street_type', 'id_street_type', $db);
	}

	function onBeforeDelete($oid)
	{
		$result = true;

		$db = JFactory::getDbo();

		$query = $db->getQuery(true)
					->select('COUNT(*)')
					->from('#__domus_customers')
					->where('cu_id_street_type = '.$oid);
		$count = $db->setQuery($query)->loadResult();

		if($count)
		{
			$this->setError(JText::_('COM_DOMUS_ERR_STREET_TYPE_CUST_IN_USE'));
			$result = false;
		}

		$query = $db->getQuery(true)
					->select('COUNT(*)')
					->from('#__domus_properties')
					->where('pr_id_street_type = '.$oid);
		$count = $db->setQuery($query)->loadResult();

		if($count)
		{
			$this->setError(JText::_('COM_DOMUS_ERR_STREET_TYPE_PROP_IN_USE'));
			$result = false;
		}

		return parent::onBeforeDelete($oid) && $result;
	}
}