<?php
/**
 * @package    	Domus Organizer
 * @subpackage	Tables
 * @author     	Davide Tampellini
 * @copyright 	Copyright (c)2011-2012 Davide Tampellini
 * @license 	GNU General Public License version 3, or later
 */

defined('_JEXEC') or die();

class DomusTableTown extends FOFTable
{
	function __construct($table, $key, $db)
	{
		//custom table_key name
		parent::__construct($table, 'id_towns', $db);
	}

	function onBeforeStore($updateNulls)
	{
		$result = true;

		if(!$this->to_id_districts)
		{
			$this->setError(JText::_('COM_DOMUS_TOWNS_DISTRICT'));
			$result = false;
		}

		if(!$this->to_descr)
		{
			$this->setError(JText::_('COM_DOMUS_TOWNS_DESCR'));
			$result = false;
		}

		return parent::onBeforeStore($updateNulls) && $result;
	}

	function onBeforeDelete($oid)
	{
		$joins[] = array('idfield' 	=> 'id_properties',
						 'idalias' 	=> 'properties',
						 'name' 	=> '#__domus_properties',
						 'joinfield'=> 'pr_id_towns',
						 'label'	=> 'PROPS');

		$joins[] = array('idfield' 	=> 'id_customers',
						 'idalias' 	=> 'customers',
						 'name' 	=> '#__domus_customers',
						 'joinfield'=> 'cu_id_towns',
						 'label'	=> 'CUSTS');

		$joins[] = array('idfield' 	=> 'id_cust_towns',
						 'idalias' 	=> 'custtowns',
						 'name' 	=> '#__domus_cust_towns',
						 'joinfield'=> 'ct_id_towns',
						 'label'	=> 'REQS');

		$joins[] = array('idfield' 	=> 'id_zones',
						 'idalias' 	=> 'zones',
						 'name' 	=> '#__domus_zones',
						 'joinfield'=> 'zo_id_towns',
						 'label'	=> 'ZONES');

		$result = $this->canDelete($oid, $joins);

		return parent::onBeforeDelete($oid) && $result;
	}
}