<?php
/**
 * @package    	Domus Organizer
 * @subpackage	Tables
 * @author     	Davide Tampellini
 * @copyright 	Copyright (c)2011-2012 Davide Tampellini
 * @license 	GNU General Public License version 3, or later
 */

defined('_JEXEC') or die();

class DomusTableType extends FOFTable
{
	function __construct($table, $key, $db)
	{
		//custom table_key name
		parent::__construct($table, 'id_types', $db);

		$this->setColumnAlias('title'  , 'ty_name');
		$this->setColumnAlias('slug'   , 'ty_alias');
		$this->setColumnAlias('enabled', 'ty_published');
	}

	function onBeforeStore($updateNulls)
	{
		$result = true;

		if(!$this->ty_name)
		{
			$this->setError(JText::_('COM_DOMUS_ERR_TYPE_NAME'));
			$result = false;
		}

		return parent::onBeforeStore($updateNulls) && $result;
	}

	function onBeforeDelete($oid)
	{
		$result = true;

		$db = JFactory::getDbo();

		$query = $db->getQuery(true)
					->select('pr_obj_id')
					->from('#__domus_properties')
					->where('pr_id_types = '.$oid);
		$props = $db->setQuery($query)->loadColumn();

		if($props)
		{
			$this->setError(JText::_('COM_DOMUS_ERR_TYPE_IN_USE').implode(', ', $props));
			$return = false;
		}

		return parent::onBeforeDelete($oid) && $result;
	}
}