<?php
/**
 * @package    	Domus Organizer
 * @subpackage	Tables
 * @author     	Davide Tampellini
 * @copyright 	Copyright (c)2011-2012 Davide Tampellini
 * @license 	GNU General Public License version 3, or later
 */

defined('_JEXEC') or die();

class DomusTableZone extends FOFTable
{
	function __construct($table, $key, $db)
	{
		//custom table_key name
		parent::__construct($table, 'id_zones', $db);
	}

	function onBeforeStore($updateNulls)
	{
		$result = true;

		if(!$this->zo_id_towns)
		{
			$this->setError(JText::_('COM_DOMUS_ZONES_TOWN'));
			$result = false;
		}

		if(!$this->zo_descr)
		{
			$this->setError(JText::_('COM_DOMUS_ZONES_DESCR'));
			$result = false;
		}

		return parent::onBeforeStore($updateNulls) && $result;
	}

	function onBeforeDelete($oid)
	{
		$joins[] = array('idfield' 	=> 'id_properties',
						 'idalias' 	=> 'properties',
						 'name' 	=> '#__domus_properties',
						 'joinfield'=> 'pr_id_zones',
						 'label'	=> 'PROPS');

		$joins[] = array('idfield' 	=> 'id_cust_towns',
						 'idalias' 	=> 'custtowns',
						 'name' 	=> '#__domus_cust_towns',
						 'joinfield'=> 'ct_id_zones',
						 'label'	=> 'REQS');

		$joins[] = array('idfield' 	=> 'id_szones',
						 'idalias' 	=> 'szones',
						 'name' 	=> '#__domus_szones',
						 'joinfield'=> 'sz_id_zones',
						 'label'	=> 'SZONES');

		$result = $this->canDelete($oid, $joins);

		return parent::onBeforeDelete($oid) && $result;
	}
}