<?php
/**
 * @package    	Domus Organizer
 * @subpackage 	Controllers
 * @author     	Davide Tampellini
 * @copyright 	Copyright (c)2011-2012 Davide Tampellini
 * @license 	GNU General Public License version 3, or later
 */

defined('_JEXEC') or die();

class DomusControllerAgencies extends FOFController
{
	public function execute($task)
	{
		//grecefully sends a redirect for un-authorized access
		if(parent::execute($task) === false)
		{
			$app = JFactory::getApplication();
			$app->redirect('index.php', JText::_('JERROR_ALERTNOAUTHOR'), 'notice');
		}
	}

	public function onBeforeBrowse()
	{
		//only authorized users can have acces to this part
		return $this->checkACL('core.manage');
	}

	public function cancel()
	{
		//at the moment there is no "agencies" view
		$returnUrl = base64_encode('index.php?option=com_domus&view=cpanel');
		FOFInput::setVar('returnurl', $returnUrl, $this->input);

		parent::cancel();
	}

	public function save()
	{
		//at the moment there is no "agencies" view
		$returnUrl = base64_encode('index.php?option=com_domus&view=cpanel');
		FOFInput::setVar('returnurl', $returnUrl, $this->input);

		parent::save();
	}
}