<?php
/**
 * @package    	Domus Organizer
 * @subpackage 	Controllers
 * @author     	Davide Tampellini
 * @copyright 	Copyright (c)2011-2012 Davide Tampellini
 * @license 	GNU General Public License version 3, or later
 */

defined('_JEXEC') or die();

class DomusControllerProperty extends FOFController
{
	function __construct($config = array())
	{
		parent::__construct($config);

		$this->registerTask('chooseProp', 'browse');
		$this->registerTask('getProps'  , 'browse');
	}

	public function execute($task)
	{
		//grecefully sends a redirect for un-authorized access
		if(parent::execute($task) === false)
		{
			$app = JFactory::getApplication();
			$app->redirect('index.php', JText::_('JERROR_ALERTNOAUTHOR'), 'notice');
		}
	}

	function copy()
	{
		$model = $this->getThisModel();

		$result = $model->copy();

		if($result) $msg = JText::_('COM_DOMUS_PROP_COPY_OK');
		else
		{
			$type = 'notice';
			$msg = JText::_('COM_DOMUS_PROP_COPY_ERROR');
		}

		$this->setRedirect(JRoute::_('index.php?option=com_domus&view=properties'), $msg, $type);
	}

	public function onBeforeBrowse()
	{
		//only authorized users can have acces to this part
		return $this->checkACL('core.manage');
	}
}