<?php
/**
 * @package    	Domus Organizer
 * @subpackage 	Controllers
 * @author     	Davide Tampellini
 * @copyright 	Copyright (c)2011-2012 Davide Tampellini
 * @license 	GNU General Public License version 3, or later
 */

defined('_JEXEC') or die();

class DomusControllerPublics extends FOFController
{
	function browse()
	{
		$this->modelName = 'Properties';
		parent::browse();
	}

	function sendContact()
	{
		//@TODO Form should load previous data if any check fails
		$plugin	 = JFactory::getApplication()->getParams()->get('captcha', JFactory::getConfig()->get('captcha'));
		$captcha = JCaptcha::getInstance($plugin);

		$id_prop = JRequest::getInt('id_properties');
		$name 	 = JRequest::getVar('name');
		$surname = JRequest::getVar('surname');
		$email 	 = JRequest::getVar('email');
		$phone 	 = JRequest::getVar('telephone');
		$contact = JRequest::getVar('contactOpt');
		$subject = JRequest::getVar('subject');
		$message = JRequest::getVar('message');
		$msg 	 = array();

		if(!$id_prop)		$msg[] = JText::_('COM_DOMUS_NO_PROPERTY');
		if(!$name)			$msg[] = JText::_('COM_DOMUS_NO_NAME');
		if(!$surname)		$msg[] = JText::_('COM_DOMUS_NO_SURNAME');
		if(!$email)			$msg[] = JText::_('COM_DOMUS_NO_EMAIL');
		if(!$phone)			$msg[] = JText::_('COM_DOMUS_NO_TELEPHONE');
		if(!$contact)		$msg[] = JText::_('COM_DOMUS_NO_CONTACT');
		if(!$subject)		$msg[] = JText::_('COM_DOMUS_NO_SUBJECT');
		if(!$message)		$msg[] = JText::_('COM_DOMUS_NO_MESSAGE');
		if(!$captcha->checkAnswer('')) $msg[] = JText::_('COM_DOMUS_INVALID_CAPTCHA');

		//everthing is ok, let's send the emails
		if(!$msg)
		{
			$prop = FOFTable::getAnInstance('Property', 'DomusTable');
			$prop->load($id_prop);

			$agency = FOFTable::getAnInstance('Agency', 'DomusTable');
			$agency->load($prop->pr_id_agencies);

			$mailer  = JFactory::getMailer();
			$config  = JFactory::getConfig();
			$parts   = explode('@', $config->get('mailfrom'));
			$noreply = 'no-reply@'.$parts[1];

			//email to the site owner
			$admBody  = JText::_('COM_DOMUS_ADM_MAIL_MESSAGE').' '.$prop->pr_obj_id.' - '.$prop->pr_title.'<br/><br/>';
			$admBody .= '<strong>'.JText::_('COM_DOMUS_NAME').'</strong>: '.$name.'<br/>';
			$admBody .= '<strong>'.JText::_('COM_DOMUS_SURNAME').'</strong>: '.$surname.'<br/>';
			$admBody .= '<strong>'.JText::_('COM_DOMUS_EMAIL').'</strong>: '.$email.'<br/>';
			$admBody .= '<strong>'.JText::_('COM_DOMUS_TELEPHONE').'</strong>: '.$phone.'<br/>';
			$admBody .= '<strong>'.JText::_('COM_DOMUS_CONTACT_OPTIONS').'</strong>: '.JText::_('COM_DOMUS_'.$contact).'<br/>';
			$admBody .= '<strong>'.JText::_('COM_DOMUS_MESSAGE').'</strong>:<br/> '.nl2br($message).'<br/>';
			$admBody .= '<br/><br/>'.JText::_('COM_DOMUS_NO_REPLY_GREETINGS').'<br/>';
			$admBody .= $config->get('sitename');

			$mailer->sendMail($noreply, $config->get('sitename'), $agency->ag_email, $subject, $admBody, true);

			//email to the user
			$usrBody  = JText::_('COM_DOMUS_USR_MAIL_MESSAGE').'<br/><br/>';
			$usrBody .= '<strong>'.JText::_('COM_DOMUS_PROPERTY').'</strong>: '.$prop->pr_obj_id.' - '.$prop->pr_title.'<br/>';
			$usrBody .= '<strong>'.JText::_('COM_DOMUS_NAME').'</strong>: '.$name.'<br/>';
			$usrBody .= '<strong>'.JText::_('COM_DOMUS_SURNAME').'</strong>: '.$surname.'<br/>';
			$usrBody .= '<strong>'.JText::_('COM_DOMUS_EMAIL').'</strong>: '.$email.'<br/>';
			$usrBody .= '<strong>'.JText::_('COM_DOMUS_TELEPHONE').'</strong>: '.$phone.'<br/>';
			$usrBody .= '<strong>'.JText::_('COM_DOMUS_CONTACT_OPTIONS').'</strong>: '.JText::_($contact).'<br/>';
			$usrBody .= '<strong>'.JText::_('COM_DOMUS_MESSAGE').'</strong>:<br/> '.nl2br($message).'<br/>';
			$usrBody .= '<br/><br/>'.JText::_('COM_DOMUS_NO_REPLY_GREETINGS').'<br/>';
			$usrBody .= $config->get('sitename');

			$mailer = JFactory::getMailer();
			$mailer->sendMail($noreply, $config->get('sitename'), $email, $subject, $usrBody, true);

			$type = 'message';
			$msg[] = JText::_('COM_DOMUS_CONTACT_SENT');
		}
		else $type = 'error';

		$this->setRedirect('index.php?option=com_domus&view=publics&layout=contact&tmpl=component&id='.$id_prop, implode(', ',$msg), $type);
	}
}