<?php
/**
 * @package    	Domus Organizer
 * @subpackage 	Controllers
 * @author     	Davide Tampellini
 * @copyright 	Copyright (c)2011-2012 Davide Tampellini
 * @license 	GNU General Public License version 3, or later
 */

defined('_JEXEC') or die();

class DomusControllerStreettypes extends FOFController
{
	public function execute($task)
	{
		//grecefully sends a redirect for un-authorized access
		if(parent::execute($task) === false)
		{
			$app = JFactory::getApplication();
			$app->redirect('index.php', JText::_('JERROR_ALERTNOAUTHOR'), 'notice');
		}
	}

	function save()
	{
		if($this->csrfProtection) $this->_csrfProtection();

		$id	   = FOFInput::getInt('id', 0, $this->input);
		$value = FOFInput::getVar('value', '', $this->input);

		$table = FOFTable::getAnInstance('Streettype', 'DomusTable');

		$table->load($id);
		$table->st_descr = $value;
		$table->store();

		echo json_encode(array($table->id_street_type, $value));
	}

	function remove()
	{
		if($this->csrfProtection) $this->_csrfProtection();

		$id	   = FOFInput::getInt('id', 0, $this->input);

		$table = FOFTable::getAnInstance('Streettype', 'DomusTable');

		$table->delete($id);
		echo $table->getError();
	}
}