<?php
/**
 * @package    	Domus Organizer
 * @author     	Davide Tampellini
 * @copyright 	Copyright (c)2011-2012 Davide Tampellini
 * @license 	GNU General Public License version 3, or later
 */

defined('_JEXEC') or die();

$params = JComponentHelper::getParams('com_domus');
if($params->get('debug', 0))
{
	ini_set('display_errors', 'true');
	ini_set('error_reporting', E_ALL &~ E_NOTICE);
}

JHTML::_('behavior.mootools');

if(file_exists(JPATH_ROOT.'/components/com_domus/views/search/view.html.php'))	define('DOMUS_PRO', 1);
else																			define('DOMUS_PRO', 0);

//avoid errors if FOF library is not installed
if(file_exists(JPATH_LIBRARIES.'/fof/include.php')) include_once JPATH_LIBRARIES.'/fof/include.php';
else												return;

FOFTemplateUtils::addCss('com_domus/css/main.css');
FOFTemplateUtils::addCss('com_domus/css/classes.css');
FOFTemplateUtils::addCss('com_domus/css/toolbar.css');
FOFTemplateUtils::addCss('com_domus/css/frontend.css');

$doc = JFactory::getDocument();
if($doc->getType() == 'html')
{
	$path = 'com_domus/css/ie7.css';
	$ieCSS = '<!--[if IE 7]><link rel="stylesheet" href="'.FOFTemplateUtils::parsePath($path).'" type="text/css" /> <![endif]-->';
	$doc->addCustomTag($ieCSS);
	FOFTemplateUtils::addJS('com_domus/js/helper.js');
}

//set Mootools language
$lng = JFactory::getConfig()->get('language');
if(!file_exists(JPATH_ROOT.'/media/com_domus/js/language/Locale.'.$lng.'.js')) $lng = 'en-GB';

FOFTemplateUtils::addJS('com_domus/js/language/Locale.'.$lng.'.js');
FOFDispatcher::getAnInstance('com_domus')->dispatch();