<?php
/**
 * @package    	Domus Organizer
 * @subpackage 	Helpers
 * @author     	Davide Tampellini
 * @copyright 	Copyright (c)2011-2012 Davide Tampellini
 * @license 	GNU General Public License version 3, or later
 */

defined('_JEXEC') or die();

class DomusHelperGmap
{
	static $div;
	static $coords;
	static $exclusive;
	static $refresh;

	public static function createMap($admin = false, $config, $showmarker = false)
	{
		self::$div 	  	 = $config['div'];
		self::$coords    = $config['coords'];
		self::$exclusive = $config['exclusive'];
		if(isset($config['refresh'])) self::$refresh = $config['refresh'];

		JFactory::getDocument()->addScript('http://maps.google.com/maps/api/js?sensor=false');

		$js = '
		var GEOCODER = new google.maps.Geocoder();
		var MAP;
		var markersArray = [];
		var customMarker = new google.maps.Marker();

		function initGmap() {
		var coord = "'.self::$coords.'".split(",");

		if(coord[0] == "") coord = "0, 0".split(",");

		var latlng = new google.maps.LatLng(coord[0], coord[1]);
		var myOptions = {
		zoom: 17,
		center : latlng,
		mapTypeId: google.maps.MapTypeId.ROADMAP
	};

	MAP = new google.maps.Map(document.getElementById("'.self::$div.'"), myOptions);';

		/*
		 * var infowindow = new google.maps.InfoWindow({content: "'.JText::_('SAVED_POSITION').'"});
		google.maps.event.addListener(marker, "click", function() {
				infowindow.open(MAP,marker);
				});
		*/

		if($admin)
		{
			$js .= 'customMarker.setMap(MAP);
			google.maps.event.addListener(MAP, "click", function(event) {
			var parts = event.latLng.toString().replace(/(\(|\))/ig, "").split(",");
			var lat = parseFloat( parts[0] );
			var lon = parseFloat( parts[1] );
			lat = lat.toFixed(6);
			lon = lon.toFixed(6);
			customMarker.setPosition(event.latLng);
			$("pr_mapcoords").value = lat + ", " + lon;
		});

		var marker = new google.maps.Marker({
		position: latlng,
		map : MAP
		});
		';
		}
		else
		{
			$params = JComponentHelper::getParams('com_domus');
			$fullAddress = $params->get('completeAddress', 0);

			if($showmarker || $fullAddress == 1 || ($fullAddress == 2 && self::$exclusive))
			{
				$js .= 'var marker = new google.maps.Marker({
				position: latlng,
				map : MAP
			});';
			}
		}
		$js .='
	}

	window.addEvent("load", function(){initGmap()});';

		JFactory::getDocument()->addScriptDeclaration($js);

		if($admin) 	self::adminPane();
		else		echo '<div id="'.self::$div.'" style="height: 100%;"></div>';

		if(self::$refresh) self::refreshGmap();
	}

	protected static function refreshGmap()
	{
		$js = "window.addEvent('load', function(){
				$$('".self::$refresh['element']."').each(function(item){
					item.addEvent('".self::$refresh['event']."', function(){
						setTimeout('refreshGmap()', 750);
					});
				});
			});";

		JFactory::getDocument()->addScriptDeclaration($js);
	}

	protected static function adminPane()
	{
		FOFTemplateUtils::addJS('com_domus/js/gmap.adminpane.js');

		//pretty ugly html embedding... ;(
		$div 		 = self::$div;
		$coords 	 = self::$coords;
		$coords_label= JText::_('COM_DOMUS_COORDS');

		$html = <<<GMAP
<table width="100%">
	<tr>
		<td>
			<div style="text-align:center">
				<select id="GMapList" size="5" name="GMapList"></select>
				<br />
				<label id="geocodestatus"></label>
			</div>
		</td>
	</tr>
	<tr>
		<td class="gmap_nomargin" style="text-align:center" align="center" >
			<div id="$div" style="width:auto; height: 500px; text-align:center; margin:10px;border:solid #ccc 1px"></div>
			<div align="center" style="text-align:center; margin-top:5px">$coords_label:
				<input id="pr_mapcoords" name="pr_mapcoords" size="35" value="$coords" />
			</div>
			<div align="center" style="text-align:center; color:#F60">Fai click sulla mappa o inseriscile manualmente</div>
		</td>
	</tr>
</table>
GMAP;
		echo $html;
	}
}