<?php
/**
 * @package    	Domus Organizer
 * @subpackage 	Helpers
 * @author     	Davide Tampellini
 * @copyright 	Copyright (c)2011-2012 Davide Tampellini
 * @license 	GNU General Public License version 3, or later
 */

defined('_JEXEC') or die();

class DomusHelperProperty
{
	public static function buildQueryPrice($value)
	{
		$params = JComponentHelper::getParams('com_domus');
		$prices = explode("\n", $params->get('priceSearch'));
		$total  = count($prices);

		//clean the prices (you never know..)
		$prices = preg_replace('/\D/','',$prices);

		//select list values start from 1, so i can check with a standard if, ie if($value) etc etc
		if    ($value == 1) 					$return = 'pr_price <= '.$prices[0];
		elseif($value > 1 && $value <= $total)  $return = 'pr_price BETWEEN '.$prices[$value - 2].' AND '.$prices[$value - 1];
		elseif($value == ($total + 1)) 			$return = 'pr_price >='.$prices[$total - 1];
		else   return false;

		//I get all the properties with the correct price + all private_treaty (user doesn't know their prices)
		$return = '(('.$return.' AND pr_private_treaty = 0) OR pr_private_treaty = 1)';

		return $return;
	}

	public static function icons($type, $value)
	{
		switch($type)
		{
			case 'hot':
				if($value)
				{
					$img = 'featured.png';
					$title = JText::_('COM_DOMUS_PROPERTY_HOT');
				}
				else
				{
					$img = 'featured_grey.png';
					$title = JText::_('COM_DOMUS_PROPERTY_NOT_HOT');
				}

				break;

			case 'home_page':
				if($value)
				{
					$img = 'home_page_featured.png';
					$title = JText::_('COM_DOMUS_PROPERTY_HP');
				}
				else
				{
					$img = 'home_page_featured_grey.png';
					$title = JText::_('COM_DOMUS_PROPERTY_NOT_HP');
				}
				break;
		}

		return '<img src="'.FOFTemplateUtils::parsePath('com_domus/images/'.$img).'" title="'.$title.'" />';
	}

	/**
	 * Method to get property images
	 *
	 * @param int		$id_prop	Property id
	 * @param boolean 	$published	Switch to get published images only
	 */
	static function getImages($id_prop, $published = false)
	{
		$db = JFactory::getDbo();

		$query = $db->getQuery(true)
					->select('*')
			  		->from('#__domus_images')
			  		->where('img_id_properties = '.$id_prop)
			  		->where("(img_type = '.jpg' OR img_type = '.gif' OR img_type = '.png')")
					->order('ordering ASC');

		if($published) $query->where('img_published = 1 ');

		return $db->setQuery($query)->loadObjectList();
	}
}