<?php
/**
 * @package    	Domus Organizer
 * @subpackage 	Models
 * @author     	Davide Tampellini
 * @copyright 	Copyright (c)2011-2012 Davide Tampellini
 * @license 	GNU General Public License version 3, or later
 */

defined('_JEXEC') or die();

class DomusModelImages extends FOFModel
{
	public function buildQuery($overrideLimits = false)
	{
		$db = $this->getDbo();
		$query = FOFQueryAbstract::getNew($db)
					->select('*')
					->from('#__domus_images');

		$property = $this->getState('img_id_properties', '', 'int');
		if($property)
		{
			$query->where('img_id_properties = '.$property);
		}

		$order = $this->getState('filter_order', 'ordering', 'cmd');
		if(!in_array($order, array_keys($this->getTable()->getData()))) $order = 'ordering';

		$dir = $this->getState('filter_order_Dir', 'DESC', 'cmd');
		$query->order($order.' '.$dir);

		return $query;
	}

	public function getReorderWhere()
	{
		return 'img_id_properties = '.$this->otable->img_id_properties;
	}
}