<?php
/**
 * @package    	Domus Organizer
 * @subpackage 	Models
 * @author     	Davide Tampellini
 * @copyright 	Copyright (c)2011-2012 Davide Tampellini
 * @license 	GNU General Public License version 3, or later
 */

defined('_JEXEC') or die();

class DomusModelReqtowns extends FOFModel
{
	public function buildQuery($overrideLimits = false)
	{
		$db = $this->getDbo();
		$query = FOFQueryAbstract::getNew($db)
					->select('cust_towns.*, di_descr, to_descr, zo_descr, sz_descr')
					->from('#__domus_cust_towns cust_towns')
					->leftJoin('#__domus_districts ON ct_id_districts = id_districts')
					->leftJoin('#__domus_towns ON ct_id_towns = id_towns')
					->leftJoin('#__domus_zones ON ct_id_zones = id_zones')
					->leftJoin('#__domus_szones ON ct_id_szones = id_szones')
		;

		$customer = $this->getState('ct_id_customers', 0, 'int');
		if($customer)
		{
			$query->where('ct_id_customers = '.$customer);
		}

		return $query;
	}
}