<?php
/**
 * @package    	Domus Organizer
 * @subpackage 	Models
 * @author     	Davide Tampellini
 * @copyright 	Copyright (c)2011-2012 Davide Tampellini
 * @license 	GNU General Public License version 3, or later
 */

defined('_JEXEC') or die();

class DomusModelSzones extends FOFModel
{
	function buildQuery($overrideLimits = false)
	{
		$db = $this->getDbo();
		$query = FOFQueryAbstract::getNew($db);

		//if i'm getting values in json format, probably i'm creating a select list
		//so i wipe out the select clause and rebuild it
		if(FOFInput::getVar('format') == 'json')
		{
			$this->setState('limit', 0);
			$query = parent::buildQuery($overrideLimits);

			$query->clear('select')
				  ->clear('order')
				  ->select('id_szones as value, sz_descr as text')
				  ->order('sz_descr ASC');
		}
		else
		{
			$query->select('szone.*, to_descr, zo_descr')
				  ->from('#__domus_szones szone')
				  ->innerJoin('#__domus_zones ON sz_id_zones = id_zones')
				  ->innerJoin('#__domus_towns ON zo_id_towns = id_towns');
		}

		return $query;
	}

	public function &getItem($id = null)
	{
		if(!is_null($id))
		{
			$this->record = null;
			$this->setId($id);
		}

		if(empty($this->record))
		{
			$db = $this->getDbo();
			$query = FOFQueryAbstract::getNew($db);

			$query->select('szone.*, town.*, zone.*')
				  ->from('#__domus_szones szone')
				  ->innerJoin('#__domus_zones zone ON sz_id_zones = id_zones')
				  ->innerJoin('#__domus_towns town ON zo_id_towns = id_towns')
				  ->where('id_szones = '.$this->id);
			$this->record = $db->setQuery($query)->loadObject();

			$this->onAfterGetItem($this->record);
		}

		return $this->record;
	}
}