<?php
/**
 * @package    	Domus Organizer
 * @subpackage 	Models
 * @author     	Davide Tampellini
 * @copyright 	Copyright (c)2011-2012 Davide Tampellini
 * @license 	GNU General Public License version 3, or later
 */

defined('_JEXEC') or die();

class DomusModelTowns extends FOFModel
{
	function buildQuery($overrideLimits = false)
	{
		$db = $this->getDbo();
		$query = FOFQueryAbstract::getNew($db);

		//if i'm getting values in json format, probably i'm creating a select list
		//so i wipe out the select clause and rebuild it
		if(FOFInput::getVar('format') == 'json')
		{
			$this->setState('limit', 0);
			$query = parent::buildQuery(true);

			$query->clear('select')
				  ->clear('order')
				  ->select('id_towns as value, to_descr as text')
				  ->order('to_descr ASC');
		}
		else
		{
			$query->select('town.*, di_descr')
				  ->from('#__domus_towns town')
				  ->innerJoin('#__domus_districts ON to_id_districts = id_districts');
		}

		return $query;
	}
}