<?php
/**
 * @package    	Domus Organizer
 * @author     	Davide Tampellini
 * @copyright 	Copyright (c)2011-2012 Davide Tampellini
 * @license 	GNU General Public License version 3, or later
 */

defined('_JEXEC') or die();

class DomusToolbar extends FOFToolbar
{
	function __construct($config = array())
	{
		parent::__construct($config);
		$this->renderFrontendButtons = true;
	}

	public function onCpanelsBrowse()
	{
		JToolBarHelper::title(JText::_('COM_DOMUS_CONTROL_PANEL'));
	}

	public function onAgenciesAdd()
	{
		JToolBarHelper::title(JText::_('COM_DOMUS_AGENCY_PROFILE'));
		$this->stdEdit();
	}

	public function onAgenciesEdit()
	{
		$this->onAgenciesAdd();
	}

	public function onAttributesBrowse()
	{
		JToolBarHelper::title(JText::_('COM_DOMUS_CONTROL_PANEL'));
		$this->liteBrowse();
	}

	public function onAttributesAdd()
	{
		JToolbarHelper::title(JText::_('COM_DOMUS_PROP_ATTRIBUTE'));
		$this->stdEdit();
	}

	public function onAttributesEdit()
	{
		$this->onAttributesAdd();
	}

	public function onCategoriesBrowse()
	{
		JToolBarHelper::title(JText::_('COM_DOMUS_CATEGORIES'));

		JToolBarHelper::addNew();
		JToolBarHelper::publishList();
		JToolBarHelper::unpublishList();
		JToolBarHelper::deleteList(JText::_('COM_DOMUS_DELETE_CONFIRM'));

		JToolBarHelper::spacer();

		JToolBarHelper::back('JTOOLBAR_BACK', JRoute::_('index.php?option=com_domus&view=cpanel'));
	}

	public function onCategoriesAdd()
	{
		JToolbarHelper::title(JText::_('COM_DOMUS_CATEGORY'));
		$this->stdEdit();
	}

	public function onCategoriesEdit()
	{
		$this->onCategoriesAdd();
	}

	public function onCustgroupsBrowse()
	{
		JToolBarHelper::title(JText::_('COM_DOMUS_CUST_GROUP'));

		$this->addCustomBtn('toolbar_add', 'new', JText::_('COM_DOMUS_NEW'));
		$this->addCustomBtn('toolbar_delete', 'delete', JText::_('COM_DOMUS_DELETE'));
		JToolBarHelper::spacer();
		JToolBarHelper::back('JTOOLBAR_BACK', JRoute::_('index.php?option=com_domus&view=cpanel'));
	}

	public function onCustomersAdd()
	{
		//@TODO Add customer details in the title
		JToolBarHelper::title(JText::_('COM_DOMUS_CUST_EDIT_TITLE'));
		$this->stdEdit();
	}

	public function onCustomersBrowse()
	{
		JToolBarHelper::title(JText::_('COM_DOMUS_TITLE_CUSTOMERS'));

		if($this->perms->create) JToolBarHelper::addNew();
		if($this->perms->delete) JToolBarHelper::deleteList(JText::_('COM_DOMUS_DELETE_CONFIRM'));

		JToolBarHelper::back('JTOOLBAR_BACK', JRoute::_('index.php?option=com_domus&view=cpanel'));
	}

	public function onCustomersChooseOwn()
	{
		JToolBarHelper::title(JText::_('COM_DOMUS_TITLE_CUSTOMERS'));

		$this->addCustomBtn('chooseOwn', 'select', JText::_('COM_DOMUS_CHOOSE'));
	}

	public function onCustomersEdit()
	{
		JToolBarHelper::title(JText::_('COM_DOMUS_CUST_EDIT_TITLE'));
		$this->stdEdit();
	}

	public function onCustomersRead()
	{
		require_once JPATH_COMPONENT.'/helpers/html.php';

		JToolBarHelper::title(JText::_('COM_DOMUS_CUSTOMER_DETAILS'));

		if(DomusHelperHtml::checkedOut($this->viewData, 0, 'id_customers', 'Customer', false)){
			$this->addCheckedOutBtn();
		}
		else{
			if($this->perms->edit) $this->addStdBtn('edit', JText::_('JTOOLBAR_EDIT'), 'edit');
		}

		JToolBarHelper::back('JTOOLBAR_BACK', JRoute::_('index.php?option=com_domus&view=customers'));
	}

	public function onDistrictsAdd()
	{
		JToolBarHelper::title(JText::_('COM_DOMUS_DISTRICT'));
		$this->stdEdit();
	}

	public function onDistrictsBrowse()
	{
		JToolBarHelper::title(JText::_('COM_DOMUS_DISTRICTS'));
		$this->liteBrowse();
	}

	public function onDistrictsEdit()
	{
		$this->onDistrictsAdd();
	}

	public function onPropertiesAdd()
	{
		JToolBarHelper::title(JText::_('COM_DOMUS_NEW_PROPERTY'));
		$this->stdEdit();
	}

	public function onPropertiesBrowse()
	{
		JToolBarHelper::title(JText::_('COM_DOMUS_TITLE_PROPERTIES'));

		if($this->perms->create){
			JToolBarHelper::addNew();
			JToolBarHelper::custom('copy', 'copy.png', 'copy_f2.png', 'JTOOLBAR_DUPLICATE', true);
		}
		if($this->perms->editstate)	JToolBarHelper::publishList();
		if($this->perms->editstate)	JToolBarHelper::unpublishList();
		if($this->perms->delete)	JToolBarHelper::deleteList(JText::_('COM_DOMUS_DELETE_CONFIRM'));

		JToolBarHelper::back('JTOOLBAR_BACK', JRoute::_('index.php?option=com_domus&view=cpanel'));
	}

	public function onPropertiesChooseProp()
	{
		JToolBarHelper::title(JText::_('COM_DOMUS_TITLE_PROPERTIES'));
		$this->addCustomBtn('chooseProp', 'select', JText::_('COM_DOMUS_CHOOSE'));
	}

	public function onPropertiesEdit()
	{
		//@TODO Add property details in the title
		JToolBarHelper::title(JText::_('COM_DOMUS_OBJID').': '.$this->viewData->pr_obj_id);
		$this->stdEdit();
	}

	public function onPropertiesRead()
	{
		require_once JPATH_COMPONENT.'/helpers/html.php';

		JToolBarHelper::title(JText::_('COM_DOMUS_PROPERTY_DETAILS'));

		if(DomusHelperHtml::checkedOut($this->viewData, 0, 'id_properties', 'Property', false)){
			$this->addCheckedOutBtn();
		}
		else{
			if($this->perms->edit) $this->addStdBtn('edit', JText::_('JTOOLBAR_EDIT'), 'edit');
		}

		JToolBarHelper::back('JTOOLBAR_BACK', JRoute::_('index.php?option=com_domus&view=properties'));
	}

	public function onPublics()
	{
		//empty function to avoid FOF outputting the title string
	}

	public function onRoomtypesBrowse()
	{
		$this->onCustgroupsBrowse();
		JToolBarHelper::title(JText::_('COM_DOMUS_ROOMS'));
	}

	public function onSearchesAdd()
	{
		JToolBarHelper::title(JText::_('COM_DOMUS_SEARCH'));

		$this->addCustomBtn('reset', 'clear', JText::_('COM_DOMUS_RESET'));
		$this->addCustomBtn('search', 'search', JText::_('COM_DOMUS_SEARCH'), '', 'search');
		JToolBarHelper::spacer();
		JToolBarHelper::back('JTOOLBAR_BACK', JRoute::_('index.php?option=com_domus&view=cpanel'));
	}

	public function onSearchesSearch()
	{
	    JToolBarHelper::title(JText::sprintf('COM_DOMUS_SEARCH_RESULTS', $this->viewData));

	    JToolBarHelper::back('JTOOLBAR_BACK', JRoute::_('index.php?option=com_domus&view=search'));
	}

	public function onSourcesBrowse()
	{
		$this->onCustgroupsBrowse();
		JToolBarHelper::title(JText::_('COM_DOMUS_SOURCE'));
	}

	public function onStreettypesBrowse()
	{
		$this->onCustgroupsBrowse();
		JToolBarHelper::title(JText::_('COM_DOMUS_STREET_TYPE'));
	}

	public function onSzonesAdd()
	{
		JToolBarHelper::title(JText::_('COM_DOMUS_SZONE'));
		$this->stdEdit();
	}

	public function onSzonesBrowse()
	{
		JToolBarHelper::title(JText::_('COM_DOMUS_SZONES'));
		$this->liteBrowse();
	}

	public function onSzonesEdit()
	{
		$this->onSzonesAdd();
	}

	public function onTownsAdd()
	{
		JToolBarHelper::title(JText::_('COM_DOMUS_TOWN'));
		$this->stdEdit();
	}

	public function onTownsBrowse()
	{
		JToolBarHelper::title(JText::_('COM_DOMUS_TOWNS'));
		$this->liteBrowse();
	}

	public function onTownsEdit()
	{
		$this->onTownsAdd();
	}

	public function onTypesBrowse()
	{
		JToolBarHelper::title(JText::_('COM_DOMUS_TYPES'));

		JToolBarHelper::addNew();
		JToolBarHelper::publishList();
		JToolBarHelper::unpublishList();
		JToolBarHelper::deleteList(JText::_('COM_DOMUS_DELETE_CONFIRM'));

		JToolBarHelper::spacer();

		JToolBarHelper::back('JTOOLBAR_BACK', JRoute::_('index.php?option=com_domus&view=cpanel'));
	}

	public function onTypesAdd()
	{
		JToolbarHelper::title(JText::_('COM_DOMUS_TYPE'));
		$this->stdEdit();
	}

	public function onTypesEdit()
	{
		$this->onTypesAdd();
	}

	public function onUsersAdd()
	{
		JToolBarHelper::title(JText::_('COM_DOMUS_USER_PROFILE'));
		$this->stdEdit();
	}

	public function onUsersEdit()
	{
		$this->onUsersAdd();
	}

	public function onZonesAdd()
	{
		JToolBarHelper::title(JText::_('COM_DOMUS_ZONE'));
		$this->stdEdit();
	}

	public function onZonesBrowse()
	{
		JToolBarHelper::title(JText::_('COM_DOMUS_ZONES'));
		$this->liteBrowse();
	}

	public function onZonesEdit()
	{
		$this->onZonesAdd();
	}

	protected function stdEdit()
	{
		JToolbarHelper::save();
		JToolbarHelper::apply();
		JToolBarHelper::cancel();
	}

	protected function liteBrowse()
	{
		JToolBarHelper::addNew();
		JToolBarHelper::deleteList(JText::_('COM_DOMUS_DELETE_CONFIRM'));
		JToolBarHelper::spacer();
		JToolBarHelper::back('JTOOLBAR_BACK', JRoute::_('index.php?option=com_domus&view=cpanel'));
	}

	protected function addCheckedOutBtn()
	{
		$this->addCustomBtn('checkedOut', 'locked', JText::_('COM_DOMUS_LOCKED'));
	}

	protected function addStdBtn($css, $testo, $task, $check = false)
	{
		$bar = JToolbar::getInstance();
		$bar->appendButton('Standard', $css, $testo, $task, $check);
	}

	protected function addCustomBtn($id, $class = null, $text = null, $alt = null, $task = null, $href = null, $target = null)
	{
		$html = '<a id="'.$id.'" class="toolbar"';
		if($alt)	$html .= ' alt="'.$alt.'"';
		if($href)	$html .= ' href="'.$href.'"';
		if($task)	$html .= " onclick=\"javascript:submitbutton('".$task."')\"";
		if($target) $html .= ' target="'.$target.'"';
		$html .= ' >';

		$html .= '<span class="icon-32-'.$class.'" title="'.$text.'" > </span>';
		$html .= $text;
		$html .= '</a>';

		$bar = JToolBar::getInstance();
		$bar->appendButton('Custom', $html, $id);
	}
}