<?php
/**
 * @package    	Domus Organizer
 * @subpackage 	Layouts
 * @author     	Davide Tampellini
 * @copyright 	Copyright (c)2011-2012 Davide Tampellini
 * @license 	GNU General Public License version 3, or later
 */

	defined('_JEXEC') or die();
	$this->loadHelper('html');
	$this->loadHelper('fancy');

	DomusHelperFancy::addTable();
	$dataLanguage = FOFTemplateUtils::parsePath('com_domus/library/datatables/language/'.JFactory::getConfig()->get('language').'.txt');
?>
<script type="text/javascript">
jQuery.noConflict();
jQuery(document).ready(function($){
	var dataTable = $('#dataTable').dataTable({
		"aaSorting": [[1, 'asc']],
		"bStateSave": false,
		"sPaginationType": "full_numbers",
		"oLanguage": {
			"sUrl" : "<?php echo $dataLanguage ?>"
		}
	});

	$("#dataTable tbody").click(function(event) {
		$(dataTable.fnSettings().aoData).each(function (){
			$(this.nTr).removeClass('row_selected');
		});
		$(event.target.parentNode).addClass('row_selected');
	});
});
</script>
<div id="domus">
	<form id="adminForm" name="adminForm" action="<?php echo JRoute::_('index.php?option=com_domus&view=attributes')?>" method="post">
		<input type="hidden" name="option" value="com_domus" />
		<input type="hidden" name="task" value="" />
		<input type="hidden" name="view" value="attributes" />
		<input type="hidden" name="boxchecked" value="0" />
		<input type="hidden" name="<?php echo JUtility::getToken();?>" value="1" />

		<table cellpadding="0" cellspacing="0" border="0" class="display" id="dataTable">
			<thead>
				<tr>
					<th class="w5_">&nbsp;</th>
					<th><?php echo JText::_('COM_DOMUS_TYPE') ?></th>
					<th><?php echo JText::_('COM_DOMUS_DESCR') ?></th>
				</tr>
			</thead>
		<tbody>
		<?php
			if($this->items)
			{
				foreach($this->items as $row)
				{
					$checkbox = JHTML::_('grid.id',  $i, $row->id_attributes);
		?>
			<tr>
				<td class="center"><?php echo $checkbox?></td>
				<td class="center"><?php echo JText::_('COM_DOMUS_'.$row->att_type)?></td>
				<td class="txt_left">
					<a href="<?php echo JRoute::_('index.php?option=com_domus&task=edit&view=attribute&id='.$row->id_attributes)?>">
						<?php echo $row->att_descr?>
					</a>
				</td>
			</tr>
			<?php
					};
				}
				?>
		</tbody>
	</table>
	</form>
</div>