<?php
/**
 * @package    	Domus Organizer
 * @subpackage 	Layouts
 * @author     	Davide Tampellini
 * @copyright 	Copyright (c)2011-2012 Davide Tampellini
 * @license 	GNU General Public License version 3, or later
 */
	defined('_JEXEC') or die();

	$customers  = FOFTemplateUtils::parsePath('com_domus/images/folder_customer_32.png');
	$properties = FOFTemplateUtils::parsePath('com_domus/images/property_32.png');
	$settings	= FOFTemplateUtils::parsePath('com_domus/images/kservices_32.png');
	$search		= FOFTemplateUtils::parsePath('com_domus/images/find_32.png');
	$attribs	= FOFTemplateUtils::parsePath('com_domus/images/house_wrench_32.png');
	$cats		= FOFTemplateUtils::parsePath('com_domus/images/category_tree_32.png');
	$types		= FOFTemplateUtils::parsePath('com_domus/images/category_black_32.png');
	$user		= FOFTemplateUtils::parsePath('com_domus/images/admin_tools_32.png');
	$agency		= FOFTemplateUtils::parsePath('com_domus/images/house_32.png');

	$domus_user = FOFModel::getTmpInstance('Users', 'DomusModel')
					->us_id_joomla(JFactory::getUser()->id)
					->getList(true);
?>
<div id="domus">
	<div style="margin-bottom:10px">
		<div class="cpanel">
			<div class="icon-wrapper">
				<div class="icon">
					<a href="<?php echo JRoute::_('index.php?option=com_domus&view=customers'); ?>">
						<img src="<?php echo $customers ?>">
						<span><?php echo JText::_('COM_DOMUS_CUSTOMERS')?></span>
					</a>
				</div>
			</div>
			<div class="icon-wrapper">
				<div class="icon">
					<a href="<?php echo JRoute::_('index.php?option=com_domus&view=properties');?>">
						<img src="<?php echo $properties ?>">
						<span><?php echo JText::_('COM_DOMUS_PROPERTIES')?></span>
					</a>
				</div>
			</div>
			<?php if(DOMUS_PRO):?>
			<div class="icon-wrapper">
				<div class="icon">
					<a href="<?php echo JRoute::_('index.php?option=com_domus&view=search');?>">
						<img src="<?php echo $search ?>">
						<span><?php echo JText::_('COM_DOMUS_ADV_SEARCH')?></span>
					</a>
				</div>
			</div>
			<?php endif;?>
			<div class="clr"></div>
		</div>
	</div>
	<?php
		echo JHTML::_('sliders.start', 'slider', array('useCookie' => true));
		echo JHTML::_('sliders.panel', JText::_('COM_DOMUS_FRONTEND_ADMIN'), 'admin');
	?>
	<div style="padding:20px 0">
		<div class="sx w50_">
			<fieldset>
				<legend><?php echo JText::_('COM_DOMUS_SYSTEM_TABLES')?></legend>
				<ul class="hidden">
					<li>
						<a href="<?php echo JRoute::_('index.php?option=com_domus&view=custgroups')?>">
							<?php echo JText::_('COM_DOMUS_SYS_TABLE_CUST_GROUPS')?>
						</a>
					</li>
					<li>
						<a href="<?php echo JRoute::_('index.php?option=com_domus&view=roomtypes')?>">
							<?php echo JText::_('COM_DOMUS_SYS_TABLE_ROOMS')?>
						</a>
					</li>
					<li>
						<a href="<?php echo JRoute::_('index.php?option=com_domus&view=sources')?>">
							<?php echo JText::_('COM_DOMUS_SYS_TABLE_SOURCES')?>
						</a>
					</li>
					<li>
						<a href="<?php echo JRoute::_('index.php?option=com_domus&view=streettypes')?>">
							<?php echo JText::_('COM_DOMUS_SYS_TABLE_STREET_TYPE')?>
						</a>
					</li>
					<li>
						<a href="<?php echo JRoute::_('index.php?option=com_domus&view=districts')?>">
							<?php echo JText::_('COM_DOMUS_SYS_TABLE_DISTRICTS')?>
						</a>
					</li>
					<li>
						<a href="<?php echo JRoute::_('index.php?option=com_domus&view=towns')?>">
							<?php echo JText::_('COM_DOMUS_SYS_TABLE_TOWNS')?>
						</a>
					</li>
					<li>
						<a href="<?php echo JRoute::_('index.php?option=com_domus&view=zones')?>">
							<?php echo JText::_('COM_DOMUS_SYS_TABLE_ZONES')?>
						</a>
					</li>
					<li>
						<a href="<?php echo JRoute::_('index.php?option=com_domus&view=szones')?>">
							<?php echo JText::_('COM_DOMUS_SYS_TABLE_SZONES')?>
						</a>
					</li>

				</ul>
			</fieldset>
		</div>
		<div class="dx w45_">
			<div class="cpanel">
				<div class="icon-wrapper">
					<div class="icon">
						<a href="<?php echo JRoute::_('index.php?option=com_domus&view=attributes'); ?>">
							<img style="padding:5px" src="<?php echo $attribs ?>">
							<span><?php echo JText::_('COM_DOMUS_PROP_ATTRIBUTES')?></span>
						</a>
					</div>
				</div>
				<div class="icon-wrapper">
					<div class="icon">
						<a href="<?php echo JRoute::_('index.php?option=com_domus&view=categories'); ?>">
							<img src="<?php echo $cats ?>">
							<span><?php echo JText::_('COM_DOMUS_CATEGORIES')?></span>
						</a>
					</div>
				</div>
				<div class="icon-wrapper">
					<div class="icon">
						<a href="<?php echo JRoute::_('index.php?option=com_domus&view=types'); ?>">
							<img src="<?php echo $types ?>">
							<span><?php echo JText::_('COM_DOMUS_TYPES')?></span>
						</a>
					</div>
				</div>
				<div class="icon-wrapper">
					<div class="icon">
						<a href="<?php echo JRoute::_('index.php?option=com_domus&view=user&task=edit&id='.$domus_user[0]->id_users); ?>">
							<img src="<?php echo $user ?>">
							<span><?php echo JText::_('COM_DOMUS_USER_PROFILE')?></span>
						</a>
					</div>
				</div>
				<div class="icon-wrapper">
					<div class="icon">
						<a href="<?php echo JRoute::_('index.php?option=com_domus&view=agency&task=edit&id=1'); ?>">
							<img src="<?php echo $agency ?>">
							<span><?php echo JText::_('COM_DOMUS_AGENCY_PROFILE')?></span>
						</a>
					</div>
				</div>
			</div>
		</div>
		<div class="clr"></div>
	</div>
	<?php
		echo JHTML::_('sliders.end');
	?>
</div>