<?php
/**
 * @package    	Domus Organizer
 * @subpackage 	Layouts
 * @author     	Davide Tampellini
 * @copyright 	Copyright (c)2011-2012 Davide Tampellini
 * @license 	GNU General Public License version 3, or later
 */

	defined('_JEXEC') or die('Restricted access');
	$this->loadHelper('fancy');

	DomusHelperFancy::addTable();

	$dataLanguage = FOFTemplateUtils::parsePath('com_domus/library/datatables/language/'.JFactory::getConfig()->get('language').'.txt');
?>
<script type="text/javascript">
jQuery.noConflict();
jQuery(document).ready(function($){

	function fnGetSelected( oTableLocal )
	{
		var aReturn = new Array();
		var aTrs = oTableLocal.fnGetNodes();

		for ( var i=0 ; i<aTrs.length ; i++ )
		{
			if ( $(aTrs[i]).hasClass('row_selected') )
			{
				aReturn.push( aTrs[i] );
			}
		}
		return aReturn;
	}

	var dataTable = $('#dataTable').dataTable({
		"aaSorting": [[1, 'asc']],
		"bStateSave": false,
		"sPaginationType": "full_numbers",
		'oLanguage': {
			'sUrl' : "<?php echo $dataLanguage ?>"
		},
		'fnRowCallback': function( nRow, aData, iDisplayIndex, iDisplayIndexFull ) {
			var td = $(nRow).children();
			td[1].addClass('editable');
			return nRow;
		},
		'fnDrawCallback' : function(){
			var self = this;
			var url  = 'index.php?option=com_domus&view=custgroup&format=json&task=save&'+$('#token').val()+'=1';
			$('td.editable', self.fnGetNodes()).editable(url, {
				event     : "dblclick",
				width	  : '200',
				submit	  : 'OK',
				"callback": function( sValue, y ) {
					sValue = jQuery.parseJSON(sValue);
					var aPos = self.fnGetPosition( this );
					self.fnUpdate( sValue[0], aPos[0], 0 );
					self.fnUpdate( sValue[1], aPos[0], aPos[1] );
				},
				"submitdata": function ( value, settings ) {
					var row = self.fnGetPosition( this );
					var rowid = self.fnGetData(row[0], 0);
					return {
						'id': rowid,
						'column': self.fnGetPosition( this )[2]
					};
				},
				"height": "14px"
			} );
		}
	});


	$("#dataTable tbody").click(function(event) {
		$(dataTable.fnSettings().aoData).each(function (){
			$(this.nTr).removeClass('row_selected');
		});
		$(event.target.parentNode).addClass('row_selected');
	});

	/* Add a click handler for the delete row */
	$('#toolbar_delete').click( function() {
		if(!confirm(Locale.get('Domus.confirmDelete'))) return;
		var anSelected = fnGetSelected( dataTable );
		var row = dataTable.fnGetPosition( anSelected[0] );
		var rowid = dataTable.fnGetData(row, 0);
		var url  = 'index.php?option=com_domus&view=custgroup&format=json&task=remove&'+$('#token').val()+'=1';
		var jAjax = jQuery.ajax(url, {
			data : {
				'id': rowid,
				'delete': '1'
				}
		});

		jAjax.complete(function(data){
			if (data.responseText == ''){
				$('#message').html('');
				dataTable.fnDeleteRow(anSelected[0]);}
			else			$('#message').html(data.responseText);
		});
	});

	$('#toolbar_add').click(function () {
		$('#dataTable').dataTable().fnAddData( ['',''] );
	})
});
</script>
<div id="domus">
	<form action="<?php echo JRoute::_('index.php?option=com_domus&view=custgroups') ?>" method="post" name="adminForm" id="adminForm">
		<div class="dx w45_">
			<em><?php echo JText::_('COM_DOMUS_DATATABLES_TIP')?></em>
		</div>
		<div class="clr" style="margin-bottom:10px"></div>
		<div id="message" class="center italic underline" style="padding:5px;font-style"></div>
		<table id="dataTable" class="display" cellpadding="0" cellspacing="0" border="0">
			<thead>
				<th>ID</th>
				<th>Descr.</th>
			</thead>

			<tbody class="nopadding">
			<?php
				foreach($this->items as $row)
				{ ?>
					<tr>
						<td><?php echo $row->id_customer_groups;?></td>
						<td class="editable"><?php echo $row->cg_descr;?></td>
					</tr>
			<?php }
			?>
			</tbody>
		</table>

		<input type="hidden" name="option" value="com_domus" />
		<input type="hidden" name="task" value="" />
		<input type="hidden" name="view" value="custgroups" />
		<input type="hidden" id="token" value="<?php echo JUtility::getToken();?>" />
	</form>
</div>