<?php
/**
 * @package    	Domus Organizer
 * @subpackage 	Layouts
 * @author     	Davide Tampellini
 * @copyright 	Copyright (c)2011-2012 Davide Tampellini
 * @license 	GNU General Public License version 3, or later
 */

	defined('_JEXEC') or die('Restricted access');
	$this->loadHelper('select');

	$data = $this->item;
?>
<fieldset>
	<legend><?php echo JText::_('COM_DOMUS_GENERAL_DESCR')?></legend>
	<ul class="hidden">
		<li>
			<div class="sx w50_">
				<div class="fb_label w90"><?php echo JText::_('COM_DOMUS_CUST_TYPE')?></div>
				<div class="fb_value"><?php echo DomusHelperSelect::createList('cust_type', 'cu_type', $data->cu_type, 'class="w150"')?></div>
			</div>
			<div class="sx w45_">
				<div class="fb_label w90"><?php echo JText::_('COM_DOMUS_CUST_GROUP')?></div>
				<div class="fb_value"><?php echo DomusHelperSelect::createList('cust_group', 'cu_id_customer_groups', $data->cu_id_customer_groups, 'class="w150"')?></div>
			</div>
			<div class="clr"></div>
		</li>
		<li>
			<div class="sx w50_">
				<div class="fb_label w90"><?php echo JText::_('COM_DOMUS_NAME')?></div>
				<div class="fb_value">
					<input class="text_area w150" type="text" name="cu_name" value="<?php echo $data->cu_name;?>" title="<?php echo JText::_('COM_DOMUS_NAME')?>" />
				</div>
			</div>
			<div class="sx w50_">
				<div class="fb_label w90"><?php echo JText::_('COM_DOMUS_SURNAME')?></div>
				<div class="fb_value">
					<input class="text_area w150 validate-one-required"
							type="text" name="cu_surname"
							data-validators="required"
							value="<?php echo $data->cu_surname;?>"
							title="<?php echo JText::_('COM_DOMUS_SURNAME')?>"/>
				</div>
			</div>
			<div class="clr"></div>
		</li>
		<li>
			<div class="sx w50_">
				<div class="fb_label w90"><?php echo JText::_('COM_DOMUS_COMPANY_NAME_SHORT')?></div>
				<div class="fb_value">
					<input class="text_area w150 validate-one-required"
							type="text" name="cu_company_name" data-validators="required"
							value="<?php echo $data->cu_company_name;?>"
							title="<?php echo JText::_('COM_DOMUS_COMPANY_NAME_SHORT')?>"/>
				</div>
			</div>
			<div class="sx w50_">
				<div class="fb_label w90"><?php echo JText::_('COM_DOMUS_VAT_NR')?></div>
				<div class="fb_value">
					<input type="text" class="text_area w150"
						title="<?php echo JText::_('COM_DOMUS_VAT_NR')?>"
						name="cu_vat" value="<?php echo $data->cu_vat;?>"/>
				</div>
			</div>
			<div class="clr"></div>
		</li>
		<li>
			<div class="sx w50_">
				<div class="fb_label w90"><?php echo JText::_('COM_DOMUS_SEX')?></div>
				<div class="fb_value"><?php echo DomusHelperSelect::createList('sex', 'cu_sex', $data->cu_sex, 'class="w150"') ?></div>
			</div>
			<div class="clr"></div>
		</li>
		<li>
			<div class="sx w50_">
				<div class="fb_label w90"><?php echo JText::_('COM_DOMUS_TELEPHONE')?></div>
				<div class="fb_value"><input class="text_area w150" type="text" name="cu_telephone" value="<?php echo $data->cu_telephone;?>" title="<?php echo JText::_('COM_DOMUS_TELEPHONE')?>"/></div>
			</div>
			<div class="sx w50_">
				<div class="fb_label w90"><?php echo JText::_('COM_DOMUS_FAX')?></div>
				<div class="fb_value"><input class="text_area w150" type="text" name="cu_fax" value="<?php echo $data->cu_fax;?>" title="<?php echo JText::_('COM_DOMUS_FAX')?>"/></div>
			</div>
			<div class="clr"></div>
		</li>
		<li>
			<div class="sx w50_">
				<div class="fb_label w90"><?php echo JText::_('COM_DOMUS_MOBILE')?></div>
				<div class="fb_value">
					<input class="text_area w150" type="text" name="cu_mobile" value="<?php echo $data->cu_mobile;?>" title="<?php echo JText::_('COM_DOMUS_MOBILE')?>"/>
				</div>
			</div>
			<div class="sx w50_">
				<div class="fb_label w90"><?php echo JText::_('COM_DOMUS_EMAIL')?></div>
				<div class="fb_value">
					<input class="text_area w150" type="text" name="cu_email"
							data-validators="validate-email"
							value="<?php echo $data->cu_email;?>" title="<?php echo JText::_('COM_DOMUS_EMAIL')?>"/>
				</div>
			</div>
			<div class="clr"></div>
		</li>
	</ul>
</fieldset>
<fieldset>
	<legend><?php echo JText::_('COM_DOMUS_RESIDENCE')?></legend>
	<div class="holder">
		<div class="fb_label w130"><?php echo JText::_('COM_DOMUS_DISTR_TOWN_ZIP')?></div>
		<div class="fb_value"><?php echo DomusHelperSelect::createList('district', 'cu_id_districts', $data->cu_id_districts, 'class="w150"')?></div>
		<div class="fb_value"><?php echo DomusHelperSelect::createTownList('cu_id_towns', $data->cu_id_districts, $data->cu_id_towns, 'class="w150"')?></div>
		<div class="fb_value"><input class="text_area number w40" type="text" name="cu_zipcode" value="<?php echo $data->cu_zipcode;?>"/></div>
	</div>
	<div class="clr"></div>
	<div class="holder">
		<div class="fb_label w130"><?php echo JText::_('COM_DOMUS_ADDRESS')?></div>
		<div class="fb_value">
			<?php echo DomusHelperSelect::createList('street_type', 'cu_id_street_type', $data->cu_id_street_type, 'class="w80"') ?>
			<input class="text_area w150" type="text" name="cu_street" title="<?php echo JText::_('COM_DOMUS_ADDRESS')?>" value="<?php echo $data->cu_street;?>" />
			<input class="text_area w40" type="text" name="cu_streetnr" value="<?php echo $data->cu_streetnr;?>" />
		</div>
	</div>
	<div class="clr"></div>
</fieldset>
<fieldset>
	<legend><?php echo JText::_('COM_DOMUS_PERSONAL_DATA')?></legend>
	<div class="holder">
		<div class="fb_label w130"><?php echo JText::_('COM_DOMUS_DATE_BIRTH')?></div>
		<div class="fb_value"><?php echo JHTML::calendar($data->cu_date_birth, 'cu_date_birth', 'cu_date_birth', '%Y-%m-%d', 'class="w70"')?></div>
	</div>
	<div class="clr"></div>
	<div class="holder">
		<div class="fb_label w130"><?php echo JText::_('COM_DOMUS_DISTR_TOWN_BIRTH')?></div>
		<div class="fb_value">
			<?php echo DomusHelperSelect::createList('district', 'cu_district_birth', $data->cu_district_birth, 'class="w150"')?>
			<?php echo DomusHelperSelect::createTownList('cu_town_birth', $data->cu_district_birth, $data->cu_town_birth, 'class="w150"')?>
		</div>
	</div>
	<div class="clr"></div>
	<div class="holder">
		<div class="fb_label w130"><?php echo JText::_('COM_DOMUS_PREV_NUMBER')?></div>
		<div class="fb_value">
			<input class="text_area w150" type="text" name="cu_prev_number" title="<?php echo JText::_('COM_DOMUS_PREV_NUMBER')?>" value="<?php echo $data->cu_prev_number;?>" />
		</div>
	</div>
	<div class="clr"></div>
</fieldset>
<fieldset>
	<legend><?php echo JText::_('COM_DOMUS_OTHER')?></legend>
	<div class="holder">
		<div class="fb_label w130"><?php echo JText::_('COM_DOMUS_SOURCE')?></div>
		<div class="fb_value"><?php echo DomusHelperSelect::createList('source', 'cu_id_sources', $data->cu_id_sources)?></div>
	</div>
	<div class="clr"></div>
	<div class="holder">
		<div class="fb_label w130"><?php echo JText::_('COM_DOMUS_NOTES')?></div>
		<div class="fb_value"><textarea name="cu_note" cols="53" rows="5" title="<?php echo JText::_('COM_DOMUS_NOTES')?>"><?php echo $data->cu_note;?></textarea></div>
	</div>
	<div class="clr"></div>
</fieldset>
	<div class="clr"></div>
	<div class="holder">
		<div class="fb_label w110"><?php echo JText::_('COM_DOMUS_ADDED_BY')?></div>
		<div class="fb_value w110"><?php echo $data->add_name.' '.$data->add_surname ?></div>
	</div>
	<div class="holder">
		<div class="fb_label w130"><?php echo JText::_('COM_DOMUS_ADD_DATE')?></div>
		<div class="fb_value"><?php echo JHTML::date($data->created_on, JText::_('DATE_FORMAT_LC2')) ?></div>
	</div>
	<div class="clr"></div>
	<div class="holder">
		<div class="fb_label w110"><?php echo JText::_('COM_DOMUS_MODIFIED_BY')?></div>
		<div class="fb_value w110"><?php echo $data->mod_name.' '.$data->mod_surname ?></div>
	</div>
	<div class="holder">
		<div class="fb_label w130"><?php echo JText::_('COM_DOMUS_MODIFIED_DATE')?></div>
		<div class="fb_value"><?php echo JHTML::date($data->modified_on, JText::_('DATE_FORMAT_LC2')) ?></div>
	</div>
	<div class="clr"></div>
	<div class="hidden">
		<input type="hidden"
			id="cu_surnameHidden"
			data-validators="validate-one-required"
			value="<?php echo $data->cu_surname;?>"
			title="<?php echo JText::_('COM_DOMUS_SURNAME')?>" />
		<input type="hidden"
			id="cu_company_nameHidden"
			data-validators="validate-one-required"
			value="<?php echo $data->cu_company_name;?>"
			title="<?php echo JText::_('COM_DOMUS_COMPANY_NAME_SHORT')?>" />
	</div>