<?php
/**
 * @package    	Domus Organizer
 * @subpackage 	Layouts
 * @author     	Davide Tampellini
 * @copyright 	Copyright (c)2011-2012 Davide Tampellini
 * @license 	GNU General Public License version 3, or later
 */

	defined('_JEXEC') or die('Restricted access');
	$this->loadHelper('format');

	$data = $this->item;

	$add   = FOFTemplateUtils::parsePath('com_domus/images/add_16.png');
	$trash = FOFTemplateUtils::parsePath('com_domus/images/recycleBin_empty_16.png');
?>
<fieldset>
	<legend><?php echo JText::_('COM_DOMUS_GENERAL_DESCR')?></legend>
	<ul class="hidden">
		<li>
			<div class="sx w50_">
				<div class="fb_label w120"><?php echo JText::_('COM_DOMUS_TYPE')?></div>
				<div class="fb_value"><?php echo DomusHelperSelect::createList('type', 'cu_req_id_types', $data->cu_req_id_types, 'class="w150"'); ?></div>
			</div>
			<div class="sx w45_">
				<div class="fb_label w120"><?php echo JText::_('COM_DOMUS_MAX_PRICE')?></div>
				<div class="fb_value">
					<input class="w65" type="text" name="cu_req_max_price" value="<?php echo DomusHelperFormat::formatPrice($data->cu_req_max_price, 0, false)?>" />
				</div>
			</div>
			<div class="clr"></div>
		</li>
		<li>
			<div class="sx w50_">
				<div class="fb_label w120"><?php echo JText::_('COM_DOMUS_MIN_SPACE')?></div>
				<div class="fb_value">
					<input class="w65" type="text" name="cu_req_min_space" value="<?php echo $data->cu_req_min_space;?>" />
				</div>
			</div>
			<div class="sx w45_">
				<div class="fb_label w120"><?php echo JText::_('COM_DOMUS_MAX_FLOOR')?></div>
				<div class="fb_value">
					<input class="w65" type="text" name="cu_req_max_floor" value="<?php echo $data->cu_req_max_floor;?>" />
				</div>
			</div>
			<div class="clr"></div>
		</li>
		<li>
			<div class="sx w50_">
				<div class="fb_label w120"><?php echo JText::_('COM_DOMUS_MAX_UNITS')?></div>
				<div class="fb_value">
					<input class="w65" type="text" name="cu_req_max_units" value="<?php echo $data->cu_req_max_units;?>" />
				</div>
			</div>
			<div class="clr"></div>
		</li>
		<li>
			<div class="sx w50_">
				<div class="fb_label w120"><?php echo JText::_('COM_DOMUS_FIRST_CAT')?></div>
				<div class="fb_value"><?php echo DomusHelperSelect::createList('categories', 'cu_req_id_categories_1', $data->cu_req_id_categories_1, 'class="w150"')?></div>
			</div>
			<div class="sx w45_">
				<div class="fb_label w120"><?php echo JText::_('COM_DOMUS_SECOND_CAT')?></div>
				<div class="fb_value"><?php echo DomusHelperSelect::createList('categories', 'cu_req_id_categories_2', $data->cu_req_id_categories_2, 'class="w150"')?></div>
			</div>
			<div class="clr"></div>
		</li>
		<li>
			<div class="sx w50_">
				<div class="fb_label w120"><?php echo JText::_('COM_DOMUS_THIRD_CAT')?></div>
				<div class="fb_value"><?php echo DomusHelperSelect::createList('categories', 'cu_req_id_categories_3', $data->cu_req_id_categories_3, 'class="w150"')?></div>
			</div>
			<div class="clr"></div>
		</li>
	</ul>
</fieldset>
<fieldset>
	<legend><?php echo JText::_('COM_DOMUS_POSITION_REQUESTS')?></legend>
		<table class="adminlist w100_" style="margin:auto">
			<thead>
				<tr>
					<th class="w30_"><?php echo JText::_('COM_DOMUS_DISTRICT')?></th>
					<th class="w30_"><?php echo JText::_('COM_DOMUS_TOWN')?></th>
					<th class="w20_"><?php echo JText::_('COM_DOMUS_ZONE')?></th>
					<th class="w20_"><?php echo JText::_('COM_DOMUS_SZONE')?></th>
				</tr>
			</thead>
			<tbody id="towns">
				<?php
				$towns = array();
				if($data->id_customers)
				{
					$towns = FOFModel::getTmpInstance('Reqtowns', 'DomusModel')
								->ct_id_customers($data->id_customers)
								->getList(true);
				}

				if(!$towns) echo '<tr><td class="norows" colspan="4">'.JText::_('COM_DOMUS_NOROWS').'</td></tr>';
				else
				{
					foreach($towns as $town):
				?>
				<tr>
					<td>
						<img class="sx pointer delete deleteTown" src="<?php echo $trash;?>" />
						<?php echo DomusHelperSelect::createList('district', 'ct_id_districts[]', $town->ct_id_districts, 'class="w150 district"')?>
						<input type="hidden" name="id_cust_towns[]" size="5" value="<?php echo $town->id_cust_towns?>" />
					</td>
					<td><?php echo DomusHelperSelect::createTownList('ct_id_towns[]', $town->ct_id_districts, $town->ct_id_towns, 'class="w150 town"')?></td>
					<td><?php echo DomusHelperSelect::createZoneList('ct_id_zones[]', $town->ct_id_towns, $town->ct_id_zones , 'class="w150 zone"')?></td>
					<td><?php echo DomusHelperSelect::createSzoneList('ct_id_szones[]', $town->ct_id_zones, $town->ct_id_szones, 'class="w150"')?></td>
				</tr>
				<?php
					endforeach;
				}?>
			</tbody>
		</table>
		<div class="txt_right" style="margin-top:10px">
			<span id="addTowns" class="pointer">
				<img src="<?php echo $add?>" />
				<?php echo JText::_('COM_DOMUS_ADD_ZONE')?>
			</span>
		</div>
</fieldset>
<?php
	$req = array();
	if($data->id_customers)
	{
		$req = FOFModel::getTmpInstance('Reqattr', 'DomusModel')
				->req_id_customers($data->id_customers)
				->getList(true, 'att_type');
	}
?>
<fieldset class="sx w50_">
	<legend><?php echo JText::_('COM_DOMUS_DETAILS')?></legend>
	<ul class="hidden">
		<li>
			<div>
				<div class="fb_label w150"><?php echo JText::_('COM_DOMUS_PROPERTY_CONDITION')?></div>
				<div class="fb_value"><?php echo DomusHelperSelect::createList('prop_cond', 'req_id_attributes[]', $req['PROP_COND']->id, 'class="w150"'); ?></div>
			</div>
			<div class="clr"></div>
		</li>
		<li>
			<div>
				<div class="fb_label w150"><?php echo JText::_('COM_DOMUS_OCCUPATION')?></div>
				<div class="fb_value"><?php echo DomusHelperSelect::createList('occupation', 'req_id_attributes[]', $req['OCCUPATION']->id, 'class="w150"'); ?></div>
			</div>
			<div class="clr"></div>
		</li>
		<li>
			<div>
				<div class="fb_label w150"><?php echo JText::_('COM_DOMUS_EXPOSITION')?></div>
				<div class="fb_value"><?php echo DomusHelperSelect::createList('exposure', 'req_id_attributes[]', $req['EXPOSURE']->id, 'class="w150"'); ?></div>
			</div>
			<div class="clr"></div>
		</li>
		<li>
			<div>
				<div class="fb_label w150"><?php echo JText::_('COM_DOMUS_FURNITURE')?></div>
				<div class="fb_value"><?php echo DomusHelperSelect::createList('furniture', 'req_id_attributes[]', $req['FURNITURE']->id, 'class="w150"');?></div>
			</div>
			<div class="clr"></div>
		</li>
		<li>
			<div>
				<div class="fb_label w150"><?php echo JText::_('COM_DOMUS_BUILDING_TYPE')?></div>
				<div class="fb_value"><?php echo DomusHelperSelect::createList('building_type', 'req_id_attributes[]', $req['BUILDING_TYPE']->id, 'class="w150"'); ?></div>
			</div>
			<div class="clr"></div>
		</li>
		<li>
			<div>
				<div class="fb_label w150"><?php echo JText::_('COM_DOMUS_BUILDING_CONDITION')?></div>
				<div class="fb_value"><?php echo DomusHelperSelect::createList('building_state' , 'req_id_attributes[]', $req['BUILDING_STATE']->id, 'class="w150"'); ?></div>
			</div>
			<div class="clr"></div>
		</li>
		<li>
			<div>
				<div class="fb_label w150"><?php echo JText::_('COM_DOMUS_AIR_CONDITION')?></div>
				<div class="fb_value"><?php echo DomusHelperSelect::createList('air_cond', 'req_id_attributes[]', $req['AIR_COND']->id, 'class="w150"');?></div>
			</div>
			<div class="clr"></div>
		</li>
		<li>
			<div>
				<div class="fb_label w150"><?php echo JText::_('COM_DOMUS_GARDEN')?></div>
				<div class="fb_value"><?php echo DomusHelperSelect::createList('garden'  , 'req_id_attributes[]', $req['GARDEN']->id, 'class="w150"');?></div>
			</div>
			<div class="clr"></div>
		</li>
		<li>
			<div>
				<div class="fb_label w150"><?php echo JText::_('COM_DOMUS_GARAGE')?></div>
				<div class="fb_value"><?php echo DomusHelperSelect::createList('garage'  , 'req_id_attributes[]', $req['GARAGE']->id, 'class="w150"');?></div>
			</div>
			<div class="clr"></div>
		</li>
		<li>
			<div>
				<div class="fb_label w150"><?php echo JText::_('COM_DOMUS_PARKAREA')?></div>
				<div class="fb_value"><?php echo DomusHelperSelect::createList('parkarea', 'req_id_attributes[]', $req['PARKAREA']->id, 'class="w150"');?></div>
			</div>
			<div class="clr"></div>
		</li>
		<li>
			<div>
				<div class="fb_label w150"><?php echo JText::_('COM_DOMUS_HEATING')?></div>
				<div class="fb_value"><?php echo DomusHelperSelect::createList('heating', 'req_id_attributes[]', $req['HEATING']->id, 'class="w150"'); ?></div>
			</div>
			<div class="clr"></div>
		</li>
		<li>
			<div>
				<div class="fb_label w150"><?php echo JText::_('COM_DOMUS_HEATING_SUPPLY')?></div>
				<div class="fb_value"><?php echo DomusHelperSelect::createList('heating_supply', 'req_id_attributes[]', $req['HEATING_SUPPLY']->id, 'class="w150"'); ?></div>
			</div>
			<div class="clr"></div>
		</li>
		<li>
			<div>
				<div class="fb_label w150"><?php echo JText::_('COM_DOMUS_HEATING_POWER')?></div>
				<div class="fb_value"><?php echo DomusHelperSelect::createList('heating_power', 'req_id_attributes[]', $req['HEATING_POWER']->id, 'class="w150"'); ?></div>
			</div>
			<div class="clr"></div>
		</li>
		<li>
			<div><?php echo $this->cbx['lift']?></div>
			<div><?php echo $this->cbx['recept']?></div>
			<div><?php echo $this->cbx['top']?></div>
		</li>
	</ul>
</fieldset>
<fieldset class="dx w45_">
	<legend><?php echo JText::_('COM_DOMUS_ROOM_REQUESTS')?></legend>
		<table class="adminlist w90_" style="margin:auto">
			<thead>
				<tr>
					<th><?php echo JText::_('COM_DOMUS_ROOM')?></th>
					<th class="center w50">N&deg;</th>
				</tr>
			</thead>
			<tbody id="rooms">
			<?php
			$rooms = array();
			if($data->id_customers)
			{
				$rooms = FOFModel::getTmpInstance('Reqrooms', 'DomusModel')
							->cr_id_customers($data->id_customers)
							->getList(true);
			}

				if(!$rooms) echo '<tr><td class="norows" colspan="2">'.JText::_('COM_DOMUS_NOROWS').'</td></tr>';
				else
				{
					foreach($rooms as $room):
				?>
				<tr>
					<td>
						<img class="sx pointer delete" src="<?php echo $trash ?>" />
						<?php echo DomusHelperSelect::createList('rooms', 'cr_id_rooms[]', $room->cr_id_rooms, 'class="w150"');?>
					</td>
					<td>
						<input type="text" name="cr_quantity[]" size="5" maxlength="5" value="<?php echo $room->cr_quantity?>" />
						<input type="hidden" name="id_cust_rooms[]" size="5" value="<?php echo $room->id_cust_rooms?>" />
					</td>
				</tr>
				<?php
					endforeach;
				}?>
			</tbody>
		</table>
		<div class="txt_right" style="margin-top:10px">
			<span id="addRoom" class="pointer">
				<img src="<?php echo $add?>" />
				<?php echo JText::_('COM_DOMUS_ADD_ROOM')?>
			</span>
		</div>
</fieldset>

<div class="clr"></div>