<?php
/**
 * @package    	Domus Organizer
 * @subpackage 	Layouts
 * @author     	Davide Tampellini
 * @copyright 	Copyright (c)2011-2012 Davide Tampellini
 * @license 	GNU General Public License version 3, or later
 */

	defined('_JEXEC') or die('Restricted access');
	$this->loadHelper('format');

	$data = $this->item;
?>
<fieldset>
	<legend><?php echo JText::_('COM_DOMUS_GENERAL_DESCR')?></legend>
	<ul class="hidden">
		<li>
			<div class="sx w50_">
				<div class="fb_label w120"><?php echo JText::_('COM_DOMUS_TYPE')?></div>
				<div class="fb_value"><?php echo $data->ty_name; ?></div>
			</div>
			<div class="sx w45_">
				<div class="fb_label w120"><?php echo JText::_('COM_DOMUS_MAX_PRICE')?></div>
				<div class="fb_value"><?php echo DomusHelperFormat::formatPrice($data->cu_req_max_price, 0, true);?>
				</div>
			</div>
			<div class="clr"></div>
		</li>
		<li>
			<div class="sx w50_">
				<div class="fb_label w120"><?php echo JText::_('COM_DOMUS_MIN_SPACE')?></div>
				<div class="fb_value"><?php echo $data->cu_req_min_space;?>
				</div>
			</div>
			<div class="sx w45_">
				<div class="fb_label w120"><?php echo JText::_('COM_DOMUS_MAX_FLOOR')?></div>
				<div class="fb_value"><?php echo $data->cu_req_max_floor;?>
				</div>
			</div>
			<div class="clr"></div>
		</li>
		<li>
			<div class="sx w50_">
				<div class="fb_label w120"><?php echo JText::_('COM_DOMUS_MAX_UNITS')?></div>
				<div class="fb_value"><?php echo $data->cu_req_max_units;?>
				</div>
			</div>
			<div class="clr"></div>
		</li>
		<li>
			<div class="sx w50_">
				<div class="fb_label w120"><?php echo JText::_('COM_DOMUS_FIRST_CAT')?></div>
				<div class="fb_value"><?php echo $data->cat1_name;?></div>
			</div>
			<div class="sx w45_">
				<div class="fb_label w120"><?php echo JText::_('COM_DOMUS_SECOND_CAT')?></div>
				<div class="fb_value"><?php echo $data->cat2_name;?></div>
			</div>
			<div class="clr"></div>
		</li>
		<li>
			<div class="sx w50_">
				<div class="fb_label w120"><?php echo JText::_('COM_DOMUS_THIRD_CAT')?></div>
				<div class="fb_value"><?php echo $data->cat3_name;?></div>
			</div>
			<div class="clr"></div>
		</li>
	</ul>
</fieldset>
<fieldset>
	<legend><?php echo JText::_('COM_DOMUS_POSITION_REQUESTS')?></legend>
		<table class="adminlist w100_" style="margin:auto">
			<thead>
				<tr>
					<th class="w30_"><?php echo JText::_('COM_DOMUS_DISTRICT')?></th>
					<th class="w30_"><?php echo JText::_('COM_DOMUS_TOWN')?></th>
					<th class="w20_"><?php echo JText::_('COM_DOMUS_ZONE')?></th>
					<th class="w20_"><?php echo JText::_('COM_DOMUS_SZONE')?></th>
				</tr>
			</thead>
			<tbody id="towns">
				<?php

				$towns = FOFModel::getTmpInstance('Reqtowns', 'DomusModel')
							->ct_id_customers($data->id_customers)
							->getList(true);

				if(!$towns) echo '<tr><td class="norows" colspan="4">'.JText::_('COM_DOMUS_NOROWS').'</td></tr>';
				else {
					foreach($towns as $town):
				?>
				<tr>
					<td><?php echo $town->di_descr; ?></td>
					<td><?php echo $town->to_descr?></td>
					<td><?php echo $town->zo_descr?></td>
					<td><?php echo $town->sz_descr?></td>
				</tr>
				<?php
					endforeach;
				}?>
			</tbody>
		</table>
</fieldset>
<fieldset class="sx w50_">
	<legend><?php echo JText::_('COM_DOMUS_DETAILS')?></legend>

	<?php

		$requests = FOFModel::getTmpInstance('Reqattr', 'DomusModel')
							->req_id_customers($data->id_customers)
							->getList(true, 'att_type');
	?>

	<ul class="hidden">
		<li>
			<div>
				<div class="fb_label w150"><?php echo JText::_('COM_DOMUS_PROPERTY_CONDITION')?></div>
				<div class="fb_value"><?php echo $requests['PROP_COND']->att_descr; ?></div>
			</div>
			<div class="clr"></div>
		</li>
		<li>
			<div>
				<div class="fb_label w150"><?php echo JText::_('COM_DOMUS_OCCUPATION')?></div>
				<div class="fb_value"><?php echo $requests['OCCUPATION']->att_descr; ?></div>
			</div>
			<div class="clr"></div>
		</li>
		<li>
			<div>
				<div class="fb_label w150"><?php echo JText::_('COM_DOMUS_EXPOSITION')?></div>
				<div class="fb_value"><?php echo $requests['EXPOSURE']->att_descr; ?></div>
			</div>
			<div class="clr"></div>
		</li>
		<li>
			<div>
				<div class="fb_label w150"><?php echo JText::_('COM_DOMUS_FURNITURE')?></div>
				<div class="fb_value"><?php echo $requests['FURNITURE']->att_descr;?></div>
			</div>
			<div class="clr"></div>
		</li>
		<li>
			<div>
				<div class="fb_label w150"><?php echo JText::_('COM_DOMUS_BUILDING_TYPE')?></div>
				<div class="fb_value"><?php echo $requests['BUILDING_TYPE']->att_descr; ?></div>
			</div>
			<div class="clr"></div>
		</li>
		<li>
			<div>
				<div class="fb_label w150"><?php echo JText::_('COM_DOMUS_BUILDING_CONDITION')?></div>
				<div class="fb_value"><?php echo $requests['BUILDING_STATE']->att_descr; ?></div>
			</div>
			<div class="clr"></div>
		</li>
		<li>
			<div>
				<div class="fb_label w150"><?php echo JText::_('COM_DOMUS_AIR_CONDITION')?></div>
				<div class="fb_value"><?php echo $requests['AIR_COND']->att_descr;?></div>
			</div>
			<div class="clr"></div>
		</li>
		<li>
			<div>
				<div class="fb_label w150"><?php echo JText::_('COM_DOMUS_GARDEN')?></div>
				<div class="fb_value"><?php echo $requests['GARDEN']->att_descr;?></div>
			</div>
			<div class="clr"></div>
		</li>
		<li>
			<div>
				<div class="fb_label w150"><?php echo JText::_('COM_DOMUS_GARAGE')?></div>
				<div class="fb_value"><?php echo $requests['GARAGE']->att_descr;?></div>
			</div>
			<div class="clr"></div>
		</li>
		<li>
			<div>
				<div class="fb_label w150"><?php echo JText::_('COM_DOMUS_PARKAREA')?></div>
				<div class="fb_value"><?php echo $requests['PARKAREA']->att_descr;?></div>
			</div>
			<div class="clr"></div>
		</li>
		<li>
			<div>
				<div class="fb_label w150"><?php echo JText::_('COM_DOMUS_HEATING')?></div>
				<div class="fb_value"><?php echo $requests['HEATING']->att_descr; ?></div>
			</div>
			<div class="clr"></div>
		</li>
		<li>
			<div>
				<div class="fb_label w150"><?php echo JText::_('COM_DOMUS_HEATING_SUPPLY')?></div>
				<div class="fb_value"><?php echo $requests['HEATING_SUPPLY']->att_descr; ?></div>
			</div>
			<div class="clr"></div>
		</li>
		<li>
			<div>
				<div class="fb_label w150"><?php echo JText::_('COM_DOMUS_HEATING_POWER')?></div>
				<div class="fb_value"><?php echo $requests['HEATING_POWER']->att_descr; ?></div>
			</div>
			<div class="clr"></div>
		</li>
		<li>
			<div><?php echo DomusHelperHtml::tickImg($requests['LIFT']->id).'&nbsp;'.JText::_('COM_DOMUS_LIFT')?></div>
			<div><?php echo DomusHelperHtml::tickImg($requests['RECEPTION']->id).'&nbsp;'.JText::_('COM_DOMUS_RECEPTION')?></div>
			<div><?php echo DomusHelperHtml::tickImg($requests['TOP_FLOOR']->id).'&nbsp;'.JText::_('COM_DOMUS_TOP_FLOOR')?></div>
		</li>
	</ul>
</fieldset>
<fieldset class="dx w45_">
	<legend><?php echo JText::_('COM_DOMUS_ROOM_REQUESTS')?></legend>
		<table class="adminlist w90_" style="margin:auto">
			<thead>
				<th><?php echo JText::_('COM_DOMUS_ROOM')?></th>
				<th class="center w50">N&deg;</th>
			</thead>
			<tbody id="rooms">
				<?php
				$rooms = FOFModel::getTmpInstance('Reqrooms', 'DomusModel')
							->cr_id_customers($data->id_customers)
							->getList(true);

				if(!$rooms) echo '<tr><td class="norows" colspan="2">'.JText::_('COM_DOMUS_NOROWS').'</td></tr>';
				else {
					foreach($rooms as $room):
				?>
				<tr>
					<td><?php echo $room->ro_descr; ?></td>
					<td><?php echo $room->cr_quantity; ?></td>
				</tr>
				<?php
					endforeach;
				}?>
			</tbody>
		</table>
</fieldset>

<div class="clr"></div>