<?php
/**
 * @package    	Domus Organizer
 * @subpackage 	Layouts
 * @author     	Davide Tampellini
 * @copyright 	Copyright (c)2011-2012 Davide Tampellini
 * @license 	GNU General Public License version 3, or later
 */

/**
 * External params passed by loadAnyTemplate:
 * lite		  	: if true, hides pagination, form element and input hidden fields
 * hideSearch 	: hides searches and order links
 * hideCbx		: hides checkboxes
 * showRemove	: shows removal links
 * hideLinks	: prevent echoing links
 * extAction	: fixed external form action
 * extView      : fixed external view
 */

	defined('_JEXEC') or die('Restricted access');
	$this->loadHelper('customer');
	$this->loadHelper('html');

	if(JRequest::getCmd('task') == 'chooseOwn') FOFTemplateUtils::addJS('com_domus/js/chooseOwn.js');
	$layout = JRequest::getCmd('layout');

	$view = $extView ? $extView : 'customers';
	if(!$extAction)
	{
		if($layout && $layout != 'default')	{
			$action = '&layout='.$layout.'&id_properties='.JRequest::getInt('id_properties');
		}

		$actionURL = 'index.php?option=com_domus&view=customers'.$action;
	}
	else	$actionURL = $extAction;

	$data = $this->items;

	$cust_req 	= FOFTemplateUtils::parsePath('com_domus/images/customer_request.png');
	$own_req 	= FOFTemplateUtils::parsePath('com_domus/images/house_request.png');
	$both		= FOFTemplateUtils::parsePath('com_domus/images/cust_own_request.png');
?>
<?php if(!$lite && !$hideSearch):?>
<script type="text/javascript">
window.addEvent('domready', function(){
	document.id('reset').addEvent('click', function(){
		document.id('query_string').value = "";
		document.adminForm.submit();
	});

	document.id('custQuery').addEvent('click', function(){
		document.id('query_string').value = "<?php echo JText::_('COM_DOMUS_CUSTOMER')?>";
		document.adminForm.submit();
	});

	document.id('ownQuery').addEvent('click', function(){
		document.id('query_string').value = "<?php echo JText::_('COM_DOMUS_OWNER')?>";
		document.adminForm.submit();
	});

	document.id('bothQuery').addEvent('click', function(){
		document.id('query_string').value = "<?php echo JText::_('COM_DOMUS_BOTH')?>";
		document.adminForm.submit();
	});
});
</script>
<?php endif;?>
<div id="domus">
	<?php if(!$lite):?>
	<form action="<?php echo JRoute::_($actionURL)?>" method="post" name="adminForm" id="adminForm">
	<?php endif;?>
		<?php if(!$hideSearch):?>
		<div style="margin:10px 0">
			<div class="sx" style="padding-left:5px;width:15%">
				<img id="custQuery" class="pointer" src="<?php echo $cust_req ?>" title="<?php echo JText::_('COM_DOMUS_SEARCH').' ',JText::_('COM_DOMUS_CUSTOMER')?>" />
				<img id="ownQuery" 	class="pointer" src="<?php echo $own_req ?>" title="<?php echo JText::_('COM_DOMUS_SEARCH').' ',JText::_('COM_DOMUS_OWNER')?>" />
				<img id="bothQuery" class="pointer" src="<?php echo $both ?>" title="<?php echo JText::_('COM_DOMUS_SEARCH').' ',JText::_('COM_DOMUS_BOTH')?>" />
			</div>
			<div class="sx w80_ center" style="padding-top:6px">
				<span style="font-size:15px;padding:5px"><?php echo JText::_('COM_DOMUS_SEARCH_FOR')?></span>
				<input type="text" name="query_string" id="query_string" value="<?php echo $this->getModel()->getState('query_string');?>" />
				<input type="button" onclick="document.adminForm.submit();" value="<?php echo JText::_('COM_DOMUS_SUBMIT')?>" />
				<input type="button" id="reset" value="Reset" />
			</div>
		</div>
		<div class="clr"></div>

		<div style="margin:10px 0">
			<?php echo JText::_('COM_DOMUS_ORDER_BY')?>
			<?php echo DomusHelperHtml::gridSort('COM_DOMUS_SURNAME'	, 'cu_surname' 	, $this->lists->order_Dir, $this->lists->order); ?>
			<?php echo DomusHelperHtml::gridSort('COM_DOMUS_CUST_TYPE'	, 'cu_type'		, $this->lists->order_Dir, $this->lists->order); ?>
			<?php echo DomusHelperHtml::gridSort('COM_DOMUS_ADD_DATE'	, 'created_on' 	, $this->lists->order_Dir, $this->lists->order); ?>
		</div>
		<?php endif;?>
		<table class="adminlist noborder">
			<?php if(!$lite):?>
			<tfoot>
				<tr>
					<td colspan="2">
						<div class="pagination"><?php echo $this->pagination->getListFooter(); ?></div>
					</td>
				</tr>
			</tfoot>
			<?php endif;?>
			<tbody class="nopadding">
		<?php
			$k = 0;
			$i = 0;

			if(!$data){
				?>
				<tr class="row0">
					<td colspan="2"><?php echo JText::_('COM_DOMUS_NOROWS') ?></td>
				</tr>
				<?php
			}
			else{
				foreach($data as $row):
					$link  = '<a href="'.JRoute::_('index.php?option=com_domus&view=customer&id='.$row->id_customers).'">%s</a>';

					if($hideCbx)	$checkbox = '';
					elseif($showRemove)
					{
						$unlink	   = FOFTemplateUtils::parsePath('com_domus/images/link_break-16.png');
						$checkbox  = '<img class="pointer delete deleteOwn" style="padding:5px" src="'.$unlink.'" title="'.JText::_('COM_DOMUS_OWNER_UNLINK').'" />';
						$checkbox .= '<input type="hidden" name="id_customers[]" value="'.$row->id_customers.'" />';
					}
					else $checkbox = DomusHelperHtml::checkedOut($row, $i, 'id_customers', 'Customer');
		?>
				<tr class="<?php echo "row$k"; ?>">
						<td class="w5_"><?php echo $checkbox; ?></td>
						<td style="padding:5px 0">
							<div class="sx w65">
								<?php echo DomusHelperCustomer::icons('customer', $row->cu_type)?>
								<?php echo DomusHelperCustomer::icons('owner', $row->cu_type)?>
							</div>
							<div class="cliente">
								<div class="sx w90_ txt_left">
									<div class="sx w50_">
										<span class="bold">
										<?php
											$title = $row->cu_company_name ? $row->cu_company_name : $row->cu_surname.' '.$row->cu_name;
											if(!$hideLinks)	echo JText::sprintf($link, $title);
											else			echo $title;
										?>
										</span><br />
										<span class="bold"><?php echo JText::_('COM_DOMUS_CUST_GROUP')?>: </span>
										<span class="italic"><?php echo $row->cg_descr?></span><br/>
										<span class="bold"><?php echo JText::_('COM_DOMUS_ADDRESS')?>: </span>
										<span class="italic">
											<?php
												echo $row->to_descr.' '.$row->st_descr.' ';
												echo $row->cu_street.' '.$row->cu_streetnr;
											?>
										</span>
									</div>
									<div class="sx w50_">
										<span class="bold"><?php echo JText::_('COM_DOMUS_TELEPHONE')?>: </span><?php echo $row->cu_telephone; ?><br />
										<span class="bold"><?php echo JText::_('COM_DOMUS_MOBILE')?>: </span><?php echo $row->cu_mobile?><br />
										<span class="bold"><?php echo JText::_('COM_DOMUS_EMAIL')?>: </span>
											<?php if($row->cu_email)
												echo '<a href="mailto:'.$row->cu_email.'">';
												echo $row->cu_email;
												echo '</a>';
											?>
									</div>
								</div>
							</div>
						</td>
					</tr>
			<?php
							$k = 1 - $k;
							$i++;
					endforeach;
				}
			?>
			</tbody>
		</table>

	<?php if(!$lite):?>
		<input type="hidden" name="option" value="com_domus" />
		<input type="hidden" name="task" value="<?php echo JRequest::getCmd('task', 'browse')?>" />
		<input type="hidden" name="view" value="<?php echo $view ?>" />
		<input type="hidden" name="boxchecked" value="0" />
		<input type="hidden" name="filter_order" id="filter_order" value="<?php echo $this->lists->order ?>" />
		<input type="hidden" name="filter_order_Dir" id="filter_order_Dir" value="<?php echo $this->lists->order_Dir ?>" />
		<input type="hidden" name="<?php echo JUtility::getToken();?>" value="1" />
	<?php if(JRequest::getCmd('tmpl') == 'component'):?>
		<input type="hidden" name="tmpl" value="component" />
	<?php endif;?>
	</form>
	<?php endif;?>
</div>