<?php
/**
 * @package    	Domus Organizer
 * @subpackage 	Layouts
 * @author     	Davide Tampellini
 * @copyright 	Copyright (c)2011-2012 Davide Tampellini
 * @license 	GNU General Public License version 3, or later
 */

/**
 * External params passed by loadAnyTemplate:
 * lite		  	: if true, hides pagination, form element and input hidden fields
 * hideSearch 	: hides searches and order links
 * hideCbx		: hides checkboxes
 * showRemove	: shows removal links
 * hideLinks	: prevent echoing links
 * extAction	: fixed external form action
 * extView      : fixed external view
 */

	defined('_JEXEC') or die('Restricted access');
	$this->loadHelper('format');
	$this->loadHelper('html');
	$this->loadHelper('property');

	if(JRequest::getCmd('task') == 'chooseProp') FOFTemplateUtils::addJS('com_domus/js/chooseProp.js');
	$layout = JRequest::getCmd('layout');

	$view = $extView ? $extView : 'properties';
	if(!$extAction)
	{
    	if($layout && $layout != 'default')
    	{
    		$action = '&layout='.$layout.'&id_customers='.JRequest::getInt('id_customers');
    	}
    	$actionURL = 'index.php?option=com_domus&view=properties'.$action;
	}
	else	$actionURL = $extAction;

	$data = $this->items;
?>
<?php if(!$lite && !$hideSearch):?>
<script type="text/javascript">
	window.addEvent('domready', function(){
		document.id('reset').addEvent('click', function(){
			document.id('query_string').value = "";
			document.adminForm.submit();
		})
	});
</script>
<?php endif;?>
<div id="domus">
	<?php if(!$lite):?>
	<form action="<?php echo JRoute::_($actionURL) ?>" method="post" name="adminForm" id="adminForm">
	<?php endif;?>
		<?php if(!$hideSearch):?>
		<div class="center" style="margin:10px 0">

			<span style="font-size:15px;padding:5px"><?php echo JText::_('COM_DOMUS_SEARCH_FOR')?></span>
			<input type="text" name="query_string" id="query_string" value="<?php echo $this->getModel()->getState('query_string');?>" />
			<input type="button" onclick="document.adminForm.submit();" value="<?php echo JText::_('COM_DOMUS_SUBMIT')?>" />
			<input type="button" id="reset" value="Reset" />

			<div class="txt_left" style="margin:5px">
				<div class="sx w200">
					<input type="checkbox" id="checkall-toggle" name="checkall-toggle" value="" title="<?php echo JText::_('COM_DOMUS_JD_GLOBAL_CHECK_ALL'); ?>" onclick="Joomla.checkAll(this)" />
					<label for="checkall-toggle"><?php echo JText::_('COM_DOMUS_JD_GLOBAL_CHECK_ALL'); ?></label>
				</div>

				<?php echo JText::_('COM_DOMUS_INCLUDE_INACTIVE')?>&nbsp;&nbsp;
				<?php echo JHTML::_('select.booleanlist', 'internal_publish', '', $this->getModel()->getState('internal_publish', 0))?>
			</div>
		</div>

		<div style="margin:10px 0">
			<?php echo JText::_('COM_DOMUS_ORDER_BY')?>
			<?php echo DomusHelperHtml::gridSort('COM_DOMUS_OBJID'	 , 'pr_obj_id' , $this->lists->order_Dir, $this->lists->order)?>
			<?php echo DomusHelperHtml::gridSort('COM_DOMUS_TITLE'	 , 'pr_title'  , $this->lists->order_Dir, $this->lists->order)?>
			<?php echo DomusHelperHtml::gridSort('COM_DOMUS_CATEGORY', 'cat_name'  , $this->lists->order_Dir, $this->lists->order)?>
			<?php echo DomusHelperHtml::gridSort('COM_DOMUS_PRICE'	 , 'pr_price'  , $this->lists->order_Dir, $this->lists->order)?>
			<?php echo DomusHelperHtml::gridSort('COM_DOMUS_ADD_DATE', 'created_on', $this->lists->order_Dir, $this->lists->order)?>
		</div>
		<?php endif;?>
		<table class="adminlist noborder">
			<?php if(!$lite):?>
			<tfoot>
				<tr>
					<td colspan="2">
						<div class="pagination"><?php if($this->pagination) echo $this->pagination->getListFooter(); ?></div>
					</td>
				</tr>
			</tfoot>
			<?php endif;?>
			<tbody class="nopadding">
		<?php
			$k = 0;
			$i = 0;

			if(!$data)
			{
				?>
				<tr class="row0">
					<td colspan="2"><?php echo JText::_('COM_DOMUS_NOROWS') ?></td>
				</tr>
				<?php
			}
			else
			{
				foreach($data as $row):
					$link = '<a href="'.JRoute::_('index.php?option=com_domus&view=property&id='.$row->id_properties).'">%s</a>';

					if($hideCbx)		$checkbox = '';
					elseif($showRemove)
					{
						$unlink	   = FOFTemplateUtils::parsePath('com_domus/images/link_break-16.png');
						$checkbox  = '<img class="pointer delete deleteProp" style="padding:5px" src="'.$unlink.'" title="'.JText::_('COM_DOMUS_PROP_UNLINK').'" />';
						$checkbox .= '<input type="hidden" name="id_properties[]" value="'.$row->id_properties.'" />';
					}
					else $checkbox = DomusHelperHtml::checkedOut($row, $i, 'id_properties', 'Property');

					$img	   	  = DomusHelperHtml::propLoadFirstPic($row->id_properties, 60);
					$webPublished = DomusHelperHtml::tickImg($row->enabled, 'globe_16.png', 'globe_16_grey.png', JText::_('COM_DOMUS_WEB_OK'), JText::_('COM_DOMUS_WEB_KO'));
					$intPublished = DomusHelperHtml::tickImg($row->pr_domus_published);
		?>
				<tr class="<?php echo "row$k"; ?>">
					<td class="w10"><?php echo $checkbox; ?></td>
					<td style="padding:5px 0">
						<div class="sx w70">
						<?php
							if(!$hideLinks)	echo JText::sprintf($link, $img);
							else			echo $img;
						?>
						</div>
						<div class="immobile">
							<div class="sx w80_ txt_left">
								<div class="sx w60_">
									<span class="bold">
									<?php
										$title = $row->pr_obj_id;
										if($row->pr_title) $title .= ' :: '.$row->pr_title;

										if(!$hideLinks)	echo JText::sprintf($link, $title);
										else			echo $title;
									?>
									</span>
									<br />
									<span class="bold"><?php echo JText::_('COM_DOMUS_CATEGORY')?>: </span><?php echo $row->cat_name; ?>
									<br />
									<span class="italic">
										<?php
											echo $row->to_descr.' &bull; '.$row->st_descr.' ';
											echo $row->pr_street.' '.$row->pr_streetnr;
										?>
									</span>
								</div>
								<div class="sx w40_">
									<span class="bold"><?php echo JText::_('COM_DOMUS_TYPE')?>: </span><?php echo $row->ty_name; ?><br />
									<span class="bold"><?php echo JText::_('COM_DOMUS_OWNER')?>: </span><?php $row->cu_company_name ? print($row->cu_company_name) : print($row->cu_surname.' '.$row->cu_name);?><br />
									<span class="bold"><?php echo JText::_('COM_DOMUS_PRICE')?>: </span>
										<?php echo DomusHelperFormat::formatPrice($row->pr_price, 0, false) ?>
										<?php if($row->pr_price_min) echo '&nbsp;('.DomusHelperFormat::formatPrice($row->pr_price_min, 0, false).')' ?>
								</div>
							</div>
							<div class="sx w40">
								<?php echo DomusHelperProperty::icons('hot'		   , $row->pr_hot)?>
								<?php #echo DomusHelperProperty::icons('home_page'  , $row->pr_home_page)?>
								<?php echo $webPublished?>
								<?php echo $intPublished?>
								<br />
							</div>
						</div>
					</td>
				</tr>
		<?php
				$k = 1 - $k;
				$i++;
				endforeach;
			}
		?>
			<tbody>
		</table>

	<?php if(!$lite):?>
		<input type="hidden" name="option" value="com_domus" />
		<input type="hidden" name="task" value="<?php echo JRequest::getCmd('task', 'browse')?>" />
		<input type="hidden" name="view" value="<?php echo $view ?>" />
		<input type="hidden" id="boxchecked" name="boxchecked" value="0" />
		<input type="hidden" name="filter_order" id="filter_order" value="<?php echo $this->lists->order ?>" />
		<input type="hidden" name="filter_order_Dir" id="filter_order_Dir" value="<?php echo $this->lists->order_Dir ?>" />
		<input type="hidden" name="<?php echo JUtility::getToken();?>" value="1" />
	<?php if(JRequest::getCmd('tmpl') == 'component'):?>
		<input type="hidden" name="tmpl" value="component" />
	<?php endif;?>
	</form>
	<?php endif;?>
</div>