<?php
/**
 * @package    Domus Organizer
 * @subpackage Layouts
 * @author     Davide Tampellini
 * @copyright  Copyright (c)2011-2012 Davide Tampellini
 * @license    GNU General Public License version 3, or later
 */

	defined( '_JEXEC' ) or die( 'Restricted access' );
	$this->loadHelper('select');
	$data = $this->item;

	//load linked data only if i have a saved record
	if($this->item->id_properties)
	{
		$attrib = FOFModel::getTmpInstance('Propattribs', 'DomusModel')
					->patt_id_properties($data->id_properties)
					->getList(true, 'att_type');

		$rooms = FOFModel::getTmpInstance('Proprooms', 'DomusModel')
					->pro_id_properties($data->id_properties)
					->getList(true);
	}

	$add   = FOFTemplateUtils::parsePath('com_domus/images/add_16.png');
	$trash = FOFTemplateUtils::parsePath('com_domus/images/recycleBin_empty_16.png');
?>
<div>
<fieldset class="sx w47_ minpad">
		<legend><?php echo JText::_('COM_DOMUS_PROPERTY_DETAILS')?></legend>
		<div class="holder">
			<div class="fb_label w110"><?php echo JText::_('COM_DOMUS_PROPERTY_CONDITION')?></div>
			<div class="fb_value"><?php echo DomusHelperSelect::createList('prop_cond', 'patt_id_attributes[]', $attrib['PROP_COND']->id, 'class="w150"'); ?></div>
		</div>
		<div class="clr"></div>
		<div class="holder">
			<div class="fb_label w110"><?php echo JText::_('COM_DOMUS_TOT_SURFACE')?></div>
			<div class="fb_value">
				<input type="text" name="pr_space"
					   class="inputbox w100"
					   title="<?php echo JText::_('COM_DOMUS_TOT_SURFACE')?>" value="<?php echo $data->pr_space; ?>" />
			</div>
		</div>
		<div class="clr"></div>
		<div class="holder">
			<div class="fb_label w110"><?php echo JText::_('COM_DOMUS_OCCUPATION')?></div>
			<div class="fb_value"><?php echo DomusHelperSelect::createList('occupation', 'patt_id_attributes[]', $attrib['OCCUPATION']->id, 'class="w150"'); ?></div>
		</div>
		<div class="clr"></div>
		<div class="holder">
			<div class="fb_label w110"><?php echo JText::_('COM_DOMUS_FLOOR')?></div>
			<div class="fb_value"><?php echo DomusHelperSelect::createList('floor', 'pr_floor', $data->pr_floor, 'class="w150"'); ?></div>
		</div>
		<div class="clr"></div>
		<div class="holder">
			<div class="fb_label w110"><?php echo JText::_('COM_DOMUS_LEVELS')?></div>
			<div class="fb_value">
				<input type="text" name="pr_levels" class="inputbox w100" title="<?php echo JText::_('COM_DOMUS_LEVELS')?>" value="<?php echo $data->pr_levels; ?>" />
			</div>
		</div>
		<div class="clr"></div>
		<div class="holder">
			<div class="fb_label w110"><?php echo JText::_('COM_DOMUS_EXPOSITION')?></div>
			<div class="fb_value"><?php echo DomusHelperSelect::createList('exposure', 'patt_id_attributes[]', $attrib['EXPOSURE']->id, 'class="w150"'); ?></div>
		</div>
		<div class="clr"></div>
		<div class="holder">
			<div class="fb_label w110"><?php echo JText::_('COM_DOMUS_FURNITURE')?></div>
			<div class="fb_value"><?php echo DomusHelperSelect::createList('furniture', 'patt_id_attributes[]', $attrib['FURNITURE']->id, 'class="w150"')?></div>
		</div>
	</fieldset>
	<fieldset class="dx w47_ minpad">
		<legend><?php echo JText::_('COM_DOMUS_STABLE_DETAILS')?></legend>
		<div class="holder">
			<div class="fb_label w120"><?php echo JText::_('COM_DOMUS_YEAR_OF_BUILT')?></div>
			<div class="fb_value">
				<input type="text" name="pr_built" class="inputbox w100" title="<?php echo JText::_('COM_DOMUS_YEAR_OF_BUILT')?>" value="<?php echo $data->pr_built; ?>" />
			</div>
		</div>
		<div class="clr"></div>
		<div class="holder">
			<div class="fb_label w120"><?php echo JText::_('COM_DOMUS_YEAR_OF_REBUILT')?></div>
			<div class="fb_value">
				<input type="text" name="pr_renovation" class="inputbox w100" title="<?php echo JText::_('COM_DOMUS_YEAR_OF_REBUILT')?>" value="<?php echo $data->pr_renovation; ?>" />
			</div>
		</div>
		<div class="clr"></div>
		<div class="holder">
			<div class="fb_label w120"><?php echo JText::_('COM_DOMUS_TOT_FLOORS')?></div>
			<div class="fb_value">
				<input type="text" name="pr_floors_tot" class="inputbox w100" title="<?php echo JText::_('COM_DOMUS_TOT_FLOORS')?>" value="<?php echo $data->pr_floors_tot; ?>" />
			</div>
		</div>
		<div class="clr"></div>
		<div class="holder">
			<div class="fb_label w120"><?php echo JText::_('COM_DOMUS_PROPERTY_UNITS')?></div>
			<div class="fb_value">
				<input type="text" name="pr_units" class="inputbox w100" title="<?php echo JText::_('COM_DOMUS_PROPERTY_UNITS')?>" value="<?php echo $data->pr_units; ?>" />
			</div>
		</div>
		<div class="clr"></div>
		<div class="holder">
			<div class="fb_label w120"><?php echo JText::_('COM_DOMUS_BUILDING_TYPE')?></div>
			<div class="fb_value"><?php echo DomusHelperSelect::createList('building_type', 'patt_id_attributes[]', $attrib['BUILDING_TYPE']->id, 'class="w150"'); ?></div>
		</div>
		<div class="clr"></div>
		<div class="holder">
			<div class="fb_label w120"><?php echo JText::_('COM_DOMUS_BUILDING_CONDITION')?></div>
			<div class="fb_value"><?php echo DomusHelperSelect::createList('building_state' , 'patt_id_attributes[]', $attrib['BUILDING_STATE']->id, 'class="w150"'); ?></div>
		</div>
	</fieldset>
</div>
<div class="clr"></div>
<div>
	<fieldset class="sx w47_ minpad">
		<legend><?php echo JText::_('COM_DOMUS_DETAILS')?></legend>
		<div class="holder">
			<div class="holder">
				<div class="fb_label w110"><?php echo JText::_('COM_DOMUS_AIR_CONDITION')?></div>
				<div class="fb_value"><?php echo DomusHelperSelect::createList('air_cond', 'patt_id_attributes[]', $attrib['AIR_COND']->id, 'class="w150"')?></div>
			</div>
			<div class="clr"></div>
			<div class="holder">
				<div class="fb_label w110"><?php echo JText::_('COM_DOMUS_GARDEN')?></div>
				<div class="fb_value">
					<?php echo DomusHelperSelect::createList('garden', 'patt_id_attributes[]', $attrib['GARDEN']->id, 'class="w150"')?>
					<input type="text" name="pr_garden_sup" size="5" class="inputbox" maxlength="25" value="<?php echo $data->pr_garden_sup; ?>" />
				</div>
			</div>
			<div class="clr"></div>
			<div class="holder">
				<div class="fb_label w110"><?php echo JText::_('COM_DOMUS_GARAGE')?></div>
				<div class="fb_value"><?php echo DomusHelperSelect::createList('garage', 'patt_id_attributes[]', $attrib['GARAGE']->id, 'class="w150"')?></div>
			</div>
			<div class="clr"></div>
			<div class="holder">
				<div class="fb_label w110"><?php echo JText::_('COM_DOMUS_PARKAREA')?></div>
				<div class="fb_value"><?php echo DomusHelperSelect::createList('parkarea', 'patt_id_attributes[]', $attrib['PARKAREA']->id, 'class="w150"')?></div>
			</div>
			<div class="clr"></div>

			<div><?php echo DomusHelperHtml::createAttrCbx('lift', 'patt_id_attributes[]', $attrib['LIFT']->id, ' class="inputbox" ', JText::_('COM_DOMUS_LIFT'), true)?></div>
			<div><?php echo DomusHelperHtml::createAttrCbx('reception', 'patt_id_attributes[]', $attrib['RECEPTION']->id, ' class="inputbox" ', JText::_('COM_DOMUS_RECEPTION'), true)?></div>
			<div><?php echo DomusHelperHtml::createAttrCbx('top_floor', 'patt_id_attributes[]', $attrib['TOP_FLOOR']->id, ' class="inputbox" ', JText::_('COM_DOMUS_TOP_FLOOR'), true)?></div>
		</div>
	</fieldset>
	<fieldset class="dx w47_ minpad">
		<legend><?php echo JText::_('COM_DOMUS_HEATING_DETAILS')?></legend>
		<div class="holder">
			<div class="fb_label w120"><?php echo JText::_('COM_DOMUS_HEATING')?></div>
			<div class="fb_value"><?php echo DomusHelperSelect::createList('heating', 'patt_id_attributes[]', $attrib['HEATING']->id, 'class="w150"'); ?></div>
		</div>
		<div class="clr"></div>
		<div class="holder">
			<div class="fb_label w120"><?php echo JText::_('COM_DOMUS_HEATING_SUPPLY')?></div>
			<div class="fb_value"><?php echo DomusHelperSelect::createList('heating_supply', 'patt_id_attributes[]', $attrib['HEATING_SUPPLY']->id, 'class="w150"'); ?></div>
		</div>
		<div class="clr"></div>
		<div class="holder">
			<div class="fb_label w120"><?php echo JText::_('COM_DOMUS_HEATING_POWER')?></div>
			<div class="fb_value"><?php echo DomusHelperSelect::createList('heating_power', 'patt_id_attributes[]', $attrib['HEATING_POWER']->id, 'class="w150"'); ?></div>
		</div>
	</fieldset>
	<fieldset class="dx w47_ minpad groupbox">
		<legend><?php echo JText::_('COM_DOMUS_MORE_DETAILS')?></legend>
		<table class="adminlist w90_" style="margin:auto">
			<thead class="">
				<tr>
					<th><?php echo JText::_('COM_DOMUS_ROOM_TYPE')?></th>
					<th class="center w50"><?php echo JText::_('COM_DOMUS_SPACE') ?></th>
				</tr>
			</thead>
			<tbody id="rooms">
				<?php
				if(!$rooms) echo '<tr><td class="norows" colspan="2">'.JText::_('COM_DOMUS_NOROWS').'</td></tr>';
				else {
					foreach($rooms as $room):
				?>
				<tr>
					<td>
						<img class="sx pointer delete deleteRoom" src="<?php echo $trash ?>" />
						<?php echo DomusHelperSelect::createList('rooms', 'pro_id_rooms[]', $room->pro_id_rooms, 'class="w150"'); ?>
					</td>
					<td>
						<input type="text" name="pro_size[]" size="5" maxlength="5" value="<?php echo $room->pro_size?>" />
						<input type="hidden" name="id_prop_rooms[]" size="5" value="<?php echo $room->id_prop_rooms?>" />
					</td>
				</tr>
				<?php
					endforeach;
				}?>
			</tbody>
		</table>
		<div class="txt_right" style="margin-top:10px">
			<span id="addRoom" class="pointer">
				<img src="<?php echo $add ?>" />
				<?php echo JText::_('COM_DOMUS_ADD_ROOM')?>
			</span>
		</div>
	</fieldset>

</div>
<div class="clr"></div>