<?php
/**
 * @package    Domus Organizer
 * @subpackage Layouts
 * @author     Davide Tampellini
 * @copyright  Copyright (c)2011-2012 Davide Tampellini
 * @license    GNU General Public License version 3, or later
 */

	defined( '_JEXEC' ) or die( 'Restricted access' );
	$this->loadHelper('format');
	$this->loadHelper('select');
	$this->loadHelper('html');

	DomusHelperFormat::jsFormatPrice();

	// Disable fields if user can't publish
	if(!JFactory::getUser()->authorise('core.edit.state', 'com_domus')){
		$disabled = ' disabled="true" ';
	}

	$data = $this->item;
?>

<div style="padding-bottom:30px">
	<div class="holder">
		<div class="fb_label w120"><?php echo JText::_('COM_DOMUS_OBJID')?></div>
		<div class="fb_value">
			<input type="text"
			 		data-validators="required"
					class="w100" id="pr_obj_id"
					name="pr_obj_id"
					title="<?php echo JText::_('COM_DOMUS_OBJID')?>" value="<?php echo $data->pr_obj_id;?>" />
		</div>
	</div>
	<div class="clr"></div>
	<?php /* if(FB_PRO):?>
	<div class="holder">
		<div class="fb_label w120"><?php echo JText::_('COM_DOMUS_YARDID')?></div>
		<div class="fb_value"><?php #echo $this->lists['cantieri']?></div>
	</div>
	<div class="clr"></div>
	<?php endif; */ ?>
	<div class="holder">
		<div class="fb_label w120"><?php echo JText::_('COM_DOMUS_TYPE')?></div>
		<div class="fb_value">
			<?php echo DomusHelperSelect::createList('type', 'pr_id_types', $data->pr_id_types, 'class="w150" data-validators="required" title="'.JText::_('COM_DOMUS_TYPE').'"'); ?>
		</div>
	</div>
	<div class="clr"></div>
	<div class="holder">
		<div class="fb_label w120"><?php echo JText::_('COM_DOMUS_CATEGORY')?></div>
		<div class="fb_value">
			<?php echo DomusHelperSelect::createList('categories', 'pr_id_categories' ,$data->pr_id_categories, 'class="w150" data-validators="required" title="'.JText::_('COM_DOMUS_CATEGORY').'"'); ?>
		</div>
	</div>
	<div class="clr"></div>
	<div class="holder" style="margin-top:5px">
		<div class="fb_label w120"><?php echo JText::_('COM_DOMUS_TITLE')?></div>
		<div class="fb_value">
			<input type="text"
					class="w300 inputbox"
					name="pr_title"
					data-validators=""
					title="<?php echo JText::_('COM_DOMUS_TITLE')?>" value="<?php echo $data->pr_title; ?>" />
		</div>
	</div>
	<div class="clr"></div>
	<div class="holder" style="margin-top:5px">
		<div class="fb_label w120"><?php echo JText::_('COM_DOMUS_JD_PUBLISHED')?></div>
		<div class="fb_value">
			<?php echo DomusHelperSelect::createList('publish', 'pr_domus_published', $data->pr_domus_published, 'class="w150"'.$disabled); ?>
		</div>
	</div>
	<div class="clr"></div>
	<div class="sx w55_">
		<div class="holder">
			<div class="fb_label w120"><?php echo JText::_('COM_DOMUS_START_POSITION')?></div>
			<div class="fb_value">
				<?php echo JHTML::calendar($data->pr_start_position, 'pr_start_position', 'pr_start_position', '%Y-%m-%d', 'class="w70"');?>
			</div>
		</div>
		<div class="clr"></div>
		<div class="holder">
			<div class="fb_label w120"><?php echo JText::_('COM_DOMUS_END_POSITION')?></div>
			<div class="fb_value">
				<?php echo JHTML::calendar($data->pr_end_position, 'pr_end_position', 'pr_end_position', '%Y-%m-%d','class="w70"');?>
			</div>
		</div>
		<div class="clr"></div>
		<div class="holder">
			<div class="fb_label w120"><?php echo JText::_('COM_DOMUS_PRICE')?></div>
			<div class="fb_value">
				<input type="text" name="pr_price" class="inputbox w70 formatCurrency"
					   title="<?php echo JText::_('COM_DOMUS_PRICE')?>"
					   value="<?php echo DomusHelperFormat::formatPrice($data->pr_price, 0, false); ?>" />
			</div>
		</div>
		<div class="clr"></div>
		<div class="holder">
			<div class="fb_label w120"><?php echo JText::_('COM_DOMUS_PRICEMIN')?></div>
			<div class="fb_value">
				<input type="text" name="pr_price_min" class="inputbox w70 formatCurrency"
					   title="<?php echo JText::_('COM_DOMUS_PRICEMIN')?>"
					   value="<?php echo DomusHelperFormat::formatPrice($data->pr_price_min, 0, false); ?>" />
			</div>
		</div>
		<div class="clr"></div>
<?php /*<div class="holder">
			<div class="fb_label w120"><?php echo JText::_('COM_DOMUS_MONTHLY_EXP')?></div>
			<div class="fb_value">
				<input type="text" id="pr_monthly_exp" name="pr_monthly_exp" class="inputbox w70" value="<?php echo number_format($data->pr_monthly_exp, 0, ',', '.'); ?>" />
				circa <span id="pr_monthly_exp_calc">0</span> al mese
			</div>

		</div>
*/ ?>
	</div>
	<div class="sx" style="margin-top:5px">
		<div class="sx w110">
			<div><?php echo DomusHelperHtml::cbx('pr_negotiable', '1', $data->pr_negotiable, ' class="inputbox" ' , JText::_('COM_DOMUS_NEGOTIABLE')); ?></div>
			<div><?php echo DomusHelperHtml::cbx('pr_private_treaty', '1', $data->pr_private_treaty	, ' class="inputbox" ' , JText::_('COM_DOMUS_PRIV_TREATY')); ?></div>
			<div><?php echo DomusHelperHtml::cbx('pr_exclusive', '1', $data->pr_exclusive, ' class="inputbox" ' , JText::_('COM_DOMUS_EXCLUSIVE')); ?></div>
		</div>
		<div class="sx">
			<div><?php echo DomusHelperHtml::cbx('enabled', '1', $data->enabled, ' class="inputbox" ' , JText::_('COM_DOMUS_SITE_PUBLISH')); ?></div>
			<div><?php echo DomusHelperHtml::cbx('pr_hot', '1', $data->pr_hot, ' class="inputbox" ' , JText::_('COM_DOMUS_ON_HOT')); ?></div>
			<div><?php #echo DomusHelperHtml::cbx('pr_home_page', '1', $data->pr_home_page, ' class="inputbox" ' , JText::_('COM_DOMUS_ON_HOMEPAGE')); ?></div>
		</div>
	</div>
	<div class="clr"></div>
</div>
<fieldset>
	<legend><?php echo JText::_('COM_DOMUS_DESCR_ON_SITE')?></legend>
	<?php echo JFactory::getEditor()->display( 'pr_descr', $data->pr_descr, '100%', '250', '75', '20', false ) ;?>
</fieldset>
<fieldset>
	<legend><?php echo JText::_('COM_DOMUS_INTERNAL_NOTES')?></legend>
	<textarea name="note" rows="10" style="width:98%"><?php echo $data->pr_notes; ?></textarea>
</fieldset>
<fieldset>
	<legend><?php echo JText::_('COM_DOMUS_METADESCR_TAG')?></legend>
	<textarea name="pr_metadesc" rows="5" style="width:98%"><?php echo $data->pr_metadesc; ?></textarea>
</fieldset>
<div class="clr"></div>
<div class="sx w50_">
	<div class="holder">
		<div class="fb_label w120"><?php echo JText::_('COM_DOMUS_ADDED_BY')?></div>
		<div class="fb_value"><?php echo $data->add_name.' '.$data->add_surname;?></div>
	</div>
	<div class="clr"></div>
	<div class="holder">
		<div class="fb_label w120"><?php echo JText::_('COM_DOMUS_MODIFIED_BY')?></div>
		<div class="fb_value"><?php echo $data->mod_name.' '.$data->mod_surname;?></div>
	</div>
	<div class="clr"></div>
</div>
<div class="sx w50_">
	<div class="holder">
		<div class="fb_label w120"><?php echo JText::_('COM_DOMUS_ADD_DATE')?></div>
		<div class="fb_value"><?php echo JHTML::_('date',  $data->created_on,  JText::_('DATE_FORMAT_LC2') );?></div>
	</div>
	<div class="clr"></div>
	<div class="holder">
		<div class="fb_label w120"><?php echo JText::_('COM_DOMUS_MODIFIED_DATE')?></div>
		<div class="fb_value"><?php echo JHTML::_('date',  $data->modified_on,  JText::_('DATE_FORMAT_LC2') );?></div>
	</div>
	<div class="clr"></div>
</div>
<div class="clr"></div>
