<?php
/**
 * @package    	Domus Organizer
 * @subpackage 	Layouts
 * @author     	Davide Tampellini
 * @copyright 	Copyright (c)2011-2012 Davide Tampellini
 * @license 	GNU General Public License version 3, or later
 */

	defined('_JEXEC') or die('Restricted access');

	$trash = FOFTemplateUtils::parsePath('com_domus/images/recycleBin_empty_16.png');

	if($this->item->id_properties)
	{
		$photos = FOFModel::getTmpInstance('Images', 'DomusModel')
					->img_id_properties($this->item->id_properties)
					->filter_order('ordering')
					->filter_order_Dir('ASC')
					->getList(true);
	}
?>

<h2><?php echo JText::_('COM_DOMUS_PHOTO_PREVIEW')?></h2>
<div id="imagesContainer">
	<ul class="w100_" style="margin:10px 0;list-style:none" id="imagesList">
	<?php
		if(!$photos) echo '<li class="center">'.JText::_('COM_DOMUS_NOROWS').'</li>';
		else
		{
			$i = 0;
			foreach($photos as $photo):
				$photo->img_published ? $checked = 'checked="checked"' : $checked = '';
		?>
		<li id="<?php echo 'image_'.$photo->id_images ?>">
			<div class="sx w160" style="margin-right:10px">
				<a href="<?php echo $photo->img_path.$photo->img_fname.$photo->img_type?>" class="modal">
					<img class="w100_" src="<?php echo $photo->img_path.'thumbs/t_'.$photo->img_fname.$photo->img_type?>" />
				</a>
			</div>
			<div class="sx w70_">
				<table class="w100_ noborder minpadding">
					<tr>
						<td class="bold"><?php echo JText::_('COM_DOMUS_TITLE')?></td>
						<td>
							<input class="w300" type="text" name="img_title[]" value="<?php echo $photo->img_title ?>" />
							<img class="pointer delete deleteImg" src="<?php echo $trash?>" />
							<input type="hidden" name="id_images[]" value="<?php echo $photo->id_images ?>" />
						</td>
					</tr>
					<tr>
						<td class="bold"><?php echo JText::_('COM_DOMUS_DESCR')?></td>
						<td>
							<textarea class="w300 h50" maxlength="255" name="img_descr[]"><?php echo $photo->img_descr?></textarea>
						</td>
					</tr>
					<tr>
						<td class="bold"><?php echo JText::_('JPUBLISHED')?></td>
						<td><input type="checkbox" name="img_published<?php echo $i ?>" value="1" <?php echo $checked ?> /> </td>
					</tr>
				</table>
			</div>
			<div class="clr"></div>
		</li>
		<?php
				$i++;
			endforeach;
		}
	?>
		</tbody>
	</table>
</div>
<div>
	<table id="uploadHolder" class="w100_ noborder">
		<tr>
			<td class="w70_"><input type="file" name="prop_images[]" size="60" value="" /></td>
			<td><img src="<?php echo $trash?>" class="pointer delete deleteUpload hidden" /></td>
		</tr>
	</table>
</div>
<input id="addImage" type="button" value="<?php echo JText::_('COM_DOMUS_ADD_PHOTO')?>" />
