<?php
/**
 * @package    	Domus Organizer
 * @subpackage 	Layouts
 * @author     	Davide Tampellini
 * @copyright 	Copyright (c)2011-2012 Davide Tampellini
 * @license 	GNU General Public License version 3, or later
 */

	defined( '_JEXEC' ) or die( 'Restricted access' );
	$this->loadHelper('html');

	$data = $this->item;

	$attrib = FOFModel::getTmpInstance('Propattribs', 'DomusModel')
					->patt_id_properties($data->id_properties)
					->getList(true, 'att_type');
?>
<div>
<fieldset class="sx w47_ minpad">
		<legend><?php echo JText::_('COM_DOMUS_PROPERTY_DETAILS')?></legend>
		<div class="holder">
			<div class="fb_label w110"><?php echo JText::_('COM_DOMUS_PROPERTY_CONDITION')?></div>
			<div class="fb_value"><?php echo $attrib['PROP_COND']->att_descr; ?></div>
		</div>
		<div class="clr"></div>
		<div class="holder">
			<div class="fb_label w110"><?php echo JText::_('COM_DOMUS_TOT_SURFACE')?></div>
			<div class="fb_value"><?php echo $data->pr_space; ?></div>
		</div>
		<div class="clr"></div>
		<div class="holder">
			<div class="fb_label w110"><?php echo JText::_('COM_DOMUS_OCCUPATION')?></div>
			<div class="fb_value"><?php echo $attrib['OCCUPATION']->att_descr; ?></div>
		</div>
		<div class="clr"></div>
		<div class="holder">
			<div class="fb_label w110"><?php echo JText::_('COM_DOMUS_FLOOR')?></div>
			<div class="fb_value"><?php echo $data->pr_floor; ?></div>
		</div>
		<div class="clr"></div>
		<div class="holder">
			<div class="fb_label w110"><?php echo JText::_('COM_DOMUS_LEVELS')?></div>
			<div class="fb_value"><?php echo $data->pr_levels; ?></div>
		</div>
		<div class="clr"></div>
		<div class="holder">
			<div class="fb_label w110"><?php echo JText::_('COM_DOMUS_EXPOSITION')?></div>
			<div class="fb_value"><?php echo $attrib['EXPOSURE']->att_descr; ?></div>
		</div>
		<div class="clr"></div>
		<div class="holder">
			<div class="fb_label w110"><?php echo JText::_('COM_DOMUS_FURNITURE')?></div>
			<div class="fb_value"><?php echo $attrib['FURNITURE']->att_descr?></div>
		</div>
	</fieldset>
	<fieldset class="dx w47_ minpad">
		<legend><?php echo JText::_('COM_DOMUS_STABLE_DETAILS')?></legend>
		<div class="holder">
			<div class="fb_label w120"><?php echo JText::_('COM_DOMUS_YEAR_OF_BUILT')?></div>
			<div class="fb_value"><?php echo $data->pr_built; ?></div>
		</div>
		<div class="clr"></div>
		<div class="holder">
			<div class="fb_label w120"><?php echo JText::_('COM_DOMUS_YEAR_OF_REBUILT')?></div>
			<div class="fb_value"><?php echo $data->pr_renovation; ?></div>
		</div>
		<div class="clr"></div>
		<div class="holder">
			<div class="fb_label w120"><?php echo JText::_('COM_DOMUS_TOT_FLOORS')?></div>
			<div class="fb_value"><?php echo $data->pr_floors_tot; ?></div>
		</div>
		<div class="clr"></div>
		<div class="holder">
			<div class="fb_label w120"><?php echo JText::_('COM_DOMUS_PROPERTY_UNITS')?></div>
			<div class="fb_value"><?php echo $data->pr_units; ?></div>
		</div>
		<div class="clr"></div>
		<div class="holder">
			<div class="fb_label w120"><?php echo JText::_('COM_DOMUS_BUILDING_TYPE')?></div>
			<div class="fb_value"><?php echo $attrib['BUILDING_TYPE']->att_descr; ?></div>
		</div>
		<div class="clr"></div>
		<div class="holder">
			<div class="fb_label w120"><?php echo JText::_('COM_DOMUS_BUILDING_CONDITION')?></div>
			<div class="fb_value"><?php echo $attrib['BUILDING_STATE']->att_descr ?></div>
		</div>
	</fieldset>
</div>
<div class="clr"></div>
<div>
	<fieldset class="sx w47_ minpad">
		<legend><?php echo JText::_('COM_DOMUS_DETAILS')?></legend>
		<div class="holder">
			<div class="holder">
				<div class="fb_label w110"><?php echo JText::_('COM_DOMUS_AIR_CONDITION')?></div>
				<div class="fb_value"><?php echo $attrib['AIR_COND']->att_descr?></div>
			</div>
			<div class="clr"></div>
			<div class="holder">
				<div class="fb_label w110"><?php echo JText::_('COM_DOMUS_GARDEN')?></div>
				<div class="fb_value">
					<?php echo $attrib['GARDEN']->att_descr?>&nbsp;<?php echo $data->pr_garden_sup; ?>
				</div>
			</div>
			<div class="clr"></div>
			<div class="holder">
				<div class="fb_label w110"><?php echo JText::_('COM_DOMUS_GARAGE')?></div>
				<div class="fb_value"><?php echo $attrib['GARAGE']->att_descr?></div>
			</div>
			<div class="clr"></div>
			<div class="holder">
				<div class="fb_label w110"><?php echo JText::_('COM_DOMUS_PARKAREA')?></div>
				<div class="fb_value"><?php echo $attrib['PARKAREA']->att_descr?></div>
			</div>
			<div class="clr"></div>

			<div><?php echo DomusHelperHtml::tickImg($attrib['LIFT']->id).'&nbsp;'.JText::_('COM_DOMUS_LIFT')?></div>
			<div><?php echo DomusHelperHtml::tickImg($attrib['RECEPTION']->id).'&nbsp;'.JText::_('COM_DOMUS_RECEPTION')?></div>
			<div><?php echo DomusHelperHtml::tickImg($attirb['TOP_FLOOR']->id).'&nbsp;'.JText::_('COM_DOMUS_TOP_FLOOR')?></div>
		</div>
	</fieldset>
	<fieldset class="dx w47_ minpad">
		<legend><?php echo JText::_('COM_DOMUS_HEATING_DETAILS')?></legend>
		<div class="holder">
			<div class="fb_label w120"><?php echo JText::_('COM_DOMUS_HEATING')?></div>
			<div class="fb_value"><?php echo $attrib['HEATING']->att_descr; ?></div>
		</div>
		<div class="clr"></div>
		<div class="holder">
			<div class="fb_label w120"><?php echo JText::_('COM_DOMUS_HEATING_SUPPLY')?></div>
			<div class="fb_value"><?php echo $attrib['HEATING_SUPPLY']->att_descr; ?></div>
		</div>
		<div class="clr"></div>
		<div class="holder">
			<div class="fb_label w120"><?php echo JText::_('COM_DOMUS_HEATING_POWER')?></div>
			<div class="fb_value"><?php echo $attrib['HEATING_POWER']->att_descr; ?></div>
		</div>
	</fieldset>
	<fieldset class="dx w47_ minpad groupbox">
		<legend><?php echo JText::_('COM_DOMUS_MORE_DETAILS')?></legend>
		<table class="adminlist w90_" style="margin:auto">
			<thead class="">
				<tr>
					<th><?php echo JText::_('COM_DOMUS_ROOM_TYPE')?></th>
					<th class="center w50"><?php echo JText::_('COM_DOMUS_SPACE') ?></th>
				</tr>
			</thead>
			<tbody id="rooms">
				<?php
				$rooms = FOFModel::getTmpInstance('Proprooms', 'DomusModel')
								->pro_id_properties($data->id_properties)
								->getList(true);
				if(!$rooms) echo '<tr><td class="norows" colspan="2">'.JText::_('COM_DOMUS_NOROWS').'</td></tr>';
				else {
					foreach($rooms as $room):
				?>
				<tr>
					<td><?php echo $room->ro_descr; ?></td>
					<td><?php echo $room->pro_size?></td>
				</tr>
				<?php
					endforeach;
				}?>
			</tbody>
		</table>
	</fieldset>

</div>
<div class="clr"></div>