<?php
/**
 * @package    Domus Organizer
 * @subpackage Layouts
 * @author     Davide Tampellini
 * @copyright  Copyright (c)2011-2012 Davide Tampellini
 * @license    GNU General Public License version 3, or later
 */

	defined('_JEXEC') or die('Restricted access');
	$this->loadHelper('format');

	$data = $this->item;
?>

<div class="nomargin" style="padding-bottom:30px">
	<div class="sx w49_">
		<div class="holder">
			<div class="fb_label w120"><?php echo JText::_('COM_DOMUS_OBJID')?>.</div>
			<div class="fb_value"><?php echo $data->pr_obj_id;?></div>
		</div>
		<div class="clr"></div>
		<div class="holder">
			<div class="fb_label w120"><?php echo JText::_('COM_DOMUS_CATEGORY')?></div>
			<div class="fb_value"><?php echo $data->cat_name;?></div>
		</div>
	</div>
	<div class="sx w49_">
		<?php /*if(FB_PRO):?>
		<div class="holder">
			<div class="fb_label"><?php echo JText::_('COM_DOMUS_YARDID')?></div>
			<div class="fb_value"><?php echo $data->pr_id_yards; ?></div>
		</div>
		<div class="clr"></div>
		<?php endif; */ ?>
		<div class="holder">
			<div class="fb_label"><?php echo JText::_('COM_DOMUS_TYPE')?></div>
			<div class="fb_value"><?php echo $data->ty_name; ?></div>
		</div>
	</div>
	<div class="clr"></div>
	<div class="holder w100_" style="margin:5px 0 30px">
		<div class="fb_label w120"><?php echo JText::_('COM_DOMUS_TITLE')?></div>
		<div class="fb_value"><?php echo $data->pr_title; ?></div>
	</div>
	<div class="clr"></div>
	<div class="sx w55_">
		<div class="input_holder">
			<div class="fb_label w120"><?php echo JText::_('COM_DOMUS_JD_PUBLISHED')?></div>
			<div class="fb_value"><?php echo DomusHelperHtml::decoFix('domus_published', $data->pr_domus_published) ?></div>
			<div class="clr"></div>
			<div class="fb_label w120"><?php echo JText::_('COM_DOMUS_START_POSITION')?></div>
			<div class="fb_value"><?php echo ($data->pr_start_position); ?></div>
			<div class="clr"></div>
			<div class="fb_label w120"><?php echo JText::_('COM_DOMUS_END_POSITION')?></div>
			<div class="fb_value"><?php echo ($data->pr_end_position); ?></div>
		</div>
		<div class="clr"></div>
		<div class="holder">
			<div class="fb_label w120"><?php echo JText::_('COM_DOMUS_PRICE')?></div>
			<div class="fb_value">
				<?php echo DomusHelperFormat::formatPrice($data->pr_price, 0, false); ?>
			</div>
		</div>
		<div class="clr"></div>
		<div class="holder">
			<div class="fb_label w120"><?php echo JText::_('COM_DOMUS_PRICEMIN')?></div>
			<div class="fb_value"><?php echo DomusHelperFormat::formatPrice($data->pr_price_min, 0, false); ?></div>
		</div>
		<div class="clr"></div>
<?php /*<div class="holder">
			<div class="fb_label w120"><?php echo JText::_('COM_DOMUS_MONTHLY_EXP')?></div>
			<div class="fb_value"><?php echo number_format($data->pr_monthly_exp, 0, ',', '.').' '.JText::sprintf('MONTHLY_EXP_CALC', $data->spese_cond_mese); ?></div>
		</div>
*/?>
		<div class="clr"></div>
	</div>
	<div class="sx">
		<div class="holder">
			<div class="sx w110">

				<div><?php echo DomusHelperHtml::tickImg($data->pr_negotiable).'&nbsp;'.JText::_('COM_DOMUS_NEGOTIABLE'); ?></div>
				<div><?php echo DomusHelperHtml::tickImg($data->pr_private_treaty).'&nbsp;'.JText::_('COM_DOMUS_PRIV_TREATY'); ?></div>
				<div><?php echo DomusHelperHtml::tickImg($data->pr_exclusive ).'&nbsp;'.JText::_('COM_DOMUS_EXCLUSIVE'); ?></div>
			</div>
			<div class="sx">
				<div><?php echo DomusHelperHtml::tickImg($data->enabled).'&nbsp;'.JText::_('COM_DOMUS_SITE_PUBLISH')?></div>
				<div><?php echo DomusHelperHtml::tickImg($data->pr_hot).'&nbsp;'.JText::_('COM_DOMUS_ON_HOT')?></div>
				<div><?php #echo DomusHelperHtml::tickImg($data->pr_home_page) .'&nbsp;'.JText::_('COM_DOMUS_ON_HOMEPAGE')?></div>
			</div>
		</div>
	</div>
	<div class="clr"></div>
	<fieldset style="padding-bottom:0px">
		<legend><?php echo JText::_('COM_DOMUS_DESCR_ON_SITE')?></legend>
		<?php $data->pr_descr ? print($data->pr_descr) : print(JText::_('COM_DOMUS_NO_DESCRIPTION'));?>
	</fieldset>

	<fieldset style="padding-bottom:0px">
		<legend><?php echo JText::_('COM_DOMUS_INTERNAL_NOTES')?></legend>
		<?php $data->note ? print(nl2br($data->pr_notes)) : print(JText::_('COM_DOMUS_NO_NOTES'));?>
	</fieldset>
	<fieldset>
	<legend>Meta info</legend>
		<div class="holder">
			<div class="fb_label w100"><?php echo JText::_('COM_DOMUS_DESCR'); ?></div>
			<div class="fb_value"><span class="italic"><?php echo nl2br($data->pr_metadesc) ?></span></div>
		</div>
	</fieldset>
	<div class="sx w50_">
		<div class="holder">
			<div class="fb_label w120"><?php echo JText::_('COM_DOMUS_ADDED_BY')?></div>
			<div class="fb_value"><?php echo $data->add_name.' '.$data->add_surname;?></div>
		</div>
		<div class="clr"></div>
		<div class="holder">
			<div class="fb_label w120"><?php echo JText::_('COM_DOMUS_MODIFIED_BY')?></div>
			<div class="fb_value"><?php echo $data->mod_name.' '.$data->mod_surname;?></div>
		</div>
	</div>
	<div class="sx w50_">
		<div class="holder">
			<div class="fb_label w120"><?php echo JText::_('COM_DOMUS_ADD_DATE')?></div>
			<div class="fb_value"><?php echo JHTML::date($data->created_on, JText::_('DATE_FORMAT_LC2'));?></div>
		</div>
		<div class="clr"></div>
		<div class="holder">
			<div class="fb_label w120"><?php echo JText::_('COM_DOMUS_MODIFIED_DATE')?></div>
			<div class="fb_value"><?php echo JHTML::date($data->modified_on, JText::_('DATE_FORMAT_LC2'));?></div>
		</div>
	</div>
	<div class="clr"></div>
</div>