<?php
/**
 * @package    Domus Organizer
 * @subpackage Layouts
 * @author     Davide Tampellini
 * @copyright  Copyright (c)2011-2012 Davide Tampellini
 * @license    GNU General Public License version 3, or later
 */

defined('_JEXEC') or die();

$cats = FOFModel::getTmpInstance('Categories', 'DomusModel')->getCatTree();
?>
<div id="domus">
	<div style="margin-bottom:30px">
	<?php
		$i = 0;
		foreach($cats as $cat)
		{
			$i++;
			if($i%2 == 0) 	$class = 'dx';
			else			$class = 'sx';
		?>
		<div class="<?php echo $class ?> catHolder">
			<div class="categories">
				<a href="<?php echo JRoute::_('index.php?option=com_domus&view=publics&layout=category&id='.$cat->catslug)?>">
					<?php
						echo $cat->cat_name;
						if($this->params->get('categoryItemsCount', 0) && $cat->cat_entries) echo ' ('.$cat->cat_entries.') ';
					?>

				</a>
			</div>
			<?php if(count($cat->children)):
					echo '<div class="subCategories">';
					foreach($cat->children as $child):
					?>
					<span>
						<a href="<?php echo JRoute::_('index.php?option=com_domus&view=publics&layout=category&id='.$child->catslug)?>">
							<?php
								echo $child->cat_name;
								if($this->params->get('categoryItemsCount', 0) && $child->cat_entries) echo ' ('.$child->cat_entries.') ';
							?>
						</a>
					</span>
			<?php	endforeach;
					echo '</div>';
				endif;?>
		</div>
		<?php
			if($i%2 == 0 || $i == count($cats)) echo '<div class="clr"></div>';
		} ?>
	</div>
	<div class="clr"></div>

<?php
$showProp = $this->params->get('categoriesShowProp');
if($showProp != 'none')
{
	if($showProp == 'hot' || $showProp == 'merge')
	{
		$this->items = FOFModel::getTmpInstance('Properties', 'DomusModel')
						->pub_published(1)
						->pr_hot(1)
						->limitstart(0)
						->limit($this->params->get('fpHotProp', 10))
						->getList();
		echo $this->loadAnyTemplate('site:com_domus/publics/properties', array('lite' => 1));
	}

	if($showProp == 'merge')
	{
		$this->items = FOFModel::getTmpInstance('Properties', 'DomusModel')
						->pub_published(1)
						->pr_hot(0)
						->limitstart(0)
						->limit($this->params->get('fpNormalProp', 10))
						->getList();
		echo $this->loadAnyTemplate('site:com_domus/publics/properties', array('lite' => 1));
	}

	if($showProp == 'all')
	{
		$this->items = FOFModel::getTmpInstance('Properties', 'DomusModel')
						->pub_published(1)
						->limitstart(0)
						->limit($this->params->get('fpNormalProp', 10))
						->getList();
		echo $this->loadAnyTemplate('site:com_domus/publics/properties', array('lite' => 1));
	}
} ?>
</div>