<?php
/**
 * @package    	Domus Organizer
 * @subpackage 	Layouts
 * @author     	Davide Tampellini
 * @copyright 	Copyright (c)2011-2012 Davide Tampellini
 * @license 	GNU General Public License version 3, or later
 */

	defined( '_JEXEC' ) or die( 'Restricted access' );
	$this->loadHelper('html');

	$catid = FOFInput::getInt('id', 0, $this->input);
	$cats  = FOFModel::getTmpInstance('Categories', 'DomusModel')
				->catChildren($catid);

	$this->items 	  = $this->getModel()->parent_cat($catid)->getList();
	$this->pagination = $this->getModel()->getPagination();

	$root = array_shift($cats);
?>
<div id="domus">
	<h2><?php echo $root->cat_name?></h2>
	<?php if($cats):?>
		<ul class="subcatlisting">
		<?php foreach($cats as $cat):?>
			<li>
				<a href="<?php echo JRoute::_('index.php?option=com_domus&view=publics&layout=category&id='.$cat->catslug)?>">
					<?php echo $cat->cat_name?>
				</a>
			</li>
		<?php endforeach;?>
		</ul>
	<?php endif;?>
	<div class="clr" style="margin-bottom:15px"></div>

<?php
	if($this->items)
	{
?>
	<form id="adminForm" name="adminForm" action="<?php echo JRoute::_('index.php?option=com_domus&view=publics&layout=category&id='.$catid) ?>" method="post">
		<div style="margin-bottom:10px">
			<?php echo JText::_('COM_DOMUS_ORDER_BY')?>
			<?php echo DomusHelperHtml::gridSort('COM_DOMUS_OBJID'	 , 'pr_obj_id', $this->lists->order_Dir, $this->lists->order)?>
			<?php echo DomusHelperHtml::gridSort('COM_DOMUS_TITLE'	 , 'pr_title', $this->lists->order_Dir, $this->lists->order)?>
			<?php echo DomusHelperHtml::gridSort('COM_DOMUS_CATEGORY', 'cat_name', $this->lists->order_Dir, $this->lists->order)?>
			<?php echo DomusHelperHtml::gridSort('COM_DOMUS_PRICE'	 , 'pr_price', $this->lists->order_Dir, $this->lists->order)?>
		</div>

		<?php echo $this->loadAnyTemplate('site:com_domus/publics/properties'); ?>

		<input type="hidden" name="option" value="com_domus" />
		<input type="hidden" name="view" value="publics" />
		<input type="hidden" name="layout" value="category" />
		<input type="hidden" name="task" value="browse" />
		<input type="hidden" name="id" value="<?php echo $catid?>" />
		<input type="hidden" name="filter_order" value="<?php echo $this->lists->order; ?>" />
		<input type="hidden" name="filter_order_Dir" value="<?php echo $this->lists->order_Dir ?>" />
	</form>
</div>
<?php }?>