<?php
/**
 * @package    	Domus Organizer
 * @subpackage 	Layouts
 * @author     	Davide Tampellini
 * @copyright 	Copyright (c)2011-2012 Davide Tampellini
 * @license 	GNU General Public License version 3, or later
 */

	defined( '_JEXEC' ) or die( 'Restricted access' );

	$id_prop = FOFInput::getInt('id', 0, $this->input);
	$data	 = FOFTable::getAnInstance('Property', 'DomusTable');

	$plugin	 = JFactory::getApplication()->getParams()->get('captcha', JFactory::getConfig()->get('captcha'));
	$captcha = JCaptcha::getInstance($plugin);

	$data->load($id_prop);
?>
<style>
#contactForm [type=text],
#contactForm [type=submit],
#contactForm textarea {margin-top: 3px;padding: 1px;border: 1px solid #000000;border-radius: 3px;-webkit-border-radius: 3px;-moz-border-radius: 3px;}

#contactForm [type=check],
#contactForm [type=radio],
#contactForm [type=submit] {cursor: pointer;}

#contactForm label {display: block;}

#contactForm [type=check] + label,
#contactForm [type=radio] + label {display: inline-block;cursor: pointer;}

#contactForm input:hover,
#contactForm textarea:hover,
#contactForm input:focus,
#contactForm textarea:focus {background-color: #ddffdd;}

#contactForm .validation-failed {border-color: #ff0000;background-color: #ffdddd;}

#contactForm .validation-advice {padding-bottom: 5px;font-weight: bold;color: #ff0000;}

#contactForm .overTxtLabel { color: #888888;}
</style>
<script type="text/javascript">
	window.addEvent('domready', function(){
		var form = document.id('contactForm');

		form.getElements('[type=text], textarea').each(function(el){
		    new OverText(el);
		});

		new Form.Validator.Inline(form, {
			onElementFail : function(){
				OverText.hideAll();
			}
		});

		(function(){OverText.update()}).delay(250);
	});
</script>

<div id="domus">
	<form id="contactForm" class="noreset" action="<?php echo JRoute::_('index.php?option=com_domus&view=publics&layout=contact')?>" method="post">

		<table class="w100_">
			<tr>
				<td class="bold"><?php echo JText::_('COM_DOMUS_NAME')?></td>
				<td><input type="text" class="w150" name="name" value="" title="<?php echo JText::_('COM_DOMUS_NAME')?>" /></td>
			</tr>
			<tr>
				<td class="bold"><?php echo JText::_('COM_DOMUS_SURNAME')?></td>
				<td><input type="text" class="w150 required" name="surname" value="" title="<?php echo JText::_('COM_DOMUS_SURNAME')?>" /></td>
			</tr>
			<tr>
				<td class="bold"><?php echo JText::_('COM_DOMUS_EMAIL')?></td>
				<td><input type="text" class="w150 required validate-email" name="email" value="" title="<?php echo JText::_('COM_DOMUS_EMAIL')?>"/></td>
			</tr>
			<tr>
				<td class="bold"><?php echo JText::_('COM_DOMUS_TELEPHONE')?></td>
				<td><input type="text" class="w150 required" name="telephone" value="" title="<?php echo JText::_('COM_DOMUS_TELEPHONE')?>" /></td>
			</tr>
			<tr>
				<td class="bold"><?php echo JText::_('COM_DOMUS_CONTACT_OPTIONS')?></td>
				<td>
					<input type="radio" id="phoneContact" name="contactOpt" value="TELEPHONE" />
						<label for="phoneContact"><?php echo JText::_('COM_DOMUS_CONTACT_PHONE')?></label> <br/>
					<input type="radio" id="mailContact" name="contactOpt" value="EMAIL" data-validators="validate-one-required"/>
						<label for="mailContact"><?php echo JText::_('COM_DOMUS_CONTACT_MAIL')?></label>
				</td>
			</tr>
			<tr>
				<td class="bold"><?php echo JText::_('COM_DOMUS_SUBJECT')?></td>
				<td><input type="text" class="w400" name="subject" value="<?php echo JText::_('COM_DOMUS_INFORMATION_REQUEST').' '.$data->pr_obj_id?>" title="<?php echo JText::_('COM_DOMUS_SUBJECT')?>" /></td>
			</tr>
			<tr>
				<td class="bold"><?php echo JText::_('COM_DOMUS_MESSAGE')?></td>
				<td><textarea class="w400 h100 required" name="message" title="<?php echo JText::_('COM_DOMUS_MESSAGE')?>"></textarea></td>
			</tr>
			<tr>
				<td>&nbsp;</td>
				<td>
					<?php echo $captcha->display('captcha', 'captcha'); ?>
				</td>
			</tr>
		</table>
		<div>
			<input type="submit" name="send" value="<?php echo JText::_('COM_DOMUS_SEND')?>" />
		</div>

		<input type="hidden" name="option" value="com_domus" />
		<input type="hidden" name="view" value="publics" />
		<input type="hidden" name="task" value="sendContact" />
		<input type="hidden" name="id_properties" value="<?php echo $data->id_properties?>" />
	</form>
</div>