<?php
/**
 * @package    Domus Organizer
 * @subpackage Layouts
 * @author     Davide Tampellini
 * @copyright  Copyright (c)2011-2012 Davide Tampellini
 * @license    GNU General Public License version 3, or later
 */

	defined('_JEXEC') or die('Restricted access');

	$this->loadHelper('format');
	$this->loadHelper('html');

	$params  = JComponentHelper::getParams('com_domus');
?>

<table class="propertyList">
	<tbody>
<?php
	foreach($this->items as $row):
		$row->pr_hot ? $class = 'Hot' : $class = '';
?>
	<tr>
		<td>
			<div>
			<div class="titleHolder<?php echo $class?>">
				<a href="<?php echo JRoute::_('index.php?option=com_domus&view=publics&layout=property&catid='.$row->catslug.'&id='.$row->slug)?>">
					<?php echo $row->pr_obj_id.' :: '.$row->pr_title?>
				</a>
			</div>
			<div>
				<div class="sx w120" style="margin-right:10px">
					<a href="<?php echo JRoute::_('index.php?option=com_domus&view=publics&layout=property&catid='.$row->catslug.'&id='.$row->slug)?>">
						<?php echo DomusHelperHtml::propLoadFirstPic($row->id_properties, 120)?>
					</a>
					<div class="center propertyPrice">
						<?php echo DomusHelperFormat::formatPrice($row->pr_price, $row->pr_private_treaty);?>
					</div>
				</div>
				<div class="descrHolder">
					<div class="sx w40_">
						<span class="bold"><?php echo JText::_('COM_DOMUS_CATEGORY')?></span> <?php echo $row->cat_name?><br/>
					</div>
					<div class="dx w40_">
						<span class="bold"><?php echo JText::_('COM_DOMUS_TYPE')?></span> <?php echo $row->ty_name?>
					</div>
					<div class="clr"></div>
					<div>
						<span><span class="bold"><?php echo JText::_('COM_DOMUS_SPACE')?></span> <?php echo $row->pr_space.' '.$params->get('spaceMeasure', 'm&sup2;')?></span> &bull;
						<span><span class="bold"><?php echo JText::_('COM_DOMUS_ROOMS')?></span> <?php echo $row->pr_rooms?></span> &bull;
						<span><span class="bold"><?php echo JText::_('COM_DOMUS_BEDROOMS')?></span> <?php echo $row->pr_bedrooms?></span> &bull;
						<span><span class="bold"><?php echo JText::_('COM_DOMUS_WC')?></span> <?php echo $row->pr_wc?></span>
					</div>
					<div>
						<span class="bold"><?php echo JText::_('COM_DOMUS_ADDRESS')?></span> <?php echo DomusHelperFormat::formatAddress($row)?>
					</div>
					<div style="margin-top:10px">
						<?php echo DomusHelperFormat::formatDescr($row->pr_descr)?>
					</div>
				</div>
				<div class="clr"></div>
			</div>
			<div class="footer<?php echo $class?>" style="clear:both">&nbsp;</div>
			</div>
		</td>
	</tr>
<?php
	endforeach;
?>
	</tbody>
<?php if(!$lite):?>
<tfoot>
	<tr>
		<td>
			<div class="pagination"><?php if($this->pagination) echo $this->pagination->getPagesLinks()?></div>
		</td>
	</tr>
</tfoot>
<?php endif;?>
</table>