<?php
/**
 * @package    Domus Organizer
 * @subpackage Layouts
 * @author     Davide Tampellini
 * @copyright  Copyright (c)2011-2012 Davide Tampellini
 * @license    GNU General Public License version 3, or later
 */

	defined('_JEXEC') or die();
	$this->loadHelper('format');
	$this->loadHelper('gmap');
	$this->loadHelper('html');
	$this->loadHelper('property');

	$id_prop = FOFInput::getInt('id', 0, $this->input);

	$data = FOFModel::getTmpInstance('Properties', 'DomusModel')
					->setId($id_prop)
					->pub_published(1)
					->getItem();

	$attribs = FOFModel::getTmpInstance('Propattribs', 'DomusModel')
					->patt_id_properties($id_prop)
					->getList(true, 'att_type');

	$agency = FOFModel::getTmpInstance('Agencies', 'DomusModel')
					->setId($data->pr_id_agencies)
					->getItem();

	$gallery = DomusHelperProperty::getImages($id_prop, true);

	$config['div'] 		 = 'map';
	$config['coords'] 	 = $data->pr_mapcoords;
	$config['exclusive'] = $data->pr_exclusive;

	$doc 	 = JFactory::getDocument();

	$title = $data->pr_obj_id.'::'.$data->pr_title;
	$doc->setTitle($doc->getTitle().' '.$title);

	FOFTemplateUtils::addCSS('com_domus/css/property.css');
	FOFTemplateUtils::addCSS('com_domus/css/property_print.css');
?>
<div id="domus">
	<div>
		<div class="sx w45_ lh140">
			<div style="margin-bottom:15px">
				<div class="sx w50_">
					<div class="fb_label"><?php echo JText::_('COM_DOMUS_CATEGORY')?></div>
					<div class="fb_value"><?php echo $data->cat_name?></div>
				</div>
				<div class="sx w50_">
					<div class="fb_label"><?php echo JText::_('COM_DOMUS_TYPE')?></div>
					<div class="fb_value"><?php echo $data->ty_name?></div>
				</div>
				<div>
					<div class="fb_label"><?php echo JText::_('COM_DOMUS_PRICE')?></div>
					<div class="fb_value"><?php echo DomusHelperFormat::formatPrice($data->pr_price, $data->pr_private_treaty)?></div>
				</div>
				<div class="clr"></div>
				<div>
					<div class="fb_label"><?php echo JText::_('COM_DOMUS_ROOMS')?></div>
					<div class="fb_value">
						<?php echo $data->pr_bedrooms.' '.JText::_('COM_DOMUS_BEDROOMS').', '?>
						<?php echo $data->pr_wc.' '.JText::_('COM_DOMUS_WC').', '?>
						<?php echo $data->pr_rooms.' '.JText::_('COM_DOMUS_TOTAL_ROOMS')?>
					</div>
				</div>
				<div class="clr"></div>
				<div>
					<div class="fb_label"><?php echo JText::_('COM_DOMUS_ADDRESS')?></div>
					<div class="fb_value"><?php echo DomusHelperFormat::formatAddress($data)?></div>
				</div>
				<div class="clr"></div>
			</div>
			<?php echo $data->pr_descr?>
		</div>
		<div class="dx w50_">
			<div style="margin:5px 0 15px">
				<div class="holder">
					<div class="fb_label"><?php echo JText::_('COM_DOMUS_AGENCY')?></div>
					<div class="fb_value"><?php echo $agency->ag_name?></div>
				</div>
				<div class="clr"></div>
				<div class="holder">
					<div class="fb_label"><?php echo JText::_('COM_DOMUS_ADDRESS')?></div>
					<div class="fb_value"><?php echo $agency->ag_address.', '.$agency->to_descr.' ('.$agency->di_descr.')'?></div>
				</div>
				<div class="clr"></div>
				<div class="holder">
					<div class="fb_label"><?php echo JText::_('COM_DOMUS_TELEPHONE')?></div>
					<div class="fb_value"><?php echo $agency->ag_telephone?></div>
				</div>
				<div class="clr"></div>
				<div class="holder">
					<div class="fb_label"><?php echo JText::_('COM_DOMUS_FAX')?></div>
					<div class="fb_value"><?php echo $agency->ag_fax?></div>
				</div>
				<div class="clr"></div>
			</div>
			<div>
				<div class="holder">
					<div class="fb_label w120"><?php echo JText::_('COM_DOMUS_PROPERTY_CONDITION')?></div>
					<div class="fb_value"><?php echo $attribs['PROPR_COND']->att_descr; ?></div>
				</div>
				<div class="clr"></div>
				<div class="holder">
					<div class="fb_label w120"><?php echo JText::_('COM_DOMUS_TOT_SURFACE')?></div>
					<div class="fb_value"><?php echo $data->pr_space; ?></div>
				</div>
				<div class="clr"></div>
				<div class="holder">
					<div class="fb_label w120"><?php echo JText::_('COM_DOMUS_OCCUPATION')?></div>
					<div class="fb_value"><?php echo $attribs['OCCUPATION']->att_descr; ?></div>
				</div>
				<div class="clr"></div>
				<div class="holder">
					<div class="fb_label w120"><?php echo JText::_('COM_DOMUS_FLOOR')?></div>
					<div class="fb_value"><?php echo $data->pr_floor; ?></div>
				</div>
				<div class="clr"></div>
				<div class="holder">
					<div class="fb_label w120"><?php echo JText::_('COM_DOMUS_LEVELS')?></div>
					<div class="fb_value"><?php echo $data->pr_levels; ?></div>
				</div>
				<div class="clr"></div>
				<div class="holder">
					<div class="fb_label w120"><?php echo JText::_('COM_DOMUS_EXPOSITION')?></div>
					<div class="fb_value"><?php echo $attribs['EXPOSURE']->att_descr; ?></div>
				</div>
				<div class="clr"></div>
				<div class="holder">
					<div class="fb_label w120"><?php echo JText::_('COM_DOMUS_FURNITURE')?></div>
					<div class="fb_value"><?php echo $attribs['FURNITURE']->att_descr?></div>
				</div>
				<div class="clr"></div>
			</div>
			<div>
				<div class="holder">
					<div class="fb_label w120"><?php echo JText::_('COM_DOMUS_YEAR_OF_BUILT')?></div>
					<div class="fb_value"><?php echo $data->pr_built; ?></div>
				</div>
				<div class="clr"></div>
				<div class="holder">
					<div class="fb_label w120"><?php echo JText::_('COM_DOMUS_YEAR_OF_REBUILT')?></div>
					<div class="fb_value"><?php echo $data->pr_renovation; ?></div>
				</div>
				<div class="clr"></div>
				<div class="holder">
					<div class="fb_label w120"><?php echo JText::_('COM_DOMUS_TOT_FLOORS')?></div>
					<div class="fb_value"><?php echo $data->pr_floors_tot; ?></div>
				</div>
				<div class="clr"></div>
				<div class="holder">
					<div class="fb_label w120"><?php echo JText::_('COM_DOMUS_PROPERTY_UNITS')?></div>
					<div class="fb_value"><?php echo $data->pr_units; ?></div>
				</div>
				<div class="clr"></div>
				<div class="holder">
					<div class="fb_label w120"><?php echo JText::_('COM_DOMUS_BUILDING_TYPE')?></div>
					<div class="fb_value"><?php echo $attribs['BUILDING_TYPE']->att_descr; ?></div>
				</div>
				<div class="clr"></div>
				<div class="holder">
					<div class="fb_label w120"><?php echo JText::_('COM_DOMUS_BUILDING_CONDITION')?></div>
					<div class="fb_value"><?php echo $attribs['BUILDING_STATE']->att_descr ?></div>
				</div>
				<div class="clr"></div>
			</div>
			<div>
				<div class="holder">
					<div class="fb_label w120"><?php echo JText::_('COM_DOMUS_HEATING')?></div>
					<div class="fb_value"><?php echo $attribs['HEATING']->att_descr; ?></div>
				</div>
				<div class="clr"></div>
				<div class="holder">
					<div class="fb_label w120"><?php echo JText::_('COM_DOMUS_HEATING_SUPPLY')?></div>
					<div class="fb_value"><?php echo $attribs['HEATING_SUPPLY']->att_descr; ?></div>
				</div>
				<div class="clr"></div>
				<div class="holder">
					<div class="fb_label w120"><?php echo JText::_('COM_DOMUS_HEATING_POWER')?></div>
					<div class="fb_value"><?php echo $attribs['HEATING_POWER']->att_descr; ?></div>
				</div>
				<div class="clr"></div>
				<div class="holder">
					<div class="fb_label w120"><?php echo JText::_('COM_DOMUS_AIR_CONDITION')?></div>
					<div class="fb_value"><?php echo $attribs['AIR_COND']->att_descr?></div>
				</div>
				<div class="clr"></div>
				<div class="holder">
					<div class="fb_label w120"><?php echo JText::_('COM_DOMUS_GARDEN')?></div>
					<div class="fb_value">
						<?php echo $attribs['GARDEN']->att_descr?>&nbsp;<?php echo $data->pr_garden_sup; ?>
					</div>
				</div>
				<div class="clr"></div>
				<div class="holder">
					<div class="fb_label w120"><?php echo JText::_('COM_DOMUS_GARAGE')?></div>
					<div class="fb_value"><?php echo $attribs['GARAGE']->att_descr?></div>
				</div>
				<div class="clr"></div>
				<div class="holder">
					<div class="fb_label w120"><?php echo JText::_('COM_DOMUS_PARKAREA')?></div>
					<div class="fb_value"><?php echo $attribs['PARKAREA']->att_descr?></div>
				</div>
				<div class="clr"></div>

				<div class="sx" style="margin:5px"><?php echo DomusHelperHtml::tickImg($attribs['LIFT']->id).'&nbsp;'.JText::_('COM_DOMUS_LIFT')?></div>
				<div class="sx" style="margin:5px"><?php echo DomusHelperHtml::tickImg($attribs['RECEPTION']->id).'&nbsp;'.JText::_('COM_DOMUS_RECEPTION')?></div>
				<div class="sx" style="margin:5px"><?php echo DomusHelperHtml::tickImg($attribs['TOP_FLOOR']->id).'&nbsp;'.JText::_('COM_DOMUS_TOP_FLOOR')?></div>
			</div>
		</div>
	</div>
	<div class="clr"></div>
	<div style="margin:10px 0">
	<?php
		if($gallery)
		{
			foreach($gallery as $i)
			{
				$thumb = JURI::base().$i->img_path."thumbs/t_".$i->img_fname.'.jpg';
				echo '<img src="', $thumb, '" style="margin-right:10px" />';
			}
		}
	?>
	</div>
	<div id="gmapHolder" style="width:600px;height:300px;margin-top:10px">
		<?php echo DomusHelperGmap::createMap(false, $config)?>
	</div>
</div>