<?php
/**
 * @package    Domus Organizer
 * @subpackage Layouts
 * @author     Davide Tampellini
 * @copyright  Copyright (c)2011-2012 Davide Tampellini
 * @license    GNU General Public License version 3, or later
 */

defined('_JEXEC') or die();
$this->loadHelper('html');

$app = JFactory::getApplication();
$properties = FOFModel::getTmpInstance('Properties', 'DomusModel', array('input' => $this->input));

$def_limit 	= $app->getCfg('list_limit');
$limit 		= FOFInput::getInt('limit', $def_limit, $this->input);
$limitstart = FOFInput::getInt('limitstart', 0, $this->input);

// The Itemid is already ok, since I created it on the search form
$base_url 	= 'index.php?option=com_domus&view=publics&layout=search&Itemid='.JRequest::getInt('Itemid');
$base_url  .= '&public_cat_search='.FOFInput::getInt('public_cat_search', 0, $this->input);
$base_url  .= '&type_search='.FOFInput::getInt('type_search', 0, $this->input);
$base_url  .= '&distr_search='.FOFInput::getInt('distr_search', 0, $this->input);
$base_url  .= '&town_search='.FOFInput::getInt('town_search', 0, $this->input);
$base_url  .= '&zone_search='.FOFInput::getInt('zone_search', 0, $this->input);
$base_url  .= '&szone_search='.FOFInput::getInt('szone_search', 0, $this->input);
$base_url  .= '&price_search='.FOFInput::getInt('price_search', 0, $this->input);

$order = FOFInput::getCmd('filter_order', 'created_on', $this->input);
$dir   = FOFInput::getCmd('filter_order_Dir', 'DESC', $this->input);

$this->items = $properties
				->pub_published(1)
				->public_cat_search(FOFInput::getInt('public_cat_search', 0, $this->input))
				->type_search(FOFInput::getInt('type_search', 0, $this->input))
				->distr_search(FOFInput::getInt('distr_search', 0, $this->input))
				->town_search(FOFInput::getInt('town_search', 0, $this->input))
				->zone_search(FOFInput::getInt('zone_search', 0, $this->input))
				->szone_search(FOFInput::getInt('szone_search', 0, $this->input))
				->price_search(FOFInput::getInt('price_search', 0, $this->input))
				->limit($limit)
				->limitstart($limitstart)
				->filter_order(FOFInput::getCmd('filter_order', 'created_on', $this->input))
				->filter_order_Dir(FOFInput::getCmd('filter_order_Dir', 'DESC', $this->input))
				->getList();
$this->pagination = $properties->getPagination();
?>
<div id="domus">
	<h2><?php echo JText::sprintf('COM_DOMUS_SEARCH_RESULTS', $properties->getTotal())?></h2>

	<div style="margin:15px 0">
		<?php echo sprintf(DomusHelperHtml::noformSort($order, $dir, 'pr_obj_id'), $base_url, JText::_('COM_DOMUS_OBJID'))?>
		<?php echo sprintf(DomusHelperHtml::noformSort($order, $dir, 'price') , $base_url, JText::_('COM_DOMUS_PRICE'))?>
	</div>
<?php
	if(!$this->items)
	{
		echo JText::_('COM_DOMUS_NOROWS');
	}
	else
	{
		echo $this->loadAnyTemplate('site:com_domus/publics/properties');
	}
?>
</div>