<?php
/**
 * @package    	Domus Organizer
 * @subpackage 	Layouts
 * @author     	Davide Tampellini
 * @copyright 	Copyright (c)2011-2012 Davide Tampellini
 * @license 	GNU General Public License version 3, or later
 */

	defined('_JEXEC') or die('Restricted access');
	$this->loadHelper('fancy');

	DomusHelperFancy::addTable();

	$dataLanguage = FOFTemplateUtils::parsePath('com_domus/library/datatables/language/'.JFactory::getConfig()->get('language').'.txt');
?>
<script type="text/javascript">
jQuery.noConflict();
jQuery(document).ready(function($){
	var dataTable = $('#dataTable').dataTable({
		"aaSorting": [[2, 'asc']],
		"bStateSave": false,
		"sPaginationType": "full_numbers",
		"oLanguage": {
			"sUrl" : "<?php echo $dataLanguage ?>"
		}
	});

	$("#dataTable tbody").click(function(event) {
		$(dataTable.fnSettings().aoData).each(function (){
			$(this.nTr).removeClass('row_selected');
		});
		$(event.target.parentNode).addClass('row_selected');
	});
});
</script>
<div id="domus">
	<form action="<?php echo JRoute::_('index.php?option=com_domus&view=towns') ?>" method="post" name="adminForm" id="adminForm">
		<table cellpadding="0" cellspacing="0" border="0" class="display" id="dataTable">
			<thead>
				<th class="w5_">&nbsp;</th>
				<th class="w5_">ID</th>
				<th><?php echo JText::_('COM_DOMUS_TOWN') ?></th>
				<th><?php echo JText::_('COM_DOMUS_DISTRICT') ?></th>
			</thead>
			<tbody>
			<?php
				foreach($this->items as $row):
					$checkbox = JHTML::_('grid.id',  $i, $row->id_towns);
					$link 	  = JRoute::_('index.php?option=com_domus&view=town&task=edit&id='.$row->id_towns);
			?>
				<tr>
					<td><?php echo $checkbox?></td>
					<td><?php echo $row->id_towns?></td>
					<td>
						<a href="<?php echo $link?>">
							<?php echo $row->to_descr?>
						</a>
					</td>
					<td><?php echo $row->di_descr?></td>
				</tr>
			<?php endforeach;?>
			</tbody>
		</table>
		<input type="hidden" name="option" value="com_domus" />
		<input type="hidden" name="task" value="" />
		<input type="hidden" name="boxchecked" value="0" />
		<input type="hidden" name="view" value="towns" />
		<input type="hidden" name="<?php echo JUtility::getToken();?>" value="1" />
	</form>
</div>