<?php
/**
 * @package    	Domus Organizer
 * @subpackage	Modules
 * @author     	Davide Tampellini
 * @copyright 	Copyright (c)2011-2012 Davide Tampellini
 * @license 	GNU General Public License version 3, or later
 */

defined('_JEXEC') or die;
require_once JPATH_ROOT.'/components/com_domus/helpers/format.php';
require_once JPATH_ROOT.'/components/com_domus/helpers/select.php';

class modDomusSearch
{
	function __construct($params)
	{
		$this->params = $params;
	}

	public function getCategories()
	{
		$cats = DomusHelperSelect::createList('cat_prop', 'public_cat_search', '', 'class="w150"');

		return $cats;
	}

	public function getTypes()
	{
		$types = DomusHelperSelect::createList('type', 'type_search', '', 'class="w100"');

		return $types;
	}

	public function getPrices()
	{
		$params = JComponentHelper::getParams('com_domus');

		$prices = explode("\n", $params->get('priceSearch', "100000\n150000\n200000"));
		$total  = count($prices);

		$opt[] = array('value' => '', 'text' => JText::_('COM_DOMUS_SELECT_LIST'));

		for($i = 0; $i <= $total; $i++)
		{
			if($i == 0) $opt[] = array('value' => '1', 'text' => '&nbsp;<&nbsp'.DomusHelperFormat::formatPrice($prices[0]));
			elseif($i < $total)
			{
				$opt[] = array('value' => $i+1,
							   'text' => '&nbsp;'.DomusHelperFormat::formatPrice($prices[$i-1]).' &nbsp;-&nbsp;'.
										  DomusHelperFormat::formatPrice($prices[$i]));
			}
			elseif($i == $total)
			{
				$opt[] = array('value' => $total+1, 'text' => '&nbsp;>&nbsp;'.DomusHelperFormat::formatPrice($prices[$i-1]));
			}
		}

		return DomusHelperSelect::createSelectList($opt, 'price_search', '', 'class="w150"');
	}


	public function getDistricts()
	{
		$districts = DomusHelperSelect::createList('distr_public', 'distr_search', '', 'class="w150"');

		return $districts;
	}

	public function getTowns()
	{
		// If districts are shown, build a dummy select list for towns (it'a loaded using AJAX
		if($this->params->get('showDistricts'))	$towns = DomusHelperSelect::createList('dummy', 'town_search', '', 'class="w150"');
		else 									$towns = DomusHelperSelect::createList('town_public', 'town_search', '', 'class="w150"');

		return $towns;
	}

	public function getZones()
	{
		return DomusHelperSelect::createList('dummy', 'zone_search', '', 'class="w100"');
	}

	public function getSzones()
	{
		return DomusHelperSelect::createList('dummy', 'szone_search', '', 'class="w100"');
	}
}