<?php
/**
 * @package    	Domus Organizer
 * @subpackage	Modules
 * @author     	Davide Tampellini
 * @copyright 	Copyright (c)2011-2012 Davide Tampellini
 * @license 	GNU General Public License version 3, or later
 */

defined('_JEXEC') or die;
JHTML::_('behavior.mootools');

if(!file_exists(JPATH_SITE.'/administrator/components/com_domus/domus.php'))
{
	echo JText::_('MOD_DOMUS_COMPONENT_NOT_FOUND');
	return;
}

if(!file_exists(JPATH_LIBRARIES.'/fof/include.php'))
{
	echo JText::_('MOD_DOMUS_FOF_NOT_INSTALLED');
}

require_once JPATH_LIBRARIES.'/fof/include.php';
require_once JPATH_ROOT.'/components/com_domus/router.php';
require_once dirname(__FILE__).'/helper.php';

//load component language files
$lng = JFactory::getConfig()->get('language');
if(!file_exists(JPATH_ROOT.'/media/com_domus/js/language/Locale.'.$lng.'.js')) $lng = 'en-GB';

FOFTemplateUtils::addJS('com_domus/js/language/Locale.'.$lng.'.js');

$paths = array(JPATH_ADMINISTRATOR, JPATH_ROOT);
$jlang = JFactory::getLanguage();
$jlang->load('mod_domussearch', $paths[0], 'en-GB', true);
$jlang->load('mod_domussearch', $paths[0], null, true);
$jlang->load('mod_domussearch', $paths[1], 'en-GB', true);
$jlang->load('mod_domussearch', $paths[1], null, true);

FOFTemplateUtils::addCSS('site://modules/mod_domussearch/assets/mod_domussearch.css');
FOFTemplateUtils::addJS('com_domus/js/helper.js');
FOFTemplateUtils::addJS('site://modules/mod_domussearch/assets/mod_domussearch.js');

$moduleclass_sfx = htmlspecialchars($params->get('moduleclass_sfx'));
$helper = new modDomusSearch($params);

$cats  = $helper->getCategories();
$types = $helper->getTypes();
$towns = $helper->getTowns();
$price = $helper->getPrices();

if($params->get('showDistricts'))	$districts = $helper->getDistricts();
if($params->get('showZones'))		$zones	   = $helper->getZones();
if($params->get('showSzones'))		$szones	   = $helper->getSzones();

require JModuleHelper::getLayoutPath('mod_domussearch', $params->get('layout', 'default'));